(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     10022,        249]
NotebookOptionsPosition[      9596,        229]
NotebookOutlinePosition[      9939,        244]
CellTagsIndexPosition[      9896,        241]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Phi]", "=", "1.618"}], ";", "\[IndentingNewLine]", 
    RowBox[{"\[Beta]", "=", 
     RowBox[{"ArcTan", "[", "\[Phi]", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vA", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "/", "\[Phi]"}], " ", ",", "0", ",", 
       RowBox[{"b", " ", "\[Phi]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vB", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "a", ",", 
       RowBox[{"b", " ", "\[Phi]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vC", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "/", "\[Phi]"}], " ", ",", "0", ",", 
       RowBox[{"b", " ", "\[Phi]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vD", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "a"}], ",", 
       RowBox[{"b", " ", "\[Phi]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"r1", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vD", ",", "vC", ",", "vB", ",", "vA"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"r2", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{"r1", ",", "Pi", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"r3", "=", 
     RowBox[{"{", 
      RowBox[{"r1", ",", "r2"}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"r4", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{"r3", ",", 
         RowBox[{"Pi", "/", "2"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
       RowBox[{"Pi", "/", "2"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"r5", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{"r3", ",", 
         RowBox[{"Pi", "/", "2"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
       RowBox[{"Pi", "/", "2"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"cub", "=", 
     RowBox[{"{", 
      RowBox[{"r3", ",", "r4", ",", "r5"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"cubt", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{"cub", ",", "\[Beta]", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"mrt", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{"cubt", ",", 
         RowBox[{"i", "*", "2", 
          RowBox[{"Pi", "/", "5"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "5"}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{"mrt", ",", 
      RowBox[{"ViewPoint", "->", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "10"}], "}"}]}], ",", 
      RowBox[{"ViewAngle", "\[Rule]", "0.1"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "400"}], ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
      RowBox[{"SphericalRegion", "\[Rule]", "True"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "1", ",", " ", "\"\<b\>\""}], "}"}], ",", "1", ",", 
     RowBox[{"1", "/", 
      RowBox[{"1.618", "^", "3"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "1", ",", " ", "\"\<a\>\""}], "}"}], ",", "1", ",", 
     "0.236"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.540694596859375*^9, 3.5406947913125*^9}, 
   3.54069485184375*^9, {3.5406950654375*^9, 3.540695084671875*^9}, {
   3.540695154484375*^9, 3.540695194125*^9}, {3.540695267546875*^9, 
   3.54069541246875*^9}, {3.540695481078125*^9, 3.540695531140625*^9}, {
   3.5406955731875*^9, 3.54069559925*^9}, {3.540695636703125*^9, 
   3.540695637296875*^9}, {3.54069570984375*^9, 3.540695889171875*^9}, {
   3.540695938671875*^9, 3.540695984546875*^9}, {3.540696071203125*^9, 
   3.54069620709375*^9}, {3.54069637228125*^9, 3.54069640375*^9}, {
   3.540696485125*^9, 3.540696506859375*^9}, 3.540696561203125*^9, 
   3.540696601234375*^9, {3.540696654015625*^9, 3.540696656140625*^9}, {
   3.540696697828125*^9, 3.540696712015625*^9}, 3.5407940154375*^9, {
   3.540794046765625*^9, 3.540794052734375*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0.236, $CellContext`b$$ = 
    0.23608285480015428`, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`b$$], 1, "b"}, 1, 0.23608285480015428`}, {{
       Hold[$CellContext`a$$], 1, "a"}, 1, 0.236}}, Typeset`size$$ = {
    400., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`b$9107$$ = 
    0, $CellContext`a$9108$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 1, $CellContext`b$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`b$$, $CellContext`b$9107$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$9108$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`\[Phi] = 1.618; $CellContext`\[Beta] = 
        ArcTan[$CellContext`\[Phi]]; $CellContext`vA = {
         1/$CellContext`\[Phi], 
          0, $CellContext`b$$ $CellContext`\[Phi]}; $CellContext`vB = {
         0, $CellContext`a$$, $CellContext`b$$ $CellContext`\[Phi]}; \
$CellContext`vC = {(-1)/$CellContext`\[Phi], 
          0, $CellContext`b$$ $CellContext`\[Phi]}; $CellContext`vD = {
         0, -$CellContext`a$$, $CellContext`b$$ $CellContext`\[Phi]}; \
$CellContext`r1 = 
        Polygon[{$CellContext`vD, $CellContext`vC, $CellContext`vB, \
$CellContext`vA}]; $CellContext`r2 = 
        Rotate[$CellContext`r1, Pi, {1, 0, 
          0}]; $CellContext`r3 = {$CellContext`r1, $CellContext`r2}; \
$CellContext`r4 = Rotate[
          Rotate[$CellContext`r3, Pi/2, {1, 0, 0}], Pi/2, {0, 0, 
          1}]; $CellContext`r5 = Rotate[
          Rotate[$CellContext`r3, Pi/2, {1, 0, 0}], Pi/2, {0, 1, 
          0}]; $CellContext`cub = {$CellContext`r3, $CellContext`r4, \
$CellContext`r5}; $CellContext`cubt = 
        Rotate[$CellContext`cub, $CellContext`\[Beta], {0, 1, 
          0}]; $CellContext`mrt = Table[
          
          Rotate[$CellContext`cubt, $CellContext`i 2 (Pi/5), {0, 0, 
           1}], {$CellContext`i, 5}]; 
       Graphics3D[$CellContext`mrt, ViewPoint -> {0, 0, 10}, ViewAngle -> 0.1,
          ImageSize -> 400, Boxed -> False, SphericalRegion -> True]), 
      "Specifications" :> {{{$CellContext`b$$, 1, "b"}, 1, 
         0.23608285480015428`}, {{$CellContext`a$$, 1, "a"}, 1, 0.236}}, 
      "Options" :> {TrackedSymbols -> Manipulate}, "DefaultOptions" :> {}],
     ImageSizeCache->{445., {256., 261.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.540695066234375*^9, 3.540695085765625*^9}, 
   3.540695160578125*^9, 3.54069519509375*^9, {3.54069527628125*^9, 
   3.540695283953125*^9}, {3.540695388921875*^9, 3.540695413515625*^9}, {
   3.54069551125*^9, 3.5406955324375*^9}, {3.540695574328125*^9, 
   3.54069560025*^9}, 3.5406956375625*^9, {3.540695712453125*^9, 
   3.540695734828125*^9}, {3.540695776734375*^9, 3.5406958899375*^9}, {
   3.540695930328125*^9, 3.540695984796875*^9}, {3.54069602915625*^9, 
   3.540696053609375*^9}, {3.54069611971875*^9, 3.540696219796875*^9}, 
   3.540696278078125*^9, 3.540696312203125*^9, {3.540696405125*^9, 
   3.540696432859375*^9}, {3.54069648734375*^9, 3.5406965741875*^9}, {
   3.540696636484375*^9, 3.5406966601875*^9}, {3.54069671328125*^9, 
   3.540696736125*^9}, {3.540793981484375*^9, 3.540794032046875*^9}, 
   3.540794062734375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"0.618", "^", "3"}]], "Input"],

Cell[BoxData["0.236029032`"], "Output",
 CellChangeTimes->{3.54069668125*^9}]
}, Open  ]]
},
WindowSize->{716, 475},
WindowMargins->{{23, Automatic}, {3, Automatic}},
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 4791, 119, 412, "Input"],
Cell[5373, 143, 4037, 74, 534, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9447, 222, 53, 1, 31, "Input"],
Cell[9503, 225, 77, 1, 30, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
