(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     50702,       1237]
NotebookOptionsPosition[     49259,       1184]
NotebookOutlinePosition[     49927,       1209]
CellTagsIndexPosition[     49884,       1206]
WindowTitle->Two Stellations of the Rhombic Triacontahedron - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Two Stellations of the Rhombic Triacontahedron", "Section",
 CellFrame->{{0, 0}, {0, 0}},
 ShowCellBracket->False,
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJztnVuSozgWQDNiPqa3MJ+zpVlCbaB3WlGVNV9dvYH6TQRUph/ZGIHQmwvG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   "], {{0, 0}, {1800, 25}}, {0, 255},
   ColorFunction->RGBColor],
  ImageSize->{1800, 25},
  PlotRange->{{0, 1800}, {0, 25}}]], "Section",
 CellFrame->{{0, 0}, {0, 0}},
 ShowCellBracket->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"averagepoints", "[", 
   RowBox[{"{", 
    RowBox[{"a_", ",", "b___", ",", "c_"}], "}"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"averagepoints", "[", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], "]"}], "/;", 
   RowBox[{"a", "\[Equal]", "c"}]}]}]], "Input",
 CellChangeTimes->{3.382535587953125*^9},
 CellID->149247222],

Cell[BoxData[
 RowBox[{
  RowBox[{"averagepoints", "[", "points_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"Plus", "@@", "#"}], ")"}], "&"}], ",", 
     RowBox[{"Transpose", "[", "points", "]"}]}], "]"}], "/", 
   RowBox[{"Length", "[", "points", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.382535587953125*^9, 3.382535589046875*^9}},
 CellID->141264655],

Cell[BoxData[
 RowBox[{
  RowBox[{"scalepoints", "[", 
   RowBox[{"points_", ",", "center_", ",", "ratio_"}], "]"}], ":=", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ratio", " ", 
       RowBox[{"(", 
        RowBox[{"#", "-", "center"}], ")"}]}], "+", "center"}], "&"}], ",", 
    "points"}], "]"}]}]], "Input",
 CellID->52769128],

Cell[BoxData[
 RowBox[{
  RowBox[{"ShrinkPolygons", "[", 
   RowBox[{"shape_", ",", 
    RowBox[{"ratio_:", "0.6"}]}], "]"}], ":=", 
  RowBox[{"shape", "/.", 
   RowBox[{
    RowBox[{"Polygon", "[", "p_", "]"}], "\[RuleDelayed]", 
    RowBox[{"Polygon", "[", 
     RowBox[{"scalepoints", "[", 
      RowBox[{"p", ",", 
       RowBox[{"averagepoints", "[", "p", "]"}], ",", "ratio"}], "]"}], 
     "]"}]}]}]}]], "Input",
 CellChangeTimes->{3.382535601109375*^9},
 CellID->313468242],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Beta]", "=", 
     RowBox[{"ArcTan", "[", 
      RowBox[{"1.", "/", "GoldenRatio"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vA", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1.", "/", "GoldenRatio"}], ",", " ", "0", ",", 
       RowBox[{"N", "@", "GoldenRatio"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vB", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "mod", ",", 
       RowBox[{"N", "@", "GoldenRatio"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vC", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", " ", "1."}], " ", "/", "GoldenRatio"}], ",", " ", "0", 
       ",", 
       RowBox[{"N", "@", "GoldenRatio"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vD", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "mod"}], ",", 
       RowBox[{"N", "@", "GoldenRatio"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"r1", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vD", ",", "vC", ",", "vB", ",", "vA"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"r2", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{"r1", ",", "Pi", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"r3", "=", 
     RowBox[{"{", 
      RowBox[{"r1", ",", "r2"}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"r4", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{"r3", ",", 
         RowBox[{"Pi", "/", "2"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
       RowBox[{"Pi", "/", "2"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"r5", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{"r3", ",", 
         RowBox[{"Pi", "/", "2"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
       RowBox[{"Pi", "/", "2"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"cub", "=", 
     RowBox[{"{", 
      RowBox[{"r3", ",", "r4", ",", "r5"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"cubt", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{"cub", ",", "\[Beta]", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"rt", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{"cubt", ",", 
         RowBox[{"i", "*", "2", 
          RowBox[{"Pi", "/", "5"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "5"}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"grt", "=", 
     RowBox[{"ShrinkPolygons", "[", 
      RowBox[{"rt", ",", "exp"}], "]"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{"grt", ",", 
      RowBox[{"ImageSize", "\[Rule]", "400"}], ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
      RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
      RowBox[{"ViewAngle", "\[Rule]", 
       RowBox[{"Pi", "/", "10"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mod", ",", "1", ",", "\"\<modify face diagonals\>\""}], "}"}], 
     ",", 
     RowBox[{"1.", "/", 
      RowBox[{"GoldenRatio", "^", "3"}]}], ",", "1"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"exp", ",", 
       RowBox[{"GoldenRatio", "^", "3"}], ",", "\"\<extend faces\>\""}], 
      "}"}], ",", "1", ",", 
     RowBox[{
      RowBox[{"N", "@", "GoldenRatio"}], "^", "3"}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"exp", ",", "mod"}], "}"}]}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3720092845625*^9, 3.372009313046875*^9}, {
   3.372009343859375*^9, 3.372009452734375*^9}, {3.37200950221875*^9, 
   3.372009504265625*^9}, {3.372010063*^9, 3.37201007159375*^9}, {
   3.372010108125*^9, 3.372010118734375*^9}, {3.37201020765625*^9, 
   3.3720102483125*^9}, {3.375500881390625*^9, 3.375500995296875*^9}, {
   3.375501101890625*^9, 3.375501121046875*^9}, {3.375501209921875*^9, 
   3.375501225765625*^9}, {3.37550128496875*^9, 3.3755013919375*^9}, {
   3.37550144196875*^9, 3.375501444703125*^9}, {3.375501515359375*^9, 
   3.3755015304375*^9}, {3.37550157840625*^9, 3.375501585703125*^9}, {
   3.375501622578125*^9, 3.37550165396875*^9}, {3.375501693328125*^9, 
   3.375501803*^9}, {3.375501850296875*^9, 3.375501855671875*^9}, {
   3.3755026840625*^9, 3.375502686921875*^9}, {3.375502743796875*^9, 
   3.3755027593125*^9}, {3.3767885173928747`*^9, 3.3767885237991247`*^9}, 
   3.3767885743147497`*^9, {3.377185986*^9, 3.37718600871875*^9}, {
   3.380896023718237*^9, 3.380896023890112*^9}, {3.380896056905737*^9, 
   3.380896057077612*^9}, {3.380896509999487*^9, 3.380896549280737*^9}, {
   3.382896127958475*^9, 3.3828961972866*^9}},
 CellID->797729956],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`exp$$ = GoldenRatio^3, $CellContext`mod$$ = 
    1, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`mod$$], 1, "modify face diagonals"}, 
      0.23606797749978967`, 1}, {{
       Hold[$CellContext`exp$$], GoldenRatio^3, "extend faces"}, 1, 
      4.23606797749979}}, Typeset`size$$ = {400., {198., 202.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`mod$3514$$ = 0, $CellContext`exp$3515$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`exp$$ = GoldenRatio^3, $CellContext`mod$$ = 
        1}, "ControllerVariables" :> {
        Hold[$CellContext`mod$$, $CellContext`mod$3514$$, 0], 
        Hold[$CellContext`exp$$, $CellContext`exp$3515$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`\[Beta] = 
        ArcTan[1./GoldenRatio]; $CellContext`vA = {1./GoldenRatio, 0, 
          N[GoldenRatio]}; $CellContext`vB = {0, $CellContext`mod$$, 
          N[GoldenRatio]}; $CellContext`vC = {(-1.)/GoldenRatio, 0, 
          N[GoldenRatio]}; $CellContext`vD = {0, -$CellContext`mod$$, 
          N[GoldenRatio]}; $CellContext`r1 = 
        Polygon[{$CellContext`vD, $CellContext`vC, $CellContext`vB, \
$CellContext`vA}]; $CellContext`r2 = 
        Rotate[$CellContext`r1, Pi, {1, 0, 
          0}]; $CellContext`r3 = {$CellContext`r1, $CellContext`r2}; \
$CellContext`r4 = Rotate[
          Rotate[$CellContext`r3, Pi/2, {1, 0, 0}], Pi/2, {0, 0, 
          1}]; $CellContext`r5 = Rotate[
          Rotate[$CellContext`r3, Pi/2, {1, 0, 0}], Pi/2, {0, 1, 
          
          0}]; $CellContext`cub = {$CellContext`r3, $CellContext`r4, \
$CellContext`r5}; $CellContext`cubt = 
        Rotate[$CellContext`cub, $CellContext`\[Beta], {1, 0, 
          0}]; $CellContext`rt = Table[
          
          Rotate[$CellContext`cubt, $CellContext`i 2 (Pi/5), {0, 0, 
           1}], {$CellContext`i, 
           5}]; $CellContext`grt = \
$CellContext`ShrinkPolygons[$CellContext`rt, $CellContext`exp$$]; 
       Graphics3D[$CellContext`grt, ImageSize -> 400, Boxed -> False, 
         SphericalRegion -> True, ViewAngle -> Pi/10]), 
      "Specifications" :> {{{$CellContext`mod$$, 1, "modify face diagonals"}, 
         0.23606797749978967`, 
         1}, {{$CellContext`exp$$, GoldenRatio^3, "extend faces"}, 1, 
         4.23606797749979}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`exp$$, $CellContext`mod$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{445., {256., 261.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`\[Beta] = 
        0.5535743588970452, $CellContext`vA = {
         0.6180339887498948, 0, 1.618033988749895}, $CellContext`vB = {
         0, 1, 1.618033988749895}, $CellContext`vC = {-0.6180339887498948, 0, 
          1.618033988749895}, $CellContext`vD = {
         0, -1, 1.618033988749895}, $CellContext`r1 = 
        Polygon[{{
           0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
            1.618033988749895}, {0, 1, 1.618033988749895}, {
           0.6180339887498948, 0, 1.618033988749895}}], $CellContext`r2 = 
        Rotate[
          
          Polygon[{{
            0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
             1.618033988749895}, {0, 1, 1.618033988749895}, {
            0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 
          0}], $CellContext`r3 = {
          
          Polygon[{{
            0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
             1.618033988749895}, {0, 1, 1.618033988749895}, {
            0.6180339887498948, 0, 1.618033988749895}}], 
          Rotate[
           
           Polygon[{{
             0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
              1.618033988749895}, {0, 1, 1.618033988749895}, {
             0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 
           0}]}, $CellContext`r4 = Rotate[
          Rotate[{
            
            Polygon[{{
              0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
               1.618033988749895}, {0, 1, 1.618033988749895}, {
              0.6180339887498948, 0, 1.618033988749895}}], 
            Rotate[
             
             Polygon[{{
               0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                1.618033988749895}, {0, 1, 1.618033988749895}, {
               0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 0}]}, 
           Pi/2, {1, 0, 0}], Pi/2, {0, 0, 1}], $CellContext`r5 = Rotate[
          Rotate[{
            
            Polygon[{{
              0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
               1.618033988749895}, {0, 1, 1.618033988749895}, {
              0.6180339887498948, 0, 1.618033988749895}}], 
            Rotate[
             
             Polygon[{{
               0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                1.618033988749895}, {0, 1, 1.618033988749895}, {
               0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 0}]}, 
           Pi/2, {1, 0, 0}], Pi/2, {0, 1, 0}], $CellContext`cub = {{
           
           Polygon[{{
             0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
              1.618033988749895}, {0, 1, 1.618033988749895}, {
             0.6180339887498948, 0, 1.618033988749895}}], 
           Rotate[
            
            Polygon[{{
              0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
               1.618033988749895}, {0, 1, 1.618033988749895}, {
              0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 0}]}, 
          Rotate[
           Rotate[{
             
             Polygon[{{
               0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                1.618033988749895}, {0, 1, 1.618033988749895}, {
               0.6180339887498948, 0, 1.618033988749895}}], 
             Rotate[
              
              Polygon[{{
                0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                 1.618033988749895}, {0, 1, 1.618033988749895}, {
                0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 0}]}, 
            Pi/2, {1, 0, 0}], Pi/2, {0, 0, 1}], 
          Rotate[
           Rotate[{
             Polygon[{{
               0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                1.618033988749895}, {0, 1, 1.618033988749895}, {
               0.6180339887498948, 0, 1.618033988749895}}], 
             Rotate[
              
              Polygon[{{
                0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                 1.618033988749895}, {0, 1, 1.618033988749895}, {
                0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 0}]}, 
            Pi/2, {1, 0, 0}], Pi/2, {0, 1, 0}]}, $CellContext`cubt = 
        Rotate[{{
            
            Polygon[{{
              0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
               1.618033988749895}, {0, 1, 1.618033988749895}, {
              0.6180339887498948, 0, 1.618033988749895}}], 
            Rotate[
             
             Polygon[{{
               0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                1.618033988749895}, {0, 1, 1.618033988749895}, {
               0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 0}]}, 
           Rotate[
            Rotate[{
              
              Polygon[{{
                0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                 1.618033988749895}, {0, 1, 1.618033988749895}, {
                0.6180339887498948, 0, 1.618033988749895}}], 
              Rotate[
               
               Polygon[{{
                 0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                  1.618033988749895}, {0, 1, 1.618033988749895}, {
                 0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 0}]},
              Pi/2, {1, 0, 0}], Pi/2, {0, 0, 1}], 
           Rotate[
            Rotate[{
              
              Polygon[{{
                0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                 1.618033988749895}, {0, 1, 1.618033988749895}, {
                0.6180339887498948, 0, 1.618033988749895}}], 
              Rotate[
               
               Polygon[{{
                 0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                  1.618033988749895}, {0, 1, 1.618033988749895}, {
                 0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 0}]},
              Pi/2, {1, 0, 0}], Pi/2, {0, 1, 0}]}, 0.5535743588970452, {1, 0, 
          0}], $CellContext`rt = {
          Rotate[
           Rotate[{{
              
              Polygon[{{
                0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                 1.618033988749895}, {0, 1, 1.618033988749895}, {
                0.6180339887498948, 0, 1.618033988749895}}], 
              Rotate[
               
               Polygon[{{
                 0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                  1.618033988749895}, {0, 1, 1.618033988749895}, {
                 0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 0}]}, 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                   1.618033988749895}, {0, 1, 1.618033988749895}, {
                  0.6180339887498948, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                    1.618033988749895}, {0, 1, 1.618033988749895}, {
                   0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 0, 1}], 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                   1.618033988749895}, {0, 1, 1.618033988749895}, {
                  0.6180339887498948, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                    1.618033988749895}, {0, 1, 1.618033988749895}, {
                   0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 1, 0}]}, 
            0.5535743588970452, {1, 0, 0}], (2 Pi)/5, {0, 0, 1}], 
          Rotate[
           Rotate[{{
              
              Polygon[{{
                0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                 1.618033988749895}, {0, 1, 1.618033988749895}, {
                0.6180339887498948, 0, 1.618033988749895}}], 
              Rotate[
               
               Polygon[{{
                 0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                  1.618033988749895}, {0, 1, 1.618033988749895}, {
                 0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 0}]}, 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                   1.618033988749895}, {0, 1, 1.618033988749895}, {
                  0.6180339887498948, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                    1.618033988749895}, {0, 1, 1.618033988749895}, {
                   0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 0, 1}], 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                   1.618033988749895}, {0, 1, 1.618033988749895}, {
                  0.6180339887498948, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                    1.618033988749895}, {0, 1, 1.618033988749895}, {
                   0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 1, 0}]}, 
            0.5535743588970452, {1, 0, 0}], (4 Pi)/5, {0, 0, 1}], 
          Rotate[
           Rotate[{{
              
              Polygon[{{
                0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                 1.618033988749895}, {0, 1, 1.618033988749895}, {
                0.6180339887498948, 0, 1.618033988749895}}], 
              Rotate[
               
               Polygon[{{
                 0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                  1.618033988749895}, {0, 1, 1.618033988749895}, {
                 0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 0}]}, 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                   1.618033988749895}, {0, 1, 1.618033988749895}, {
                  0.6180339887498948, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                    1.618033988749895}, {0, 1, 1.618033988749895}, {
                   0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 0, 1}], 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                   1.618033988749895}, {0, 1, 1.618033988749895}, {
                  0.6180339887498948, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                    1.618033988749895}, {0, 1, 1.618033988749895}, {
                   0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 1, 0}]}, 
            0.5535743588970452, {1, 0, 0}], (6 Pi)/5, {0, 0, 1}], 
          Rotate[
           Rotate[{{
              
              Polygon[{{
                0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                 1.618033988749895}, {0, 1, 1.618033988749895}, {
                0.6180339887498948, 0, 1.618033988749895}}], 
              Rotate[
               
               Polygon[{{
                 0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                  1.618033988749895}, {0, 1, 1.618033988749895}, {
                 0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 0}]}, 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                   1.618033988749895}, {0, 1, 1.618033988749895}, {
                  0.6180339887498948, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                    1.618033988749895}, {0, 1, 1.618033988749895}, {
                   0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 0, 1}], 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                   1.618033988749895}, {0, 1, 1.618033988749895}, {
                  0.6180339887498948, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                    1.618033988749895}, {0, 1, 1.618033988749895}, {
                   0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 1, 0}]}, 
            0.5535743588970452, {1, 0, 0}], (8 Pi)/5, {0, 0, 1}], 
          Rotate[
           Rotate[{{
              
              Polygon[{{
                0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                 1.618033988749895}, {0, 1, 1.618033988749895}, {
                0.6180339887498948, 0, 1.618033988749895}}], 
              Rotate[
               
               Polygon[{{
                 0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                  1.618033988749895}, {0, 1, 1.618033988749895}, {
                 0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 0}]}, 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                   1.618033988749895}, {0, 1, 1.618033988749895}, {
                  0.6180339887498948, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                    1.618033988749895}, {0, 1, 1.618033988749895}, {
                   0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 0, 1}], 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                   1.618033988749895}, {0, 1, 1.618033988749895}, {
                  0.6180339887498948, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0, -1, 1.618033988749895}, {-0.6180339887498948, 0, 
                    1.618033988749895}, {0, 1, 1.618033988749895}, {
                   0.6180339887498948, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 1, 0}]}, 
            0.5535743588970452, {1, 0, 0}], 2 Pi, {0, 0, 
           1}]}, $CellContext`grt = {
          Rotate[
           Rotate[{{
              
              Polygon[{{
                0., -GoldenRatio^3, 1.618033988749895}, {-2.6180339887498945`,
                  0, 1.618033988749895}, {
                0., GoldenRatio^3, 1.618033988749895}, {
                2.6180339887498945`, 0, 1.618033988749895}}], 
              Rotate[
               
               Polygon[{{
                 0., -GoldenRatio^3, 
                  1.618033988749895}, {-2.6180339887498945`, 0, 
                  1.618033988749895}, {
                 0., GoldenRatio^3, 1.618033988749895}, {
                 2.6180339887498945`, 0, 1.618033988749895}}], Pi, {1, 0, 
               0}]}, 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0., -GoldenRatio^3, 
                   1.618033988749895}, {-2.6180339887498945`, 0, 
                   1.618033988749895}, {
                  0., GoldenRatio^3, 1.618033988749895}, {
                  2.6180339887498945`, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0., -GoldenRatio^3, 
                    1.618033988749895}, {-2.6180339887498945`, 0, 
                    1.618033988749895}, {
                   0., GoldenRatio^3, 1.618033988749895}, {
                   2.6180339887498945`, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 0, 1}], 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0., -GoldenRatio^3, 
                   1.618033988749895}, {-2.6180339887498945`, 0, 
                   1.618033988749895}, {
                  0., GoldenRatio^3, 1.618033988749895}, {
                  2.6180339887498945`, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0., -GoldenRatio^3, 
                    1.618033988749895}, {-2.6180339887498945`, 0, 
                    1.618033988749895}, {
                   0., GoldenRatio^3, 1.618033988749895}, {
                   2.6180339887498945`, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 1, 0}]}, 
            0.5535743588970452, {1, 0, 0}], (2 Pi)/5, {0, 0, 1}], 
          Rotate[
           Rotate[{{
              
              Polygon[{{
                0., -GoldenRatio^3, 1.618033988749895}, {-2.6180339887498945`,
                  0, 1.618033988749895}, {
                0., GoldenRatio^3, 1.618033988749895}, {
                2.6180339887498945`, 0, 1.618033988749895}}], 
              Rotate[
               
               Polygon[{{
                 0., -GoldenRatio^3, 
                  1.618033988749895}, {-2.6180339887498945`, 0, 
                  1.618033988749895}, {
                 0., GoldenRatio^3, 1.618033988749895}, {
                 2.6180339887498945`, 0, 1.618033988749895}}], Pi, {1, 0, 
               0}]}, 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0., -GoldenRatio^3, 
                   1.618033988749895}, {-2.6180339887498945`, 0, 
                   1.618033988749895}, {
                  0., GoldenRatio^3, 1.618033988749895}, {
                  2.6180339887498945`, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0., -GoldenRatio^3, 
                    1.618033988749895}, {-2.6180339887498945`, 0, 
                    1.618033988749895}, {
                   0., GoldenRatio^3, 1.618033988749895}, {
                   2.6180339887498945`, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 0, 1}], 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0., -GoldenRatio^3, 
                   1.618033988749895}, {-2.6180339887498945`, 0, 
                   1.618033988749895}, {
                  0., GoldenRatio^3, 1.618033988749895}, {
                  2.6180339887498945`, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0., -GoldenRatio^3, 
                    1.618033988749895}, {-2.6180339887498945`, 0, 
                    1.618033988749895}, {
                   0., GoldenRatio^3, 1.618033988749895}, {
                   2.6180339887498945`, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 1, 0}]}, 
            0.5535743588970452, {1, 0, 0}], (4 Pi)/5, {0, 0, 1}], 
          Rotate[
           Rotate[{{
              
              Polygon[{{
                0., -GoldenRatio^3, 1.618033988749895}, {-2.6180339887498945`,
                  0, 1.618033988749895}, {
                0., GoldenRatio^3, 1.618033988749895}, {
                2.6180339887498945`, 0, 1.618033988749895}}], 
              Rotate[
               
               Polygon[{{
                 0., -GoldenRatio^3, 
                  1.618033988749895}, {-2.6180339887498945`, 0, 
                  1.618033988749895}, {
                 0., GoldenRatio^3, 1.618033988749895}, {
                 2.6180339887498945`, 0, 1.618033988749895}}], Pi, {1, 0, 
               0}]}, 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0., -GoldenRatio^3, 
                   1.618033988749895}, {-2.6180339887498945`, 0, 
                   1.618033988749895}, {
                  0., GoldenRatio^3, 1.618033988749895}, {
                  2.6180339887498945`, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0., -GoldenRatio^3, 
                    1.618033988749895}, {-2.6180339887498945`, 0, 
                    1.618033988749895}, {
                   0., GoldenRatio^3, 1.618033988749895}, {
                   2.6180339887498945`, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 0, 1}], 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0., -GoldenRatio^3, 
                   1.618033988749895}, {-2.6180339887498945`, 0, 
                   1.618033988749895}, {
                  0., GoldenRatio^3, 1.618033988749895}, {
                  2.6180339887498945`, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0., -GoldenRatio^3, 
                    1.618033988749895}, {-2.6180339887498945`, 0, 
                    1.618033988749895}, {
                   0., GoldenRatio^3, 1.618033988749895}, {
                   2.6180339887498945`, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 1, 0}]}, 
            0.5535743588970452, {1, 0, 0}], (6 Pi)/5, {0, 0, 1}], 
          Rotate[
           Rotate[{{
              
              Polygon[{{
                0., -GoldenRatio^3, 1.618033988749895}, {-2.6180339887498945`,
                  0, 1.618033988749895}, {
                0., GoldenRatio^3, 1.618033988749895}, {
                2.6180339887498945`, 0, 1.618033988749895}}], 
              Rotate[
               
               Polygon[{{
                 0., -GoldenRatio^3, 
                  1.618033988749895}, {-2.6180339887498945`, 0, 
                  1.618033988749895}, {
                 0., GoldenRatio^3, 1.618033988749895}, {
                 2.6180339887498945`, 0, 1.618033988749895}}], Pi, {1, 0, 
               0}]}, 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0., -GoldenRatio^3, 
                   1.618033988749895}, {-2.6180339887498945`, 0, 
                   1.618033988749895}, {
                  0., GoldenRatio^3, 1.618033988749895}, {
                  2.6180339887498945`, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0., -GoldenRatio^3, 
                    1.618033988749895}, {-2.6180339887498945`, 0, 
                    1.618033988749895}, {
                   0., GoldenRatio^3, 1.618033988749895}, {
                   2.6180339887498945`, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 0, 1}], 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0., -GoldenRatio^3, 
                   1.618033988749895}, {-2.6180339887498945`, 0, 
                   1.618033988749895}, {
                  0., GoldenRatio^3, 1.618033988749895}, {
                  2.6180339887498945`, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0., -GoldenRatio^3, 
                    1.618033988749895}, {-2.6180339887498945`, 0, 
                    1.618033988749895}, {
                   0., GoldenRatio^3, 1.618033988749895}, {
                   2.6180339887498945`, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 1, 0}]}, 
            0.5535743588970452, {1, 0, 0}], (8 Pi)/5, {0, 0, 1}], 
          Rotate[
           Rotate[{{
              
              Polygon[{{
                0., -GoldenRatio^3, 1.618033988749895}, {-2.6180339887498945`,
                  0, 1.618033988749895}, {
                0., GoldenRatio^3, 1.618033988749895}, {
                2.6180339887498945`, 0, 1.618033988749895}}], 
              Rotate[
               
               Polygon[{{
                 0., -GoldenRatio^3, 
                  1.618033988749895}, {-2.6180339887498945`, 0, 
                  1.618033988749895}, {
                 0., GoldenRatio^3, 1.618033988749895}, {
                 2.6180339887498945`, 0, 1.618033988749895}}], Pi, {1, 0, 
               0}]}, 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0., -GoldenRatio^3, 
                   1.618033988749895}, {-2.6180339887498945`, 0, 
                   1.618033988749895}, {
                  0., GoldenRatio^3, 1.618033988749895}, {
                  2.6180339887498945`, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0., -GoldenRatio^3, 
                    1.618033988749895}, {-2.6180339887498945`, 0, 
                    1.618033988749895}, {
                   0., GoldenRatio^3, 1.618033988749895}, {
                   2.6180339887498945`, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 0, 1}], 
             Rotate[
              Rotate[{
                
                Polygon[{{
                  0., -GoldenRatio^3, 
                   1.618033988749895}, {-2.6180339887498945`, 0, 
                   1.618033988749895}, {
                  0., GoldenRatio^3, 1.618033988749895}, {
                  2.6180339887498945`, 0, 1.618033988749895}}], 
                Rotate[
                 
                 Polygon[{{
                   0., -GoldenRatio^3, 
                    1.618033988749895}, {-2.6180339887498945`, 0, 
                    1.618033988749895}, {
                   0., GoldenRatio^3, 1.618033988749895}, {
                   2.6180339887498945`, 0, 1.618033988749895}}], Pi, {1, 0, 
                 0}]}, Pi/2, {1, 0, 0}], Pi/2, {0, 1, 0}]}, 
            0.5535743588970452, {1, 0, 0}], 2 Pi, {0, 0, 
           1}]}, $CellContext`ShrinkPolygons[
          Pattern[$CellContext`shape, 
           Blank[]], 
          Optional[
           Pattern[$CellContext`ratio, 
            Blank[]], 0.6]] := ReplaceAll[$CellContext`shape, Polygon[
            Pattern[$CellContext`p, 
             Blank[]]] :> Polygon[
            $CellContext`scalepoints[$CellContext`p, 
             $CellContext`averagepoints[$CellContext`p], \
$CellContext`ratio]]], $CellContext`scalepoints[
          Pattern[$CellContext`points, 
           Blank[]], 
          Pattern[$CellContext`center, 
           Blank[]], 
          Pattern[$CellContext`ratio, 
           Blank[]]] := 
        Map[$CellContext`ratio (# - $CellContext`center) + \
$CellContext`center& , $CellContext`points], $CellContext`averagepoints[{
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            BlankNullSequence[]], 
           Pattern[$CellContext`c, 
            Blank[]]}] := Condition[
          $CellContext`averagepoints[{$CellContext`a, $CellContext`b}], \
$CellContext`a == $CellContext`c], $CellContext`averagepoints[
          Pattern[$CellContext`points, 
           Blank[]]] := Map[Apply[Plus, #]& , 
           Transpose[$CellContext`points]]/Length[$CellContext`points]}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`averagepoints[{
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             BlankNullSequence[]], 
            Pattern[$CellContext`c, 
             Blank[]]}] := Condition[
           $CellContext`averagepoints[{$CellContext`a, $CellContext`b}], \
$CellContext`a == $CellContext`c], $CellContext`averagepoints[
           Pattern[$CellContext`points, 
            Blank[]]] := Map[Apply[Plus, #]& , 
            Transpose[$CellContext`points]]/
          Length[$CellContext`points], $CellContext`scalepoints[
           Pattern[$CellContext`points, 
            Blank[]], 
           Pattern[$CellContext`center, 
            Blank[]], 
           Pattern[$CellContext`ratio, 
            Blank[]]] := 
         Map[$CellContext`ratio (# - $CellContext`center) + \
$CellContext`center& , $CellContext`points], $CellContext`ShrinkPolygons[
           Pattern[$CellContext`shape, 
            Blank[]], 
           Optional[
            Pattern[$CellContext`ratio, 
             Blank[]], 0.6]] := ReplaceAll[$CellContext`shape, Polygon[
             Pattern[$CellContext`p, 
              Blank[]]] :> Polygon[
             $CellContext`scalepoints[$CellContext`p, 
              $CellContext`averagepoints[$CellContext`p], \
$CellContext`ratio]]]}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->65720298]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["CAPTION", "Section",
 CellFrame->{{0, 0}, {1, 0}},
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 FontFamily->"Helvetica",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell["\<\
Modify the face diagonals or extend the faces of the rhombic triacontahedron \
to see its relationship to two of its stellations\[Dash]the medial rhombic \
triacontahedron and the great rhombic triacontahedron.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 0}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell[TextData[{
 "\"",
 ButtonBox["Two Stellations of the Rhombic Triacontahedron",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
TwoStellationsOfTheRhombicTriacontahedron/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
TwoStellationsOfTheRhombicTriacontahedron/"],
 "\"",
 " from ",
 ButtonBox["the Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
TwoStellationsOfTheRhombicTriacontahedron/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
TwoStellationsOfTheRhombicTriacontahedron/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
TwoStellationsOfTheRhombicTriacontahedron/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["S\[AAcute]ndor Kabai",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=S%E1ndor+Kabai"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=S%E1ndor+Kabai"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->84748179],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[1, 1, 1]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TwoStellationsOfTheRhombicTriacontahedron"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
CellInsertionPointCell->None,
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Two Stellations of the Rhombic Triacontahedron - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[626, 21, 166, 3, 66, "Section"],
Cell[CellGroupData[{
Cell[817, 28, 3700, 64, 37, "Section"],
Cell[4520, 94, 363, 11, 31, "Input",
 CellID->149247222],
Cell[4886, 107, 424, 12, 31, "Input",
 CellID->141264655],
Cell[5313, 121, 366, 12, 31, "Input",
 CellID->52769128],
Cell[5682, 135, 481, 14, 52, "Input",
 CellID->313468242],
Cell[CellGroupData[{
Cell[6188, 153, 5507, 139, 432, "Input",
 CellID->797729956],
Cell[11698, 294, 33111, 744, 70, "Output",
 CellID->65720298]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[44858, 1044, 209, 6, 70, "Section"],
Cell[45070, 1052, 234, 4, 70, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[45341, 1061, 355, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[45699, 1072, 1046, 31, 70, "Text"],
Cell[46748, 1105, 461, 15, 70, "Text",
 CellID->84748179],
Cell[47212, 1122, 815, 24, 70, "Text"],
Cell[48030, 1148, 1213, 33, 70, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature IQ4O0aISouW8ZDTscFJ2q5Yv *)
