(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     16976,        459]
NotebookOptionsPosition[     16400,        437]
NotebookOutlinePosition[     16743,        452]
CellTagsIndexPosition[     16700,        449]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Phi]", "=", "1.618"}], ";", "\[IndentingNewLine]", 
    RowBox[{"\[Beta]", "=", 
     RowBox[{"ArcTan", "[", "\[Phi]", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vA", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "/", "\[Phi]"}], " ", ",", "0", ",", 
       RowBox[{"b", " ", "\[Phi]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vB", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "a", ",", 
       RowBox[{"b", " ", "\[Phi]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vC", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "/", "\[Phi]"}], " ", ",", "0", ",", 
       RowBox[{"b", " ", "\[Phi]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vD", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "a"}], ",", 
       RowBox[{"b", " ", "\[Phi]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"r1", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vD", ",", "vC", ",", "vB", ",", "vA"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"r2", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{"r1", ",", "Pi", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"r3", "=", 
     RowBox[{"{", 
      RowBox[{"r1", ",", "r2"}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"r4", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{"r3", ",", 
         RowBox[{"Pi", "/", "2"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
       RowBox[{"Pi", "/", "2"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"r5", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{"r3", ",", 
         RowBox[{"Pi", "/", "2"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
       RowBox[{"Pi", "/", "2"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"cub", "=", 
     RowBox[{"{", 
      RowBox[{"r3", ",", "r4", ",", "r5"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"cubt", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{"cub", ",", "\[Beta]", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"mrt", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{"cubt", ",", 
         RowBox[{"i", "*", "2", 
          RowBox[{"Pi", "/", "5"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "5"}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{"mrt", ",", 
      RowBox[{"ViewPoint", "->", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "10"}], "}"}]}], ",", 
      RowBox[{"ViewAngle", "\[Rule]", "0.1"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "400"}], ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
      RowBox[{"SphericalRegion", "\[Rule]", "True"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", " ", 
       RowBox[{"1", "/", 
        RowBox[{"\[Phi]", "^", "3"}]}], ",", " ", "\"\<a\>\""}], "}"}], ",", 
     "1", ",", 
     RowBox[{"1", "/", 
      RowBox[{"\[Phi]", "^", "3"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", 
       RowBox[{"1", "/", 
        RowBox[{"\[Phi]", "^", "3"}]}], ",", " ", "\"\<b\>\""}], "}"}], ",", 
     "1", ",", 
     RowBox[{"1", "/", 
      RowBox[{"\[Phi]", "^", "3"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.540694596859375*^9, 3.5406947913125*^9}, 
   3.54069485184375*^9, {3.5406950654375*^9, 3.540695084671875*^9}, {
   3.540695154484375*^9, 3.540695194125*^9}, {3.540695267546875*^9, 
   3.54069541246875*^9}, {3.540695481078125*^9, 3.540695531140625*^9}, {
   3.5406955731875*^9, 3.54069559925*^9}, {3.540695636703125*^9, 
   3.540695637296875*^9}, {3.54069570984375*^9, 3.540695889171875*^9}, {
   3.540695938671875*^9, 3.540695984546875*^9}, {3.540696071203125*^9, 
   3.54069620709375*^9}, {3.54069637228125*^9, 3.54069640375*^9}, {
   3.540696485125*^9, 3.540696506859375*^9}, 3.540696561203125*^9, 
   3.540696601234375*^9, {3.540696654015625*^9, 3.540696656140625*^9}, {
   3.540696697828125*^9, 3.540696712015625*^9}, {3.5406968078125*^9, 
   3.540696819390625*^9}, {3.5406968555625*^9, 3.540696892703125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ico", "=", 
   RowBox[{"PolyhedronData", "[", 
    RowBox[{"\"\<Icosahedron\>\"", ",", "\"\<Faces\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dod", " ", "=", " ", 
   RowBox[{"PolyhedronData", "[", 
    RowBox[{"\"\<Dodecahedron\>\"", ",", "\"\<Faces\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rh", "=", " ", 
   RowBox[{"PolyhedronData", "[", 
    RowBox[{"\"\<RhombicHexecontahedron\>\"", ",", "\"\<Faces\>\""}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dh", "=", 
   RowBox[{"PolyhedronData", "[", 
    RowBox[{"\"\<DeltoidalHexecontahedron\>\"", ",", "\"\<Faces\>\""}], 
    "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5406925116875*^9, 3.54069272315625*^9}, {
  3.54069354403125*^9, 3.540693553953125*^9}, {3.540693623359375*^9, 
  3.54069367215625*^9}, {3.5406937094375*^9, 3.540693715203125*^9}, {
  3.540694257125*^9, 3.540694317140625*^9}, {3.540696914328125*^9, 
  3.540696932140625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Graphics3D", "[", 
   RowBox[{"mrt", ",", 
    RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
    RowBox[{"SphericalRegion", "\[Rule]", "True"}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.540694867140625*^9, 3.5406948805*^9}, {3.540696938*^9, 
   3.540696939796875*^9}, 3.540711464546875*^9}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.54069487625*^9, 3.54069487625*^9}}],

Cell[BoxData[
 RowBox[{"Row", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Graphics3D", "[", 
     RowBox[{"#", ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], "&"}], "/@", 
   RowBox[{"{", 
    RowBox[{"dh", ",", "mrt"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5406969593125*^9, 3.540696961046875*^9}}],

Cell[BoxData[
 RowBox[{"Row", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Graphics3D", "[", 
     RowBox[{"#", ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "120"}]}], "]"}], "&"}], "/@", 
   RowBox[{"{", 
    RowBox[{"ico", ",", "dod", ",", "dh", ",", "mrt", ",", "rh"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.540696995234375*^9, 3.54069702778125*^9}, {
  3.540697093046875*^9, 3.540697093421875*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Phi]", "=", "GoldenRatio"}], ";", "\[IndentingNewLine]", 
    RowBox[{"\[Beta]", "=", 
     RowBox[{"ArcTan", "[", 
      RowBox[{"1", "/", "\[Phi]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"\[Beta]1", "=", 
     RowBox[{"ArcTan", "[", 
      RowBox[{"1", "/", 
       RowBox[{"\[Phi]", "^", "2"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vA", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "/", "\[Phi]"}], ",", " ", "1", ",", "0"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vC", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "/", "\[Phi]"}], ",", " ", "1", ",", "0"}], 
      "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vH", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"1", "/", "\[Phi]"}], ",", "1"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"tr9", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vA", ",", "vH", ",", "vC"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Tz", "=", " ", 
     RowBox[{"radius", " ", 
      RowBox[{"Sin", "[", "\[Beta]1", "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Ty", "=", 
     RowBox[{"radius", " ", 
      RowBox[{"Cos", "[", "\[Beta]1", "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"\[Alpha]\[Alpha]", "=", 
     RowBox[{"ArcTan", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "Tz"}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"Ty", "-", 
         RowBox[{"1", "/", "\[Phi]"}]}], ")"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"a", "=", 
     RowBox[{
      RowBox[{"Tan", "[", "\[Beta]", "]"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Tan", "[", "\[Alpha]\[Alpha]", "]"}], "+", 
        RowBox[{"Tan", "[", "\[Beta]", "]"}]}], ")"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Ny", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "\[Phi]"}], ")"}], "+", "a"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Nx", "=", 
     RowBox[{"Ny", " ", 
      RowBox[{"Tan", "[", "\[Beta]1", "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"h", "=", 
     RowBox[{"a", " ", 
      RowBox[{"Tan", "[", "\[Alpha]\[Alpha]", "]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Nz", "=", 
     RowBox[{"1", "-", "h"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vN", "=", 
     RowBox[{"{", 
      RowBox[{"Nx", ",", "Ny", ",", "Nz"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vM", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "Nx"}], ",", "Ny", ",", "Nz"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vT", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "Ty", ",", "Tz"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Oi", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"Ny", "^", "2"}], "+", 
       RowBox[{"Nx", "^", "2"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Oy", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"Oi", "^", "2"}], "+", 
       RowBox[{"Nz", "^", "2"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vO", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "Oy", ",", "0"}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"d1", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vT", ",", "vN", ",", "vH", ",", "vM"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"d2", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vT", ",", "vN", ",", "vA", ",", "vO"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"d3", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vT", ",", "vO", ",", "vC", ",", "vM"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"tr9fr", "=", 
     RowBox[{"{", 
      RowBox[{"Yellow", ",", 
       RowBox[{"Opacity", "[", "0.3", "]"}], ",", "tr9"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"v1", "=", 
     RowBox[{"{", 
      RowBox[{"d1", ",", "d2", ",", "d3", ",", "tr9fr"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"v2", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{"v1", ",", "Pi", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"v3", "=", 
     RowBox[{"{", 
      RowBox[{"v1", ",", "v2"}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"v4", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{"v3", ",", "Pi", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"v5", "=", 
     RowBox[{"{", 
      RowBox[{"v3", ",", "v4"}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"v6", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{"v5", ",", "\[Beta]", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"v7", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{"v6", ",", 
         RowBox[{"i", "*", "2", 
          RowBox[{"Pi", "/", "5"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "5"}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{"v7", ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
      RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"450", ",", "400"}], "}"}]}], ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
      RowBox[{"ViewAngle", "\[Rule]", 
       RowBox[{"\[Pi]", "/", "10"}]}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"radius", ",", "0.6615", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
       "0.6615", "\[Rule]", "\"\<medial rhombic triacontahedron\>\""}], ",", 
       " ", 
       RowBox[{"0.9341", "\[Rule]", " ", "\"\<icosahedron\>\""}], ",", 
       RowBox[{"1.0704", "\[Rule]", "\"\<deltoidal hexecontahedron\>\""}]}], 
      "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"radius", ",", "0.6615", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1.4793", "\[Rule]", "\"\<dodecahedron\>\""}], ",", 
       RowBox[{"2.8025", "\[Rule]", "\"\<rhombic hexecontahedron\>\""}]}], 
      "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"radius", ",", "0.6615", ",", "\"\<radius\>\""}], "}"}], ",", 
     "0.2", ",", "5"}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", "radius", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.372006927511649*^9, {3.3720069585895753`*^9, 
   3.3720070178860703`*^9}, {3.3720070480733776`*^9, 3.372007067479503*^9}, {
   3.3720072624001307`*^9, 3.372007262697004*^9}, {3.372007306993595*^9, 
   3.372007310290449*^9}, {3.37201077278125*^9, 3.37201080646875*^9}, {
   3.3720261201875*^9, 3.37202612140625*^9}, {3.374436879397617*^9, 
   3.374436951178867*^9}, {3.374440935538242*^9, 3.374440955460117*^9}, 
   3.375049680421875*^9, {3.3826379616875*^9, 3.3826380628125*^9}, {
   3.382638115546875*^9, 3.38263817015625*^9}, {3.382638235453125*^9, 
   3.3826383263125*^9}, {3.38263846978125*^9, 3.382638521078125*^9}, {
   3.382638850546875*^9, 3.3826388785*^9}, {3.382638912734375*^9, 
   3.382638931828125*^9}, {3.38263896540625*^9, 3.38263902525*^9}, {
   3.382639448421875*^9, 3.38263958978125*^9}, {3.382639878265625*^9, 
   3.382639934984375*^9}, {3.382640255765625*^9, 3.38264025771875*^9}, {
   3.3826405252452497`*^9, 3.3826405656533537`*^9}, {3.3826406011744304`*^9, 
   3.382640602586461*^9}, {3.382640665637123*^9, 3.38264067036392*^9}, {
   3.382640847849131*^9, 3.3826409385395374`*^9}, {3.382641150934947*^9, 
   3.382641210921203*^9}, {3.38264207028691*^9, 3.3826421409985886`*^9}, {
   3.382642183669947*^9, 3.382642184901718*^9}, {3.540794388015625*^9, 
   3.5407943898125*^9}},
 CellID->1496021318],

Cell[BoxData[
 RowBox[{"Length", "[", 
  RowBox[{"PolyhedronData", "[", "]"}], "]"}]], "Input",
 CellChangeTimes->{
  3.540693729140625*^9, {3.540831571125*^9, 3.5408316286875*^9}}],

Cell[BoxData[
 RowBox[{"PolyhedronData", "[", "]"}]], "Input"]
},
WindowSize->{792, 498},
WindowMargins->{{0, Automatic}, {Automatic, 47}},
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 5003, 126, 412, "Input"],
Cell[5563, 148, 1019, 25, 92, "Input"],
Cell[6585, 175, 331, 7, 31, "Input"],
Cell[6919, 184, 84, 1, 31, "Input"],
Cell[7006, 187, 374, 10, 31, "Input"],
Cell[7383, 199, 462, 12, 31, "Input"],
Cell[7848, 213, 8299, 213, 792, "Input",
 CellID->1496021318],
Cell[16150, 428, 181, 4, 31, "Input"],
Cell[16334, 434, 62, 1, 31, "Input"]
}
]
*)

(* End of internal cache information *)
