(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     37308,        864]
NotebookOptionsPosition[     36219,        823]
NotebookOutlinePosition[     36836,        847]
CellTagsIndexPosition[     36793,        844]
WindowTitle->Extendable Circular Table - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Extendable Circular Table", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"insert", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Specularity", "[", "0.3", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.8", ",", "0.8", ",", "0.4"}], "]"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Rotate", "[", 
          RowBox[{
           RowBox[{"Translate", "[", 
            RowBox[{
             RowBox[{"Polygon", "[", 
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"u", " ", 
                   RowBox[{"Cos", "[", 
                    RowBox[{"Pi", "/", "n"}], "]"}]}], ",", 
                  RowBox[{
                   RowBox[{"-", "u"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"Pi", "/", "n"}], "]"}]}], ",", "0"}], "}"}], ",",
                 "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"u", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"Pi", "/", "n"}], "]"}]}], "+", "u", "-", 
                   "0.02"}], ",", 
                  RowBox[{
                   RowBox[{"-", "u"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"Pi", "/", "n"}], "]"}]}], ",", "0"}], "}"}], ",",
                 "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"u", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"Pi", "/", "n"}], "]"}]}], "+", "u", "-", 
                   "0.02"}], ",", 
                  RowBox[{"u", " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"Pi", "/", "n"}], "]"}]}], ",", "0"}], "}"}], ",",
                 "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"u", " ", 
                   RowBox[{"Cos", "[", 
                    RowBox[{"Pi", "/", "n"}], "]"}]}], ",", 
                  RowBox[{"u", " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"Pi", "/", "n"}], "]"}]}], ",", "0"}], "}"}], ",",
                 "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"tr", " ", ",", "0", ",", "flush"}], "}"}]}], "]"}], 
           ",", 
           RowBox[{
            RowBox[{"i", " ", "2", " ", 
             RowBox[{"Pi", "/", "n"}]}], "+", 
            RowBox[{"tr", " ", "2", 
             RowBox[{
              RowBox[{"Pi", "/", "n"}], "/", "u"}]}]}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "n"}], "}"}]}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"star", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Specularity", "[", "0.3", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", "0.6", ",", "0.4"}], "]"}], ",", 
       RowBox[{"Translate", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Rotate", "[", 
            RowBox[{
             RowBox[{"Polygon", "[", 
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0", ",", 
                  RowBox[{"-", "w"}]}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"0.5", ",", 
                  RowBox[{
                   RowBox[{"-", "0.5"}], " ", 
                   RowBox[{"Tan", "[", 
                    RowBox[{
                    RowBox[{"Pi", "/", "n"}], "/", "2"}], "]"}]}], ",", 
                  RowBox[{"-", "w"}]}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "0", ",", 
                  RowBox[{"-", "w"}]}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"0.5", ",", 
                  RowBox[{"0.5", " ", 
                   RowBox[{"Tan", "[", 
                    RowBox[{
                    RowBox[{"Pi", "/", "n"}], "/", "2"}], "]"}]}], ",", 
                  RowBox[{"-", "w"}]}], "}"}]}], "\[IndentingNewLine]", "}"}],
               "]"}], ",", 
             RowBox[{
              RowBox[{"i", " ", "2", 
               RowBox[{
                RowBox[{"Pi", "/", "n"}], "/", "2"}]}], "+", 
              RowBox[{
               RowBox[{"Pi", "/", "n"}], "/", "2"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", 
             RowBox[{"2", "n"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", 
           RowBox[{"2", "flush"}]}], " ", "}"}]}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"full", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Specularity", "[", "0.4", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.8", ",", "0.7", ",", "0.5"}], "]"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Rotate", "[", 
          RowBox[{
           RowBox[{"Translate", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
              "segment1", ",", "segment2", ",", "face1", ",", "face2", ",", 
               "edge"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"tr", " ", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
           " ", 
           RowBox[{
            RowBox[{"i", " ", "2", " ", 
             RowBox[{"Pi", "/", "n"}]}], "+", 
            RowBox[{"tr", " ", 
             RowBox[{
              RowBox[{"Pi", "/", "n"}], "/", "u"}]}]}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "n"}], "}"}]}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"jack", "=", 
     RowBox[{"Cylinder", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", 
           RowBox[{"-", "0.4"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", 
           RowBox[{
            RowBox[{"-", "0.13"}], "+", 
            RowBox[{"2", "flush"}]}]}], "}"}]}], "}"}], ",", "0.1"}], "]"}]}],
     ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "support", ",", "handle", ",", "jack", ",", "base", ",", "leg", ",", 
        "star", ",", "insert", ",", "full"}], "}"}], ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
      RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "380"}], ",", 
      RowBox[{"ViewAngle", "\[Rule]", "0.08"}], ",", 
      RowBox[{"ViewPoint", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"3", ",", 
         RowBox[{"-", "10"}], ",", "6"}], "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1.6"}], ",", "1.6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1.6"}], ",", "1.6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1.6"}], ",", "1"}], "}"}]}], "}"}]}]}], "]"}]}], ",",
    "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"tr", ",", "0", ",", "\"\<rotate to extend\>\""}], "}"}], ",", 
     "0", ",", "u"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"flush", ",", "0", ",", "\"\<raise inserts\>\""}], "}"}], ",", 
     "0", ",", "w"}], "}"}], ",", " ", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"w", "=", " ", "0.1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"n", "=", "6"}], ";", "\[IndentingNewLine]", 
      RowBox[{"u", "=", 
       RowBox[{"0.5", "/", 
        RowBox[{"Cos", "[", 
         RowBox[{
          RowBox[{"Pi", "/", "n"}], "/", "2"}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"segment1", "=", 
       RowBox[{
        RowBox[{"RevolutionPlot3D", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"f", ",", 
            RowBox[{
             RowBox[{"-", "Pi"}], "/", "n"}], ",", 
            RowBox[{"Pi", "/", "n"}]}], "}"}], ",", 
          RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
          RowBox[{"BoundaryStyle", "\[Rule]", "Black"}]}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"segment2", "=", 
       RowBox[{
        RowBox[{"RevolutionPlot3D", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "w"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"f", ",", 
            RowBox[{
             RowBox[{"-", "Pi"}], "/", "n"}], ",", 
            RowBox[{"Pi", "/", "n"}]}], "}"}], ",", 
          RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
          RowBox[{"BoundaryStyle", "\[Rule]", "Black"}]}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"face1", "=", 
       RowBox[{"Polygon", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "w"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Cos", "[", 
             RowBox[{"Pi", "/", "n"}], "]"}], ",", 
            RowBox[{"Sin", "[", 
             RowBox[{"Pi", "/", "n"}], "]"}], ",", "w"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Cos", "[", 
             RowBox[{"Pi", "/", "n"}], "]"}], ",", 
            RowBox[{"Sin", "[", 
             RowBox[{"Pi", "/", "n"}], "]"}], ",", "0"}], "}"}]}], "}"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"face2", "=", 
       RowBox[{"Polygon", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "w"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Cos", "[", 
             RowBox[{"Pi", "/", "n"}], "]"}], ",", 
            RowBox[{"-", 
             RowBox[{"Sin", "[", 
              RowBox[{"Pi", "/", "n"}], "]"}]}], ",", "w"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Cos", "[", 
             RowBox[{"Pi", "/", "n"}], "]"}], ",", 
            RowBox[{"-", 
             RowBox[{"Sin", "[", 
              RowBox[{"Pi", "/", "n"}], "]"}]}], ",", "0"}], "}"}]}], "}"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"edge", "=", 
       RowBox[{
        RowBox[{"ParametricPlot3D", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Sin", "[", "x", "]"}], ",", 
            RowBox[{"Cos", "[", "x", "]"}], ",", "v"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", " ", ",", 
            RowBox[{
             RowBox[{"Pi", "/", "2"}], "-", 
             RowBox[{"Pi", "/", "n"}]}], ",", 
            RowBox[{
             RowBox[{"Pi", "/", "2"}], "+", 
             RowBox[{"Pi", "/", "n"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"v", ",", "0", ",", "w"}], "}"}], ",", 
          RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"handle", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RGBColor", "[", 
          RowBox[{"0.3", ",", "0.4", ",", "0.2"}], "]"}], ",", 
         RowBox[{
          RowBox[{"ParametricPlot3D", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Sin", "[", "x", "]"}], ",", 
              RowBox[{"Cos", "[", "x", "]"}], ",", "v"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", " ", ",", "0", ",", 
              RowBox[{"2", "Pi"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"v", ",", "0", ",", 
              RowBox[{"-", "0.12"}]}], "}"}], ",", 
            RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"leg", "=", 
       RowBox[{"Cylinder", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", 
             RowBox[{"-", "1"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", 
             RowBox[{"-", "0.12"}]}], "}"}]}], "}"}], ",", "0.2"}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"base", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RGBColor", "[", 
          RowBox[{"0.3", ",", "0.8", ",", "0.6"}], "]"}], ",", 
         RowBox[{"Cylinder", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"-", "1"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"-", "1.1"}]}], "}"}]}], "}"}], ",", "0.6"}], "]"}]}], 
        "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"support", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RGBColor", "[", 
          RowBox[{"0.3", ",", "0.2", ",", "0.4"}], "]"}], ",", 
         RowBox[{
          RowBox[{"RevolutionPlot3D", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"-", "0.12"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "0.2", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"f", ",", "0", ",", 
              RowBox[{"2", "Pi"}]}], "}"}], ",", 
            RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
            RowBox[{"BoundaryStyle", "\[Rule]", "Black"}]}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], ";"}], 
     "\[IndentingNewLine]", ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4361523363125*^9, 3.43615234159375*^9}, {
   3.436152459390625*^9, 3.436152549734375*^9}, {3.436152597484375*^9, 
   3.436152703328125*^9}, {3.436153036921875*^9, 3.43615318353125*^9}, {
   3.436153242109375*^9, 3.4361535834375*^9}, {3.436153786859375*^9, 
   3.436153855609375*^9}, {3.436153919171875*^9, 3.436153926875*^9}, {
   3.436154638828125*^9, 3.436154752984375*^9}, {3.436154783765625*^9, 
   3.436155072171875*^9}, {3.436155920078125*^9, 3.436155922453125*^9}, {
   3.436156434875*^9, 3.436156443265625*^9}, {3.436156519796875*^9, 
   3.4361565675625*^9}, {3.4361566035*^9, 3.436156639328125*^9}, {
   3.43615667453125*^9, 3.436156729625*^9}, {3.436158497390625*^9, 
   3.4361584978125*^9}, {3.436158563703125*^9, 3.436158576203125*^9}, {
   3.43615860728125*^9, 3.436158607578125*^9}, {3.43615865190625*^9, 
   3.43615866328125*^9}, {3.436158708625*^9, 3.436158717828125*^9}, {
   3.436158769046875*^9, 3.43615881034375*^9}, {3.43615895575*^9, 
   3.43615900028125*^9}, {3.43615912915625*^9, 3.436159160296875*^9}, {
   3.4361593136875*^9, 3.43615937446875*^9}, {3.436159415640625*^9, 
   3.43615941596875*^9}, {3.436159564609375*^9, 3.436159600296875*^9}, {
   3.43615966*^9, 3.436159750125*^9}, {3.43616007834375*^9, 
   3.4361600953125*^9}, {3.436160169453125*^9, 3.436160222046875*^9}, 
   3.436160450859375*^9, {3.43616130125*^9, 3.436161304328125*^9}, {
   3.436161341*^9, 3.436161341515625*^9}, {3.436161373*^9, 
   3.436161492640625*^9}, {3.43616161896875*^9, 3.43616163728125*^9}, {
   3.436161700203125*^9, 3.4361617009375*^9}, {3.436161755078125*^9, 
   3.436161757921875*^9}, {3.436161845640625*^9, 3.43616184590625*^9}, {
   3.436161935921875*^9, 3.436161944453125*^9}, {3.436161982109375*^9, 
   3.4361620893125*^9}, {3.436162123484375*^9, 3.4361621243125*^9}, {
   3.43616282896875*^9, 3.43616282953125*^9}, 3.43616286971875*^9, {
   3.436162927890625*^9, 3.436162931859375*^9}, {3.436162978625*^9, 
   3.436162985046875*^9}, {3.43616306896875*^9, 3.436163071*^9}, {
   3.4361631115625*^9, 3.436163112234375*^9}, {3.43616320321875*^9, 
   3.436163204359375*^9}, 3.4361632478125*^9, {3.436163308421875*^9, 
   3.436163341515625*^9}, {3.436163459171875*^9, 3.4361634634375*^9}, {
   3.4361635046875*^9, 3.436163505046875*^9}, {3.436163536453125*^9, 
   3.436163617984375*^9}, {3.436163664015625*^9, 3.436163667453125*^9}, {
   3.436163750328125*^9, 3.436163771203125*^9}, {3.436163859859375*^9, 
   3.436163999109375*^9}, 3.436164044859375*^9, {3.4361640820625*^9, 
   3.4361640836875*^9}, 3.436164115765625*^9, {3.4361641495625*^9, 
   3.436164151734375*^9}, {3.43616418284375*^9, 3.436164195921875*^9}, {
   3.436164234546875*^9, 3.43616424896875*^9}, 3.43616429065625*^9, {
   3.43616432834375*^9, 3.43616434146875*^9}, {3.436164375671875*^9, 
   3.4361643858125*^9}, {3.4361644425625*^9, 3.436164468265625*^9}, {
   3.436164599375*^9, 3.43616464746875*^9}, {3.4361647380625*^9, 
   3.436164738921875*^9}, {3.436164789*^9, 3.436164790625*^9}, {
   3.436164842578125*^9, 3.436164844046875*^9}, {3.43616491425*^9, 
   3.43616491875*^9}, {3.436176882046875*^9, 3.436176884765625*^9}, {
   3.43617702921875*^9, 3.436177048984375*^9}, {3.4361770844375*^9, 
   3.4361770865625*^9}, {3.436177146546875*^9, 3.436177158359375*^9}, {
   3.436177224609375*^9, 3.436177228734375*^9}, 3.436177337640625*^9, {
   3.43617750303125*^9, 3.436177519265625*^9}, {3.43617757396875*^9, 
   3.436177596125*^9}, {3.43617772928125*^9, 3.4361777303125*^9}, {
   3.436177813765625*^9, 3.4361780001875*^9}, {3.436178033015625*^9, 
   3.43617805496875*^9}, {3.43617811746875*^9, 3.436178158046875*^9}, 
   3.436178189453125*^9, {3.43617822546875*^9, 3.4361782320625*^9}, {
   3.436178276234375*^9, 3.436178283640625*^9}, {3.43617831640625*^9, 
   3.4361783408125*^9}, {3.43617858390625*^9, 3.436178608734375*^9}, {
   3.436178644421875*^9, 3.436178644921875*^9}, {3.43617868490625*^9, 
   3.43617873234375*^9}, {3.436178806671875*^9, 3.436178830671875*^9}, {
   3.436178882953125*^9, 3.436178947328125*^9}, {3.436178989671875*^9, 
   3.43617899209375*^9}, {3.43618284396875*^9, 3.43618289171875*^9}, {
   3.43618293815625*^9, 3.436182941109375*^9}, {3.436183029109375*^9, 
   3.43618303084375*^9}, {3.43618306928125*^9, 3.43618309446875*^9}, {
   3.43618317103125*^9, 3.43618317678125*^9}, 3.436183218453125*^9, {
   3.4361834856875*^9, 3.436183537234375*^9}, {3.436183582984375*^9, 
   3.4361836128125*^9}, {3.4361837353125*^9, 3.4361837371875*^9}, {
   3.436183788453125*^9, 3.436183796140625*^9}, {3.4361842168125*^9, 
   3.4361842239375*^9}, {3.43618456675*^9, 3.436184584796875*^9}, {
   3.4361846338125*^9, 3.43618469578125*^9}, 3.4361962490625*^9, {
   3.436196294359375*^9, 3.436196361953125*^9}, {3.43619659478125*^9, 
   3.4361965955625*^9}, {3.436196632671875*^9, 3.436196692265625*^9}, {
   3.436196730328125*^9, 3.436196777*^9}, {3.436196811046875*^9, 
   3.436196896125*^9}, {3.4361969523125*^9, 3.43619695284375*^9}, {
   3.436197013390625*^9, 3.43619701415625*^9}, {3.43619704725*^9, 
   3.436197066859375*^9}, {3.43619732171875*^9, 3.4361973839375*^9}, {
   3.436197443875*^9, 3.436197444484375*^9}, {3.436197486703125*^9, 
   3.4361974961875*^9}, {3.436197621875*^9, 3.436197640984375*^9}, {
   3.436197724953125*^9, 3.436197755609375*^9}, {3.43619780265625*^9, 
   3.436197821390625*^9}, {3.4361978743125*^9, 3.43619789609375*^9}, {
   3.436197935359375*^9, 3.436197951671875*^9}, {3.436198011734375*^9, 
   3.436198089421875*^9}, {3.436198131828125*^9, 3.436198132859375*^9}, {
   3.436200654265625*^9, 3.436200655375*^9}, {3.43620070003125*^9, 
   3.436200752671875*^9}, {3.4362008829375*^9, 3.4362008859375*^9}, {
   3.43620096575*^9, 3.4362009851875*^9}, {3.436201215328125*^9, 
   3.43620125896875*^9}, {3.4362013036875*^9, 3.436201307953125*^9}, {
   3.436201379796875*^9, 3.4362014140625*^9}, {3.43620145178125*^9, 
   3.436201535859375*^9}, {3.43620157428125*^9, 3.436201648734375*^9}, {
   3.43620168715625*^9, 3.436201707625*^9}, {3.436201867296875*^9, 
   3.43620187875*^9}, {3.4362019188125*^9, 3.436201961578125*^9}, {
   3.4362020339375*^9, 3.436202040109375*^9}, {3.436203468125*^9, 
   3.436203508953125*^9}, 3.43620362384375*^9, {3.4362038429375*^9, 
   3.43620385221875*^9}, {3.436203899171875*^9, 3.436203932875*^9}, {
   3.4362039780625*^9, 3.436203978671875*^9}, {3.436204030046875*^9, 
   3.436204030390625*^9}, 3.436204090015625*^9, {3.436204138921875*^9, 
   3.4362041436875*^9}, 3.436204203*^9, {3.436204254125*^9, 3.43620425475*^9},
    3.43620428871875*^9, {3.436204845*^9, 3.436204917921875*^9}, {
   3.43620496859375*^9, 3.436205012375*^9}, {3.4362050459375*^9, 
   3.436205066*^9}, {3.436205122421875*^9, 3.436205236609375*^9}, {
   3.436205364859375*^9, 3.4362053904375*^9}, {3.43620576084375*^9, 
   3.436205820171875*^9}, {3.43620599715625*^9, 3.436206009453125*^9}, {
   3.436206356890625*^9, 3.436206358296875*^9}, {3.43620640196875*^9, 
   3.436206477796875*^9}, {3.436206522640625*^9, 3.436206551625*^9}, 
   3.43620659265625*^9, 3.43620665715625*^9, {3.436206721375*^9, 
   3.4362067350625*^9}, 3.43620677409375*^9, {3.4362068905625*^9, 
   3.43620691225*^9}, {3.43620696409375*^9, 3.436206970828125*^9}, {
   3.43620700315625*^9, 3.436207003828125*^9}, {3.43620709415625*^9, 
   3.436207095296875*^9}, {3.436207195203125*^9, 3.43620719646875*^9}, 
   3.43620724465625*^9, {3.436207279421875*^9, 3.436207334546875*^9}, {
   3.436207452890625*^9, 3.436207454296875*^9}, {3.43620756325*^9, 
   3.436207588625*^9}, 3.436207635125*^9, {3.436208056328125*^9, 
   3.43620805725*^9}, {3.436238808546875*^9, 3.436238811078125*^9}, {
   3.436238941359375*^9, 3.436238985046875*^9}, {3.43623901509375*^9, 
   3.436239015859375*^9}, {3.43623911175*^9, 3.436239114390625*^9}, {
   3.436239147984375*^9, 3.43623915284375*^9}, {3.436239203796875*^9, 
   3.436239223203125*^9}, {3.436239351953125*^9, 3.4362394198125*^9}, {
   3.436239489953125*^9, 3.436239539625*^9}, {3.43623960921875*^9, 
   3.4362396119375*^9}, {3.436239698828125*^9, 3.436239698984375*^9}, 
   3.436239801203125*^9, 3.436239843453125*^9, {3.43623999915625*^9, 
   3.436240085796875*^9}, {3.436240128859375*^9, 3.4362401305*^9}, {
   3.4362401628125*^9, 3.436240191125*^9}, {3.4362402379375*^9, 
   3.43624023996875*^9}, {3.436240274015625*^9, 3.436240348375*^9}, {
   3.436240390640625*^9, 3.43624040575*^9}, {3.4362404515625*^9, 
   3.43624048028125*^9}, {3.436240560390625*^9, 3.4362405641875*^9}, {
   3.436240652609375*^9, 3.436240758453125*^9}, 3.43624079259375*^9, {
   3.43624085025*^9, 3.43624099853125*^9}, 3.43624106746875*^9, {
   3.436241112734375*^9, 3.4362411540625*^9}, {3.436241189921875*^9, 
   3.436241217796875*^9}, {3.43624126903125*^9, 3.43624135725*^9}, {
   3.436241399875*^9, 3.436241400859375*^9}, {3.436241455578125*^9, 
   3.43624146915625*^9}, {3.4362415064375*^9, 3.436241515421875*^9}, {
   3.436241557859375*^9, 3.436241589546875*^9}, {3.4362416365*^9, 
   3.43624166365625*^9}, {3.436241701265625*^9, 3.436241702546875*^9}, {
   3.43624177459375*^9, 3.436241811703125*^9}, {3.43624223475*^9, 
   3.43624223878125*^9}, {3.436242272421875*^9, 3.43624227315625*^9}, {
   3.436242346515625*^9, 3.4362423513125*^9}, {3.436242425921875*^9, 
   3.43624242734375*^9}, {3.4362424595625*^9, 3.436242577484375*^9}, {
   3.436270883929038*^9, 3.4362708844020853`*^9}, {3.4362709868053246`*^9, 
   3.4362709870203466`*^9}, {3.436271044928137*^9, 3.436271051723816*^9}, {
   3.4363096645531263`*^9, 3.4363096691936617`*^9}, 3.4363100162963724`*^9, {
   3.540794763125*^9, 3.54079476453125*^9}},
 CellID->853156664],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`flush$$ = 0, $CellContext`tr$$ = 0.23, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`tr$$], 0, "rotate to extend"}, 0, 
      0.5176380902050416}, {{
       Hold[$CellContext`flush$$], 0, "raise inserts"}, 0, 0.1}}, 
    Typeset`size$$ = {380., {188., 192.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`tr$19145$$ = 0, $CellContext`flush$19146$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`flush$$ = 0, $CellContext`tr$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`tr$$, $CellContext`tr$19145$$, 0], 
        Hold[$CellContext`flush$$, $CellContext`flush$19146$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`insert = {
          Specularity[0.3], 
          RGBColor[0.8, 0.8, 0.4], 
          Table[
           Rotate[
            Translate[
             
             Polygon[{{$CellContext`u 
                Cos[Pi/$CellContext`n], (-$CellContext`u) 
                Sin[Pi/$CellContext`n], 
                0}, {$CellContext`u Cos[Pi/$CellContext`n] + $CellContext`u - 
                0.02, (-$CellContext`u) Sin[Pi/$CellContext`n], 
                0}, {$CellContext`u Cos[Pi/$CellContext`n] + $CellContext`u - 
                0.02, $CellContext`u Sin[Pi/$CellContext`n], 
                0}, {$CellContext`u Cos[Pi/$CellContext`n], $CellContext`u 
                Sin[Pi/$CellContext`n], 0}, {0, 0, 0}}], {$CellContext`tr$$, 
              0, $CellContext`flush$$}], $CellContext`i 
             2 (Pi/$CellContext`n) + $CellContext`tr$$ 
             2 ((Pi/$CellContext`n)/$CellContext`u), {0, 0, 
            1}], {$CellContext`i, $CellContext`n}]}; $CellContext`star = {
          Specularity[0.3], 
          RGBColor[1, 0.6, 0.4], 
          Translate[
           Table[
            Rotate[
             
             Polygon[{{0, 0, -$CellContext`w}, {
               0.5, (-0.5) Tan[(Pi/$CellContext`n)/2], -$CellContext`w}, {
               1, 0, -$CellContext`w}, {
               0.5, 0.5 
                Tan[(Pi/$CellContext`n)/
                  2], -$CellContext`w}}], $CellContext`i 
              2 ((Pi/$CellContext`n)/2) + (Pi/$CellContext`n)/2, {0, 0, 
             1}], {$CellContext`i, 2 $CellContext`n}], {
           0, 0, 2 $CellContext`flush$$}]}; $CellContext`full = {
          Specularity[0.4], 
          RGBColor[0.8, 0.7, 0.5], 
          Table[
           Rotate[
            
            Translate[{$CellContext`segment1, $CellContext`segment2, \
$CellContext`face1, $CellContext`face2, $CellContext`edge}, \
{$CellContext`tr$$, 0, 0}], $CellContext`i 
             2 (Pi/$CellContext`n) + $CellContext`tr$$ ((
               Pi/$CellContext`n)/$CellContext`u), {0, 0, 
            1}], {$CellContext`i, $CellContext`n}]}; $CellContext`jack = 
        Cylinder[{{0, 0, -0.4}, {0, 0, -0.13 + 2 $CellContext`flush$$}}, 0.1]; 
       Graphics3D[{$CellContext`support, $CellContext`handle, \
$CellContext`jack, $CellContext`base, $CellContext`leg, $CellContext`star, \
$CellContext`insert, $CellContext`full}, Boxed -> False, SphericalRegion -> 
         True, ImageSize -> 380, ViewAngle -> 0.08, ViewPoint -> {3, -10, 6}, 
         PlotRange -> {{-1.6, 1.6}, {-1.6, 1.6}, {-1.6, 1}}]), 
      "Specifications" :> {{{$CellContext`tr$$, 0, "rotate to extend"}, 0, 
         0.5176380902050416}, {{$CellContext`flush$$, 0, "raise inserts"}, 0, 
         0.1}}, "Options" :> {TrackedSymbols -> True}, "DefaultOptions" :> {}],
     ImageSizeCache->{425., {246., 251.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`w = 0.1; $CellContext`n = 
       6; $CellContext`u = 
       0.5/Cos[(Pi/$CellContext`n)/2]; $CellContext`segment1 = Part[
         RevolutionPlot3D[{$CellContext`x, 0}, {$CellContext`x, 0, 
           1}, {$CellContext`f, (-Pi)/$CellContext`n, Pi/$CellContext`n}, 
          Mesh -> None, BoundaryStyle -> Black], 1]; $CellContext`segment2 = 
       Part[
         RevolutionPlot3D[{$CellContext`x, 
           0, $CellContext`w}, {$CellContext`x, 0, 
           1}, {$CellContext`f, (-Pi)/$CellContext`n, Pi/$CellContext`n}, 
          Mesh -> None, BoundaryStyle -> Black], 1]; $CellContext`face1 = 
       Polygon[{{0, 0, 0}, {0, 0, $CellContext`w}, {
           Cos[Pi/$CellContext`n], 
           Sin[Pi/$CellContext`n], $CellContext`w}, {
           Cos[Pi/$CellContext`n], 
           Sin[Pi/$CellContext`n], 0}}]; $CellContext`face2 = 
       Polygon[{{0, 0, 0}, {0, 0, $CellContext`w}, {
           Cos[Pi/$CellContext`n], -Sin[Pi/$CellContext`n], $CellContext`w}, {
           Cos[Pi/$CellContext`n], -Sin[Pi/$CellContext`n], 
           0}}]; $CellContext`edge = Part[
         ParametricPlot3D[{
           Sin[$CellContext`x], 
           Cos[$CellContext`x], $CellContext`v}, {$CellContext`x, Pi/2 - 
           Pi/$CellContext`n, Pi/2 + Pi/$CellContext`n}, {$CellContext`v, 
           0, $CellContext`w}, Mesh -> None], 1]; $CellContext`handle = {
         RGBColor[0.3, 0.4, 0.2], 
         Part[
          ParametricPlot3D[{
            Sin[$CellContext`x], 
            Cos[$CellContext`x], $CellContext`v}, {$CellContext`x, 0, 2 
            Pi}, {$CellContext`v, 0, -0.12}, Mesh -> None], 
          1]}; $CellContext`leg = 
       Cylinder[{{0, 0, -1}, {0, 0, -0.12}}, 0.2]; $CellContext`base = {
         RGBColor[0.3, 0.8, 0.6], 
         Cylinder[{{0, 0, -1}, {0, 0, -1.1}}, 0.6]}; $CellContext`support = {
         RGBColor[0.3, 0.2, 0.4], 
         Part[
          
          RevolutionPlot3D[{$CellContext`x, -0.12}, {$CellContext`x, 0.2, 
            1}, {$CellContext`f, 0, 2 Pi}, Mesh -> None, BoundaryStyle -> 
           Black], 1]}; Null); Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.540794662734375*^9, {3.5407947421875*^9, 3.540794766875*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Extendable Circular Table",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ExtendableCircularTable/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ExtendableCircularTable/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ExtendableCircularTable/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ExtendableCircularTable/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ExtendableCircularTable/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["S\[AAcute]ndor Kabai",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=S%E1ndor+Kabai"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=S%E1ndor+Kabai"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ExtendableCircularTable"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Extendable Circular Table - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[615, 23, 217, 4, 71, "Section"],
Cell[CellGroupData[{
Cell[857, 31, 24533, 525, 1012, "Input",
 CellID->853156664],
Cell[25393, 558, 6597, 130, 514, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[32039, 694, 373, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[32415, 705, 917, 24, 34, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33369, 734, 337, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[33709, 745, 442, 14, 18, "Text"],
Cell[34154, 761, 847, 24, 113, "Text"],
Cell[35004, 787, 1199, 33, 88, "Text"]
}, Open  ]]
}
]
*)

