(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     43920,       1076]
NotebookOptionsPosition[     42847,       1035]
NotebookOutlinePosition[     43448,       1059]
CellTagsIndexPosition[     43405,       1056]
WindowTitle->Desk Lamp - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Desk Lamp", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"dia", "=", "0.06"}], ";", "\[IndentingNewLine]", 
    RowBox[{"cub", "=", 
     RowBox[{"Cuboid", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", 
         RowBox[{"-", "1"}], ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", 
         RowBox[{"-", "0.6"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"fulcrum", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.2", ",", "0.4", ",", "0.8"}], "]"}], ",", 
       RowBox[{"Cylinder", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "el"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", 
             RowBox[{"-", "0.5"}]}], "}"}]}], "}"}], ",", "0.12"}], "]"}]}], 
      "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"sleeve", "=", 
     RowBox[{
      RowBox[{"ParametricPlot3D", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"0.2", 
           RowBox[{"Sin", "[", "x", "]"}]}], ",", 
          RowBox[{"0.2", 
           RowBox[{"Cos", "[", "x", "]"}]}], ",", "v"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", 
          RowBox[{"2", "Pi"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"v", " ", ",", 
          RowBox[{"-", "0.1"}], ",", 
          RowBox[{"-", "0.6"}]}], "}"}], ",", 
        RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"\[CapitalDelta]", "=", 
     RowBox[{"ArcSin", "[", 
      RowBox[{"el", "/", "a"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vA", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Cos", "[", "\[CapitalDelta]", "]"}]}], ",", "0", ",", "0"}], 
      "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vB", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "el"}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"AB", "=", 
     RowBox[{"Cylinder", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"vA", ",", "vB"}], "}"}], ",", "dia"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"AB", "=", 
     RowBox[{"Cylinder", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"vA", ",", "vB"}], "}"}], ",", "dia"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vC", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", " ", 
        RowBox[{"Sin", "[", "\[Alpha]", "]"}]}], ",", "0", ",", 
       RowBox[{"b", " ", 
        RowBox[{"Cos", "[", "\[Alpha]", "]"}]}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"BC", "=", 
     RowBox[{"Cylinder", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"vB", ",", "vC"}], "}"}], ",", "dia"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vD", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"b", " ", 
         RowBox[{"Sin", "[", "\[Alpha]", "]"}]}], "-", 
        RowBox[{"Cos", "[", "\[CapitalDelta]", "]"}]}], ",", "0", ",", 
       RowBox[{
        RowBox[{"b", " ", 
         RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], "-", "el"}]}], "}"}]}], ";",
     "\[IndentingNewLine]", 
    RowBox[{"CD", "=", 
     RowBox[{"Cylinder", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"vC", ",", "vD"}], "}"}], ",", "dia"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"AD", "=", 
     RowBox[{"Cylinder", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"vA", ",", "vD"}], "}"}], ",", "dia"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vE", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"b", " ", 
         RowBox[{"Sin", "[", "\[Alpha]", "]"}]}], "-", 
        RowBox[{"Cos", "[", "\[CapitalDelta]", "]"}], "-", 
        RowBox[{"d", " ", 
         RowBox[{"Cos", "[", "\[Beta]", "]"}]}]}], ",", "0", ",", 
       RowBox[{
        RowBox[{"b", " ", 
         RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], "-", "el", "+", 
        RowBox[{"d", " ", 
         RowBox[{"Sin", "[", "\[Beta]", "]"}]}]}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"sE", "=", 
     RowBox[{"Sphere", "[", 
      RowBox[{"vE", ",", "0.1"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"DE", "=", 
     RowBox[{"{", 
      RowBox[{"Green", ",", 
       RowBox[{"Cylinder", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"vD", ",", "vE"}], "}"}], ",", "dia"}], "]"}]}], "}"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"vF", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"b", " ", 
         RowBox[{"Sin", "[", "\[Alpha]", "]"}]}], "-", 
        RowBox[{"c", " ", 
         RowBox[{"Cos", "[", "\[Beta]", "]"}]}]}], ",", "0", ",", 
       RowBox[{
        RowBox[{"b", " ", 
         RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], "+", 
        RowBox[{"c", " ", 
         RowBox[{"Sin", "[", "\[Beta]", "]"}]}]}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vG", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"b", " ", 
         RowBox[{"Sin", "[", "\[Alpha]", "]"}]}], "-", 
        RowBox[{"c", " ", 
         RowBox[{"Cos", "[", "\[Beta]", "]"}]}], "-", 
        RowBox[{"f", " ", 
         RowBox[{"Cos", "[", "\[Gamma]", "]"}]}]}], ",", "0", ",", 
       RowBox[{
        RowBox[{"b", " ", 
         RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], "+", 
        RowBox[{"c", " ", 
         RowBox[{"Sin", "[", "\[Beta]", "]"}]}], "+", 
        RowBox[{"f", " ", 
         RowBox[{"Sin", "[", "\[Gamma]", "]"}]}]}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"CF", "=", 
     RowBox[{"Cylinder", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"vC", ",", "vF"}], "}"}], ",", "dia"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"FG", "=", 
     RowBox[{"Cylinder", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"vF", ",", "vG"}], "}"}], ",", "dia"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vH", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"b", " ", 
         RowBox[{"Sin", "[", "\[Alpha]", "]"}]}], "-", 
        RowBox[{"Cos", "[", "\[CapitalDelta]", "]"}], "-", 
        RowBox[{"d", " ", 
         RowBox[{"Cos", "[", "\[Beta]", "]"}]}], "-", 
        RowBox[{"e", " ", 
         RowBox[{"Cos", "[", "\[Gamma]", "]"}]}]}], ",", "0", ",", 
       RowBox[{
        RowBox[{"b", " ", 
         RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], "-", "el", "+", 
        RowBox[{"d", " ", 
         RowBox[{"Sin", "[", "\[Beta]", "]"}]}], "+", 
        RowBox[{"e", " ", 
         RowBox[{"Sin", "[", "\[Gamma]", "]"}]}]}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"EH", "=", 
     RowBox[{"Cylinder", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"vE", ",", "vH"}], "}"}], ",", "0.04"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vJ", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"b", " ", 
         RowBox[{"Sin", "[", "\[Alpha]", "]"}]}], "-", 
        RowBox[{"c", " ", 
         RowBox[{"Cos", "[", "\[Beta]", "]"}]}], "-", 
        RowBox[{"f", " ", 
         RowBox[{"Cos", "[", "\[Gamma]", "]"}]}], "-", "0.8"}], ",", "0", ",", 
       RowBox[{
        RowBox[{"b", " ", 
         RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], "+", 
        RowBox[{"c", " ", 
         RowBox[{"Sin", "[", "\[Beta]", "]"}]}], "+", 
        RowBox[{"f", " ", 
         RowBox[{"Sin", "[", "\[Gamma]", "]"}]}], "-", "0.3"}]}], "}"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"vK", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"b", " ", 
         RowBox[{"Sin", "[", "\[Alpha]", "]"}]}], "-", 
        RowBox[{"c", " ", 
         RowBox[{"Cos", "[", "\[Beta]", "]"}]}], "-", 
        RowBox[{"f", " ", 
         RowBox[{"Cos", "[", "\[Gamma]", "]"}]}], "-", "1.8"}], ",", "0", ",", 
       RowBox[{
        RowBox[{"b", " ", 
         RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], "+", 
        RowBox[{"c", " ", 
         RowBox[{"Sin", "[", "\[Beta]", "]"}]}], "+", 
        RowBox[{"f", " ", 
         RowBox[{"Sin", "[", "\[Gamma]", "]"}]}], "-", "0.5"}]}], "}"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"JK", "=", 
     RowBox[{"Cylinder", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"vJ", ",", "vK"}], "}"}], ",", "dia"}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"sJ", "=", 
     RowBox[{"Sphere", "[", 
      RowBox[{"vJ", ",", "0.14"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"sC", "=", 
     RowBox[{"{", 
      RowBox[{"Red", ",", 
       RowBox[{"Sphere", "[", 
        RowBox[{"vC", ",", "0.1"}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"sF", "=", 
     RowBox[{"{", 
      RowBox[{"Red", ",", 
       RowBox[{"Sphere", "[", 
        RowBox[{"vF", ",", "0.1"}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"sA", "=", 
     RowBox[{"{", 
      RowBox[{"Red", ",", 
       RowBox[{"Sphere", "[", 
        RowBox[{"vA", ",", "0.1"}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"sB", "=", 
     RowBox[{"{", 
      RowBox[{"Red", ",", 
       RowBox[{"Sphere", "[", 
        RowBox[{"vB", ",", "0.1"}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"sD", "=", 
     RowBox[{"{", 
      RowBox[{"Red", ",", 
       RowBox[{"Sphere", "[", 
        RowBox[{"vD", ",", "0.1"}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"sE", "=", 
     RowBox[{"{", 
      RowBox[{"Red", ",", 
       RowBox[{"Sphere", "[", 
        RowBox[{"vE", ",", "0.1"}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"sG", "=", 
     RowBox[{"{", 
      RowBox[{"Red", ",", 
       RowBox[{"Sphere", "[", 
        RowBox[{"vG", ",", "0.1"}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"sH", "=", 
     RowBox[{"{", 
      RowBox[{"Red", ",", 
       RowBox[{"Sphere", "[", 
        RowBox[{"vH", ",", "0.1"}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"sK", "=", 
     RowBox[{"{", 
      RowBox[{"Blue", ",", 
       RowBox[{"Sphere", "[", 
        RowBox[{"vK", ",", "0.2"}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"p1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Specularity", "[", "0.6", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.3", ",", "0.5", ",", "0.2"}], "]"}], ",", 
       RowBox[{"Polygon", "[", 
        RowBox[{"{", 
         RowBox[{"vA", ",", "vB", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
      "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"p1a", "=", 
     RowBox[{"Translate", "[", 
      RowBox[{"p1", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "0.1"}], ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"p1b", "=", 
     RowBox[{"Translate", "[", 
      RowBox[{"p1", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0.1", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"p2", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Specularity", "[", "0.6", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.4", ",", "0.5", ",", "0.2"}], "]"}], ",", 
       RowBox[{"Polygon", "[", 
        RowBox[{"{", 
         RowBox[{"vC", ",", "vF", ",", "vE", ",", "vD"}], "}"}], "]"}]}], 
      "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"p2a", "=", 
     RowBox[{"Translate", "[", 
      RowBox[{"p2", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "0.1"}], ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"p2b", "=", 
     RowBox[{"Translate", "[", 
      RowBox[{"p2", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0.1", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"p3", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Specularity", "[", "0.6", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.1", ",", "0.5", ",", "0.2"}], "]"}], ",", 
       RowBox[{"Polygon", "[", 
        RowBox[{"{", 
         RowBox[{"vG", ",", "vH", ",", "vJ"}], "}"}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"p3a", "=", 
     RowBox[{"Translate", "[", 
      RowBox[{"p3", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "0.1"}], ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"p3b", "=", 
     RowBox[{"Translate", "[", 
      RowBox[{"p3", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0.1", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"lamp", "=", 
     RowBox[{"Translate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"SphericalPlot3D", "[", 
         RowBox[{"size", ",", 
          RowBox[{"{", 
           RowBox[{"\[Theta]", ",", "0", ",", 
            RowBox[{"Pi", "/", "2"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Phi]", ",", "0", ",", 
            RowBox[{"2", "Pi"}]}], "}"}], ",", 
          RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"b", " ", 
           RowBox[{"Sin", "[", "\[Alpha]", "]"}]}], "-", 
          RowBox[{"c", " ", 
           RowBox[{"Cos", "[", "\[Beta]", "]"}]}], "-", 
          RowBox[{"f", " ", 
           RowBox[{"Cos", "[", "\[Gamma]", "]"}]}], "-", "1.8"}], ",", "0", 
         ",", 
         RowBox[{
          RowBox[{"b", " ", 
           RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], "+", 
          RowBox[{"c", " ", 
           RowBox[{"Sin", "[", "\[Beta]", "]"}]}], "+", 
          RowBox[{"f", " ", 
           RowBox[{"Sin", "[", "\[Gamma]", "]"}]}], "-", "0.5", "-", 
          "size"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"cub", ",", "sleeve", ",", 
        RowBox[{"Rotate", "[", 
         RowBox[{
          RowBox[{"Translate", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "fulcrum", ",", "sA", ",", "sB", ",", "sD", ",", "sF", ",", "sC",
               ",", "sE", ",", "sG", ",", "sH", ",", "sJ", ",", "p1a", ",", 
              "p1b", ",", "p2a", ",", "p2b", ",", "p3a", ",", "p3b", ",", 
              "BC", ",", "CD", ",", "AD", ",", "FG", ",", "EH", ",", 
              RowBox[{"Rotate", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"JK", ",", "sK", ",", "lamp"}], "}"}], ",", "adj", 
                ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "vJ"}], 
               "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "up"}], "}"}]}], "]"}], ",", "rot", 
          ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "}"}], ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
      RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
      RowBox[{"ViewPoint", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2"}], ",", 
         RowBox[{"-", "4"}], ",", "0.5"}], "}"}]}], ",", 
      RowBox[{"ViewAngle", "\[Rule]", "0.16"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5.8"}], ",", "5.8"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5.8"}], ",", "5.8"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "5"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<operating parameters\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]", ",", "0.5", ",", "\"\<tilt\>\""}], "}"}], ",", "0", 
     ",", "0.7", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Gamma]", ",", "0.6", ",", "\"\<turn down and up\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "0.7"}], ",", "0.7", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rot", ",", "0.3", ",", "\"\<rotate\>\""}], "}"}], ",", "0.3", 
     ",", "2", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"adj", ",", "0.6", ",", "\"\<adjust lamp\>\""}], "}"}], ",", 
     RowBox[{"-", "1"}], ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"up", ",", "0", ",", "\"\<take out\>\""}], "}"}], ",", "0", ",",
      "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<manufacturing parameters\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"size", ",", "0.7", ",", "\"\<lamp size\>\""}], "}"}], ",", 
     "0.4", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"el", ",", "0.5", ",", "\"\<elevation\>\""}], "}"}], ",", "0.4",
      ",", "0.7", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "1", ",", "\"\<size a\>\""}], "}"}], ",", "1", ",", 
     "3", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "3", ",", "\"\<size b\>\""}], "}"}], ",", "2", ",", 
     "3.4", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "1", ",", "\"\<size c\>\""}], "}"}], ",", "1", ",", 
     "2", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", "0.3", ",", "\"\<size d\>\""}], "}"}], ",", "0.3", 
     ",", "0.5", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"e", ",", "2", ",", "\"\<size e\>\""}], "}"}], ",", "2", ",", 
     "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", "2", ",", "\"\<size f\>\""}], "}"}], ",", "2", ",", 
     "1.5", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Beta]", ",", "0.5", ",", "\"\<node angle\>\""}], "}"}], ",", 
     "0.3", ",", "0.7", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "3", ",", "4", ",", "7", ",", "9"}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4348588794136896`*^9, 3.4348588974896812`*^9}, {
   3.4348589289048543`*^9, 3.4348590721608467`*^9}, {3.434859123935294*^9, 
   3.4348592222867165`*^9}, {3.4348592641969805`*^9, 
   3.4348592751126766`*^9}, {3.434859318104496*^9, 3.434859424136963*^9}, {
   3.4348689624624014`*^9, 3.434869296773117*^9}, 3.4348693295402336`*^9, {
   3.434869404307744*^9, 3.4348694071718626`*^9}, {3.4348694522066193`*^9, 
   3.434869527735224*^9}, 3.4348695648485904`*^9, 3.434869631824898*^9, {
   3.4348696995422707`*^9, 3.4348697269316545`*^9}, {3.4348697598089294`*^9, 
   3.4348698248524575`*^9}, {3.434869934620296*^9, 3.4348700103592033`*^9}, {
   3.4348700584783955`*^9, 3.434870081501501*^9}, {3.434870332312149*^9, 
   3.434870378558648*^9}, {3.4348704170740304`*^9, 3.4348704187764783`*^9}, {
   3.4348704542374687`*^9, 3.4348704694894*^9}, {3.434870511449736*^9, 
   3.4348705119504557`*^9}, {3.4348705579766383`*^9, 3.434870567530376*^9}, {
   3.434870634106107*^9, 3.4348706346368704`*^9}, 3.4348706729018927`*^9, {
   3.4348707158236113`*^9, 3.434870716264245*^9}, {3.4348707908114386`*^9, 
   3.4348707913622303`*^9}, {3.4348709533751936`*^9, 3.434871170297112*^9}, {
   3.4348712081916018`*^9, 3.4348712100242367`*^9}, {3.4348712466168547`*^9, 
   3.4348712843711424`*^9}, {3.434871327923768*^9, 3.434871485560438*^9}, {
   3.43487152325464*^9, 3.434871547349286*^9}, {3.4348716453101473`*^9, 
   3.434871730372461*^9}, {3.4348717950754995`*^9, 3.4348718240271297`*^9}, {
   3.4348718749303246`*^9, 3.4348719465032415`*^9}, {3.4348719895451326`*^9, 
   3.434872045765974*^9}, {3.4348721204032974`*^9, 3.4348721220556736`*^9}, {
   3.434872269467642*^9, 3.434872338006195*^9}, {3.434872396590435*^9, 
   3.434872397221342*^9}, {3.4348724315807486`*^9, 3.4348725048260703`*^9}, {
   3.434872646639989*^9, 3.4348727709186926`*^9}, {3.4348728272597075`*^9, 
   3.434872952830269*^9}, 3.434873036750941*^9, {3.4348730880246687`*^9, 
   3.434873120220965*^9}, {3.434873165626254*^9, 3.4348731964305487`*^9}, {
   3.434873229438011*^9, 3.434873375197603*^9}, {3.4348734461796703`*^9, 
   3.4348736040767155`*^9}, {3.434873727374008*^9, 3.434873765498829*^9}, {
   3.4348738353092113`*^9, 3.4348739438953505`*^9}, {3.4348739884694448`*^9, 
   3.4348739894208126`*^9}, {3.434874072149771*^9, 3.4348741583036547`*^9}, {
   3.434874189378338*^9, 3.4348742011753006`*^9}, {3.4348742573660994`*^9, 
   3.434874381815048*^9}, 3.4348744215822306`*^9, 3.4348744580847187`*^9, {
   3.4348744981222897`*^9, 3.434874607499566*^9}, {3.434874639515603*^9, 
   3.434874669729048*^9}, {3.43487492264272*^9, 3.434874922863037*^9}, {
   3.434875173052792*^9, 3.434875218177678*^9}, {3.434875268069419*^9, 
   3.434875363156147*^9}, {3.434875403454093*^9, 3.4348754160822515`*^9}, {
   3.4348754490396414`*^9, 3.4348754977797265`*^9}, {3.434875535093381*^9, 
   3.4348756057149296`*^9}, {3.434875648536504*^9, 3.4348756884539022`*^9}, {
   3.4348757237346334`*^9, 3.434875756922355*^9}, {3.4348758365668783`*^9, 
   3.4348758994873533`*^9}, {3.434875933386098*^9, 3.4348760035469837`*^9}, {
   3.434876194351347*^9, 3.434876327142291*^9}, {3.43487636446596*^9, 
   3.434876379687848*^9}, {3.434876426595298*^9, 3.4348765075416927`*^9}, {
   3.4348765434032593`*^9, 3.4348767147796865`*^9}, {3.4348767619775534`*^9, 
   3.4348768892806063`*^9}, {3.4348787294666643`*^9, 
   3.4348789219334173`*^9}, {3.4348789740583696`*^9, 3.434879034765662*^9}, {
   3.434879082654523*^9, 3.4348791016618547`*^9}, {3.4348791772705746`*^9, 
   3.4348791983709154`*^9}, {3.4348792620424705`*^9, 3.434879263584688*^9}, {
   3.434879340785698*^9, 3.434879477522315*^9}, {3.4348795298375406`*^9, 
   3.4348795309591537`*^9}, {3.434879571978136*^9, 3.434879572198453*^9}, {
   3.434879622801216*^9, 3.4348798523913507`*^9}, {3.4348798827950687`*^9, 
   3.4348798931099005`*^9}, {3.4348799512334785`*^9, 
   3.4348799635311613`*^9}, {3.434880147004984*^9, 3.4348802901107597`*^9}, {
   3.43488032941728*^9, 3.4348803962333565`*^9}, {3.4348804466458464`*^9, 
   3.4348805877988143`*^9}, {3.434880642868*^9, 3.434880741439739*^9}, {
   3.434880773485819*^9, 3.4348807950868797`*^9}, {3.4348808392303553`*^9, 
   3.434880903162285*^9}, {3.434880969307397*^9, 3.4348810153235645`*^9}, {
   3.4348810522466574`*^9, 3.4348812073496847`*^9}, {3.4348812950658145`*^9, 
   3.434881379647437*^9}, {3.434881429449048*^9, 3.434881582869656*^9}, {
   3.4348816151260386`*^9, 3.434881636366581*^9}, {3.434882158236994*^9, 
   3.434882182942518*^9}, {3.4348822227798014`*^9, 3.4348822678946733`*^9}, {
   3.434882298608838*^9, 3.434882302354224*^9}, {3.4348824372281632`*^9, 
   3.434882555648443*^9}, {3.434882585841859*^9, 3.434882619580373*^9}, {
   3.4348826554719825`*^9, 3.434882671515051*^9}, {3.4348827306600976`*^9, 
   3.4348827313110332`*^9}, {3.434882775714883*^9, 3.4348827764960065`*^9}, {
   3.4348828148611727`*^9, 3.434882894315422*^9}, {3.434882953310253*^9, 
   3.4348830631582065`*^9}, {3.434909770324827*^9, 3.4349099304148345`*^9}},
 CellID->266837496],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`adj$$ = 
    0.6, $CellContext`b$$ = 3, $CellContext`c$$ = 1.925, $CellContext`d$$ = 
    0.46599999999999997`, $CellContext`e$$ = 1.325, $CellContext`el$$ = 
    0.5, $CellContext`f$$ = 1.534, $CellContext`rot$$ = 
    0.3, $CellContext`size$$ = 0.7, $CellContext`up$$ = 
    0, $CellContext`\[Alpha]$$ = 0.19, $CellContext`\[Beta]$$ = 
    0.5, $CellContext`\[Gamma]$$ = -0.52, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Style["operating parameters", Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Alpha]$$], 0.5, "tilt"}, 0, 0.7}, {{
       Hold[$CellContext`\[Gamma]$$], 0.6, "turn down and up"}, -0.7, 0.7}, {{
       Hold[$CellContext`rot$$], 0.3, "rotate"}, 0.3, 2}, {{
       Hold[$CellContext`adj$$], 0.6, "adjust lamp"}, -1, 1}, {{
       Hold[$CellContext`up$$], 0, "take out"}, 0, 1}, {
      Hold[
       Style["manufacturing parameters", Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`size$$], 0.7, "lamp size"}, 0.4, 1}, {{
       Hold[$CellContext`el$$], 0.5, "elevation"}, 0.4, 0.7}, {{
       Hold[$CellContext`a$$], 1, "size a"}, 1, 3}, {{
       Hold[$CellContext`b$$], 3, "size b"}, 2, 3.4}, {{
       Hold[$CellContext`c$$], 1, "size c"}, 1, 2}, {{
       Hold[$CellContext`d$$], 0.3, "size d"}, 0.3, 0.5}, {{
       Hold[$CellContext`e$$], 2, "size e"}, 2, 1}, {{
       Hold[$CellContext`f$$], 2, "size f"}, 2, 1.5}, {{
       Hold[$CellContext`\[Beta]$$], 0.5, "node angle"}, 0.3, 0.7}}, 
    Typeset`size$$ = {400., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`\[Alpha]$19803$$ = 0, $CellContext`\[Gamma]$19804$$ = 
    0, $CellContext`rot$19805$$ = 0, $CellContext`adj$19806$$ = 
    0, $CellContext`up$19807$$ = 0, $CellContext`size$19808$$ = 
    0, $CellContext`el$19809$$ = 0, $CellContext`a$19810$$ = 
    0, $CellContext`b$19811$$ = 0, $CellContext`c$19812$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 1, $CellContext`adj$$ = 
        0.6, $CellContext`b$$ = 3, $CellContext`c$$ = 1, $CellContext`d$$ = 
        0.3, $CellContext`e$$ = 2, $CellContext`el$$ = 0.5, $CellContext`f$$ = 
        2, $CellContext`rot$$ = 0.3, $CellContext`size$$ = 
        0.7, $CellContext`up$$ = 0, $CellContext`\[Alpha]$$ = 
        0.5, $CellContext`\[Beta]$$ = 0.5, $CellContext`\[Gamma]$$ = 0.6}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Alpha]$$, $CellContext`\[Alpha]$19803$$, 0], 
        Hold[$CellContext`\[Gamma]$$, $CellContext`\[Gamma]$19804$$, 0], 
        Hold[$CellContext`rot$$, $CellContext`rot$19805$$, 0], 
        Hold[$CellContext`adj$$, $CellContext`adj$19806$$, 0], 
        Hold[$CellContext`up$$, $CellContext`up$19807$$, 0], 
        Hold[$CellContext`size$$, $CellContext`size$19808$$, 0], 
        Hold[$CellContext`el$$, $CellContext`el$19809$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$19810$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$19811$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$19812$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`dia = 0.06; $CellContext`cub = 
        Cuboid[{-1, -1, -1}, {1, 1, -0.6}]; $CellContext`fulcrum = {
          RGBColor[0.2, 0.4, 0.8], 
          
          Cylinder[{{0, 0, $CellContext`el$$}, {0, 0, -0.5}}, 
           0.12]}; $CellContext`sleeve = Part[
          
          ParametricPlot3D[{
           0.2 Sin[$CellContext`x], 0.2 
            Cos[$CellContext`x], $CellContext`v}, {$CellContext`x, 0, 2 
            Pi}, {$CellContext`v, -0.1, -0.6}, Mesh -> None], 
          1]; $CellContext`\[CapitalDelta] = 
        ArcSin[$CellContext`el$$/$CellContext`a$$]; $CellContext`vA = {-
          Cos[$CellContext`\[CapitalDelta]], 0, 0}; $CellContext`vB = {
         0, 0, $CellContext`el$$}; $CellContext`AB = 
        Cylinder[{$CellContext`vA, $CellContext`vB}, $CellContext`dia]; \
$CellContext`AB = 
        Cylinder[{$CellContext`vA, $CellContext`vB}, $CellContext`dia]; \
$CellContext`vC = {$CellContext`b$$ Sin[$CellContext`\[Alpha]$$], 
          0, $CellContext`b$$ Cos[$CellContext`\[Alpha]$$]}; $CellContext`BC = 
        Cylinder[{$CellContext`vB, $CellContext`vC}, $CellContext`dia]; \
$CellContext`vD = {$CellContext`b$$ Sin[$CellContext`\[Alpha]$$] - 
          Cos[$CellContext`\[CapitalDelta]], 
          0, $CellContext`b$$ 
           Cos[$CellContext`\[Alpha]$$] - $CellContext`el$$}; $CellContext`CD = 
        Cylinder[{$CellContext`vC, $CellContext`vD}, $CellContext`dia]; \
$CellContext`AD = 
        Cylinder[{$CellContext`vA, $CellContext`vD}, $CellContext`dia]; \
$CellContext`vE = {$CellContext`b$$ Sin[$CellContext`\[Alpha]$$] - 
          Cos[$CellContext`\[CapitalDelta]] - $CellContext`d$$ 
          Cos[$CellContext`\[Beta]$$], 
          0, $CellContext`b$$ 
           Cos[$CellContext`\[Alpha]$$] - $CellContext`el$$ + \
$CellContext`d$$ Sin[$CellContext`\[Beta]$$]}; $CellContext`sE = 
        Sphere[$CellContext`vE, 0.1]; $CellContext`DE = {Green, 
          
          Cylinder[{$CellContext`vD, $CellContext`vE}, $CellContext`dia]}; \
$CellContext`vF = {$CellContext`b$$ 
           Sin[$CellContext`\[Alpha]$$] - $CellContext`c$$ 
          Cos[$CellContext`\[Beta]$$], 
          0, $CellContext`b$$ Cos[$CellContext`\[Alpha]$$] + $CellContext`c$$ 
           Sin[$CellContext`\[Beta]$$]}; $CellContext`vG = {$CellContext`b$$ 
           Sin[$CellContext`\[Alpha]$$] - $CellContext`c$$ 
          Cos[$CellContext`\[Beta]$$] - $CellContext`f$$ 
          Cos[$CellContext`\[Gamma]$$], 
          0, $CellContext`b$$ Cos[$CellContext`\[Alpha]$$] + $CellContext`c$$ 
           Sin[$CellContext`\[Beta]$$] + $CellContext`f$$ 
           Sin[$CellContext`\[Gamma]$$]}; $CellContext`CF = 
        Cylinder[{$CellContext`vC, $CellContext`vF}, $CellContext`dia]; \
$CellContext`FG = 
        Cylinder[{$CellContext`vF, $CellContext`vG}, $CellContext`dia]; \
$CellContext`vH = {$CellContext`b$$ Sin[$CellContext`\[Alpha]$$] - 
          Cos[$CellContext`\[CapitalDelta]] - $CellContext`d$$ 
          Cos[$CellContext`\[Beta]$$] - $CellContext`e$$ 
          Cos[$CellContext`\[Gamma]$$], 
          0, $CellContext`b$$ 
           Cos[$CellContext`\[Alpha]$$] - $CellContext`el$$ + \
$CellContext`d$$ Sin[$CellContext`\[Beta]$$] + $CellContext`e$$ 
           Sin[$CellContext`\[Gamma]$$]}; $CellContext`EH = 
        Cylinder[{$CellContext`vE, $CellContext`vH}, 
          0.04]; $CellContext`vJ = {$CellContext`b$$ 
           Sin[$CellContext`\[Alpha]$$] - $CellContext`c$$ 
          Cos[$CellContext`\[Beta]$$] - $CellContext`f$$ 
          Cos[$CellContext`\[Gamma]$$] - 0.8, 
          0, $CellContext`b$$ Cos[$CellContext`\[Alpha]$$] + $CellContext`c$$ 
           Sin[$CellContext`\[Beta]$$] + $CellContext`f$$ 
           Sin[$CellContext`\[Gamma]$$] - 
          0.3}; $CellContext`vK = {$CellContext`b$$ 
           Sin[$CellContext`\[Alpha]$$] - $CellContext`c$$ 
          Cos[$CellContext`\[Beta]$$] - $CellContext`f$$ 
          Cos[$CellContext`\[Gamma]$$] - 1.8, 
          0, $CellContext`b$$ Cos[$CellContext`\[Alpha]$$] + $CellContext`c$$ 
           Sin[$CellContext`\[Beta]$$] + $CellContext`f$$ 
           Sin[$CellContext`\[Gamma]$$] - 0.5}; $CellContext`JK = 
        Cylinder[{$CellContext`vJ, $CellContext`vK}, $CellContext`dia]; \
$CellContext`sJ = Sphere[$CellContext`vJ, 0.14]; $CellContext`sC = {Red, 
          Sphere[$CellContext`vC, 0.1]}; $CellContext`sF = {Red, 
          Sphere[$CellContext`vF, 0.1]}; $CellContext`sA = {Red, 
          Sphere[$CellContext`vA, 0.1]}; $CellContext`sB = {Red, 
          Sphere[$CellContext`vB, 0.1]}; $CellContext`sD = {Red, 
          Sphere[$CellContext`vD, 0.1]}; $CellContext`sE = {Red, 
          Sphere[$CellContext`vE, 0.1]}; $CellContext`sG = {Red, 
          Sphere[$CellContext`vG, 0.1]}; $CellContext`sH = {Red, 
          Sphere[$CellContext`vH, 0.1]}; $CellContext`sK = {Blue, 
          Sphere[$CellContext`vK, 0.2]}; $CellContext`p1 = {
          Specularity[0.6], 
          RGBColor[0.3, 0.5, 0.2], 
          
          Polygon[{$CellContext`vA, $CellContext`vB, {0, 0, 
            0}}]}; $CellContext`p1a = 
        Translate[$CellContext`p1, {0, -0.1, 0}]; $CellContext`p1b = 
        Translate[$CellContext`p1, {0, 0.1, 0}]; $CellContext`p2 = {
          Specularity[0.6], 
          RGBColor[0.4, 0.5, 0.2], 
          
          Polygon[{$CellContext`vC, $CellContext`vF, $CellContext`vE, \
$CellContext`vD}]}; $CellContext`p2a = 
        Translate[$CellContext`p2, {0, -0.1, 0}]; $CellContext`p2b = 
        Translate[$CellContext`p2, {0, 0.1, 0}]; $CellContext`p3 = {
          Specularity[0.6], 
          RGBColor[0.1, 0.5, 0.2], 
          
          Polygon[{$CellContext`vG, $CellContext`vH, $CellContext`vJ}]}; \
$CellContext`p3a = Translate[$CellContext`p3, {0, -0.1, 0}]; $CellContext`p3b = 
        Translate[$CellContext`p3, {0, 0.1, 0}]; $CellContext`lamp = Translate[
          Part[
           
           SphericalPlot3D[$CellContext`size$$, {$CellContext`\[Theta], 0, Pi/
             2}, {$CellContext`\[Phi], 0, 2 Pi}, Mesh -> None], 
           1], {$CellContext`b$$ 
            Sin[$CellContext`\[Alpha]$$] - $CellContext`c$$ 
           Cos[$CellContext`\[Beta]$$] - $CellContext`f$$ 
           Cos[$CellContext`\[Gamma]$$] - 1.8, 
           0, $CellContext`b$$ 
            Cos[$CellContext`\[Alpha]$$] + $CellContext`c$$ 
            Sin[$CellContext`\[Beta]$$] + $CellContext`f$$ 
            Sin[$CellContext`\[Gamma]$$] - 0.5 - $CellContext`size$$}]; 
       Graphics3D[{$CellContext`cub, $CellContext`sleeve, 
          Rotate[
           
           Translate[{$CellContext`fulcrum, $CellContext`sA, $CellContext`sB, \
$CellContext`sD, $CellContext`sF, $CellContext`sC, $CellContext`sE, \
$CellContext`sG, $CellContext`sH, $CellContext`sJ, $CellContext`p1a, \
$CellContext`p1b, $CellContext`p2a, $CellContext`p2b, $CellContext`p3a, \
$CellContext`p3b, $CellContext`BC, $CellContext`CD, $CellContext`AD, \
$CellContext`FG, $CellContext`EH, 
             
             Rotate[{$CellContext`JK, $CellContext`sK, $CellContext`lamp}, \
$CellContext`adj$$, {0, 1, 0}, $CellContext`vJ]}, {
            0, 0, $CellContext`up$$}], $CellContext`rot$$, {0, 0, 1}]}, Boxed -> 
         False, SphericalRegion -> True, ViewPoint -> {-2, -4, 0.5}, 
         ViewAngle -> 0.16, PlotRange -> {{-5.8, 5.8}, {-5.8, 5.8}, {-1, 5}}, 
         ImageSize -> {400, 400}]), "Specifications" :> {
        Style[
        "operating parameters", 
         Bold], {{$CellContext`\[Alpha]$$, 0.5, "tilt"}, 0, 0.7, ImageSize -> 
         Tiny}, {{$CellContext`\[Gamma]$$, 0.6, "turn down and up"}, -0.7, 
         0.7, ImageSize -> Tiny}, {{$CellContext`rot$$, 0.3, "rotate"}, 0.3, 
         2, ImageSize -> Tiny}, {{$CellContext`adj$$, 0.6, "adjust lamp"}, -1,
          1, ImageSize -> Tiny}, {{$CellContext`up$$, 0, "take out"}, 0, 1, 
         ImageSize -> Tiny}, 
        Style[
        "manufacturing parameters", 
         Bold], {{$CellContext`size$$, 0.7, "lamp size"}, 0.4, 1, ImageSize -> 
         Tiny}, {{$CellContext`el$$, 0.5, "elevation"}, 0.4, 0.7, ImageSize -> 
         Tiny}, {{$CellContext`a$$, 1, "size a"}, 1, 3, ImageSize -> 
         Tiny}, {{$CellContext`b$$, 3, "size b"}, 2, 3.4, ImageSize -> 
         Tiny}, {{$CellContext`c$$, 1, "size c"}, 1, 2, ImageSize -> 
         Tiny}, {{$CellContext`d$$, 0.3, "size d"}, 0.3, 0.5, ImageSize -> 
         Tiny}, {{$CellContext`e$$, 2, "size e"}, 2, 1, ImageSize -> 
         Tiny}, {{$CellContext`f$$, 2, "size f"}, 2, 1.5, ImageSize -> 
         Tiny}, {{$CellContext`\[Beta]$$, 0.5, "node angle"}, 0.3, 0.7, 
         ImageSize -> Tiny}}, 
      "Options" :> {
       ControlPlacement -> Left, TrackedSymbols -> Manipulate, 
        AutorunSequencing -> {1, 3, 4, 7, 9}}, "DefaultOptions" :> {}],
     ImageSizeCache->{619., {226., 231.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.54079486978125*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Desk Lamp",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DeskLamp/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/DeskLamp/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/DeskLamp/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DeskLamp/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/DeskLamp/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["S\[AAcute]ndor Kabai",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=S%E1ndor+Kabai"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=S%E1ndor+Kabai"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
DeskLamp"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Desk Lamp - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[599, 23, 201, 4, 71, "Section"],
Cell[CellGroupData[{
Cell[825, 31, 25123, 637, 1532, "Input",
 CellID->266837496],
Cell[25951, 670, 12791, 230, 474, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[38791, 906, 373, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[39167, 917, 826, 24, 34, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40030, 946, 337, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[40370, 957, 442, 14, 18, "Text"],
Cell[40815, 973, 829, 24, 98, "Text"],
Cell[41647, 999, 1184, 33, 88, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature cQjVOgT0lKoxWADY@d5PyVrQ *)
