(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     42098,        964]
NotebookOptionsPosition[     41589,        942]
NotebookOutlinePosition[     41931,        957]
CellTagsIndexPosition[     41888,        954]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"S\[AAcute]ndor", " ", 
    RowBox[{"Kabai", ":", " ", 
     RowBox[{
     "An", " ", "approach", " ", "to", " ", "construct", " ", "a", " ", 
      "Hoberman", " ", 
      RowBox[{"linkage", ".", "\[IndentingNewLine]", "This"}], " ", "was", 
      " ", "my", " ", "initial", " ", 
      RowBox[{"solution", ".", " ", "Of"}], " ", "course"}]}]}], ",", " ", 
   RowBox[{"many", " ", "different", " ", "approaches", " ", "are", " ", 
    RowBox[{"possible", "."}]}]}], "\[IndentingNewLine]", "*)"}]], "Input",
 CellChangeTimes->{{3.4300163618832846`*^9, 3.430016474106885*^9}, {
  3.4300188376942315`*^9, 3.4300188380067115`*^9}, {3.4300219317089767`*^9, 
  3.4300219326620646`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"centre", " ", "coordinates"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"v0", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], ";", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "half", " ", "the", " ", "angle", " ", "of", " ", "two", " ", "lines", 
       " ", "along", " ", "which", " ", "the", " ", "two", " ", "ends", " ", 
       "of", " ", "a", " ", "bar", " ", "have", " ", "to", " ", 
       RowBox[{"run", ".", " ", "\"\<polygon\>\""}], " ", "here", " ", "is", 
       " ", "a", " ", 
       RowBox[{"variable", ":", " ", 
        RowBox[{
        "it", " ", "is", " ", "an", " ", "integer", " ", "determining", " ", 
         "how", " ", "many", " ", "parts", " ", "are", " ", "used", " ", "in",
          " ", "a", " ", "ring"}]}]}], ",", " ", 
      RowBox[{
       RowBox[{"i", ".", "e", ".", " ", "the"}], " ", "number", " ", "of", 
       " ", "sides", " ", "of", " ", "the", " ", "enveloping", " ", 
       "polygon"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"\[CapitalDelta]", "=", 
     RowBox[{"Pi", "/", "polygon"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"y", " ", "coordinate", " ", "of", " ", "point", " ", "B"}], 
      ",", " ", 
      RowBox[{
      "which", " ", "is", " ", "one", " ", "end", " ", "of", " ", "a", " ", 
       RowBox[{"bar", ".", " ", "It"}], " ", "is", " ", "made", " ", "equal", 
       " ", "to", " ", "\"\<lift\>\""}], ",", " ", 
      RowBox[{"which", " ", "represents", " ", "the", " ", "movement"}]}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"By", "=", "lift"}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"x", " ", "coordinate", " ", "of", " ", "point", " ", "B"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Bx", "=", 
     RowBox[{"By", " ", 
      RowBox[{"Tan", "[", "\[CapitalDelta]", "]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "vertical", " ", "coordinate", " ", "of", " ", "point", " ", "B", " ", 
       "is", " ", "zero"}], ",", " ", 
      RowBox[{
      "since", " ", "we", " ", "consider", " ", "that", " ", "the", " ", 
       "movement", " ", "takes", " ", "place", " ", "in", " ", "a", " ", 
       "horizontal", " ", "plane"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Bz", " ", "=", "0"}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "Coordinates", " ", "of", " ", "point", " ", "B1", " ", "and", " ", 
       "B2"}], ",", " ", 
      RowBox[{
      "which", " ", "are", " ", "symmetric", " ", "to", " ", "the", " ", 
       "axis"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"vB1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "Bx"}], ",", "By", ",", "Bz"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vB2", "=", 
     RowBox[{"{", 
      RowBox[{"Bx", ",", "By", ",", "Bz"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"Point", " ", "A", " ", "is", " ", "the", " ", "hinge"}], ",", 
      " ", 
      RowBox[{"where", " ", "two", " ", "bars", " ", "are", " ", 
       RowBox[{"connected", ".", " ", "It"}], " ", "moves", " ", "along", " ",
        "the", " ", 
       RowBox[{"axis", ".", " ", "The"}], " ", "distance", " ", "of", " ", 
       "AB", " ", "is", " ", "assumed", " ", "to", " ", "be", " ", "1.", " ", 
       "This", " ", "is", " ", "half", " ", "of", " ", "a", " ", "bar"}]}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Ay", "=", 
     RowBox[{"By", "+", 
      RowBox[{"Sqrt", "[", 
       RowBox[{"1", "-", 
        RowBox[{"Bx", "^", "2"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Ax", "=", "0"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Az", "=", "0"}], ";", "\[IndentingNewLine]", 
    RowBox[{"vA", "=", 
     RowBox[{"{", 
      RowBox[{"Ax", ",", "Ay", ",", "Az"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "Point", " ", "P", " ", "and", " ", "Q", " ", "are", " ", "the", " ", 
       "end", " ", "points", " ", "of", " ", "two", " ", "lines", " ", 
       "started", " ", "from", " ", "the", " ", 
       RowBox[{"origin", ".", "\[IndentingNewLine]", 
        RowBox[{"-", " ", "I"}]}], " ", "just", " ", "noticed", " ", "that", 
       " ", "Py", " ", "should", " ", "have", " ", "been", " ", "written", 
       " ", "before", " ", "Px"}], ",", " ", 
      RowBox[{
      "becasuse", " ", "Px", " ", "is", " ", "the", " ", "function", " ", 
       "of", " ", 
       RowBox[{"Py", ".", " ", "This"}], " ", "kind", " ", "of", " ", 
       "sequence", " ", "error", " ", "does", " ", "not", " ", "necessarily", 
       " ", "prevent", " ", "proper", " ", "operation"}], ",", " ", "but", 
      ",", " ", 
      RowBox[{"may", " ", "cause", " ", "daley"}], ",", " ", 
      RowBox[{
      "or", " ", "jiggling", " ", "in", " ", "the", " ", "animation"}]}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Px", "=", 
     RowBox[{"Py", " ", 
      RowBox[{"Tan", "[", "\[CapitalDelta]", "]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Py", "=", "6"}], ";", 
    RowBox[{"Pz", "=", "0"}], ";", "\[IndentingNewLine]", 
    RowBox[{"vP", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "Px"}], ",", "Py", ",", "Pz"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vQ", "=", 
     RowBox[{"{", 
      RowBox[{"Px", ",", "Py", ",", "Pz"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "lines", " ", "to", " ", "P", " ", "and", " ", "Q", " ", "from", " ", 
      "the", " ", "origin"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"line1", "=", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"v0", ",", "vP"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"line2", "=", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"v0", ",", "vQ"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"central", " ", "line"}], ",", " ", "dashed"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"linec", "=", 
     RowBox[{"{", 
      RowBox[{"Dashed", ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{"v0", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "8", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
      "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "w", " ", "is", " ", "line", " ", "from", " ", "Point", " ", "A", " ", 
      "to", " ", "line1", " ", "perpendicularly"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"w", "=", 
     RowBox[{"Ay", " ", 
      RowBox[{"Sin", "[", "\[CapitalDelta]", "]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "v", " ", "is", " ", "the", " ", "third", " ", "side", " ", "of", " ", 
      "a", " ", "triangle", " ", "formed", " ", "by", " ", "the", " ", "BA", 
      " ", 
      RowBox[{"(", 
       RowBox[{"which", " ", "is", " ", "1"}], ")"}], " ", "and", " ", "w"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"v", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"1", "-", 
       RowBox[{"w", "^", "2"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "u", " ", "is", " ", "the", " ", "radial", " ", "distance", " ", "of", 
      " ", "Point", " ", "B", " ", "from", " ", "the", " ", "origin"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"u", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"Bx", "^", "2"}], "+", 
       RowBox[{"By", "^", "2"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "Point", " ", "C1", " ", "and", " ", "C2", " ", "are", " ", "the", " ", 
       "ends", " ", "of", " ", "bar"}], ",", " ", 
      RowBox[{
      "which", " ", "have", " ", "to", " ", "run", " ", "on", " ", "line1", 
       " ", "and", " ", 
       RowBox[{"line2", ".", " ", "Since"}], " ", "AC", " ", "is", " ", "1"}],
       ",", " ", 
      RowBox[{
      "a", " ", "rectangular", " ", "tirangle", " ", "appears", " ", "here", 
       " ", "with", " ", "sides", " ", "AC"}], ",", " ", 
      RowBox[{"v", " ", "and", " ", "w"}], ",", " ", 
      RowBox[{"corresponding", " ", "to", " ", "triangle", " ", "AB"}], ",", 
      " ", "w", ",", "v", ",", " ", 
      RowBox[{
       RowBox[{
       "therefore", " ", "the", " ", "radial", " ", "distance", " ", "of", 
        " ", "Point", " ", "C", " ", "is", " ", "2", " ", "v"}], " ", "+", 
       "u"}]}], "\[IndentingNewLine]", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Cx", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", "v"}], "+", "u"}], ")"}], 
      RowBox[{"Sin", "[", "\[CapitalDelta]", "]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Cy", "=", 
     RowBox[{"Cx", "/", 
      RowBox[{"Tan", "[", "\[CapitalDelta]", "]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Cz", "=", "0"}], ";", "\[IndentingNewLine]", 
    RowBox[{"vC1", "=", 
     RowBox[{"{", 
      RowBox[{"Cx", ",", "Cy", ",", "Cz"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vC2", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "Cx"}], ",", "Cy", ",", "Cz"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "The", " ", "bars", " ", "are", " ", "depicted", " ", "with", " ", 
      "cylinders", " ", "establshed", " ", "between", " ", "given", " ", 
      RowBox[{"points", ".", " ", "\"\<size\>\""}], " ", "here", " ", "means",
       " ", "the", " ", "diameter"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"size", "=", "0.04"}], ";", "\[IndentingNewLine]", 
    RowBox[{"barB1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
       RowBox[{"Cylinder", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"vA", ",", "vB1"}], "}"}], ",", "size"}], "]"}]}], "}"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"barB2", "=", 
     RowBox[{"Cylinder", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"vA", ",", "vB2"}], "}"}], ",", "size"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"barC1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
       RowBox[{"Cylinder", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"vA", ",", "vC1"}], "}"}], ",", "size"}], "]"}]}], "}"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"barC2", "=", 
     RowBox[{"Cylinder", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"vA", ",", "vC2"}], "}"}], ",", "size"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"The", " ", "Hoberman", " ", "scrissor"}], ",", " ", 
      RowBox[{
      "which", " ", "in", " ", "reality", " ", "consists", " ", "of", " ", 
       "two", " ", "crossed", " ", "bars"}], ",", " ", 
      RowBox[{
      "is", " ", "assembled", " ", "here", " ", "from", " ", "frour", " ", 
       RowBox[{"bars", ".", " ", "\"\<cross1\>\""}], " ", "is", " ", "a", " ",
        "unit"}], ",", " ", 
      RowBox[{
      "which", " ", "combines", " ", "the", " ", "four", " ", "bars", " ", 
       "and", " ", "the", " ", "three", " ", "lines"}], ",", " ", 
      RowBox[{
      "The", " ", "\"\<If\>\"", " ", "here", " ", "is", " ", "a", " ", 
       "condition", " ", "to", " ", "show", " ", "or", " ", "not", " ", "to", 
       " ", "show", " ", "the", " ", "other", " ", "bar"}]}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"cross1", "=", 
     RowBox[{"{", 
      RowBox[{
      "line1", ",", "line2", ",", "linec", ",", "barB1", ",", "barC1", ",", 
       RowBox[{"If", "[", 
        RowBox[{"baro", ",", 
         RowBox[{"{", 
          RowBox[{"barB2", ",", "barC2"}], "}"}], ",", 
         RowBox[{"{", "}"}]}], "]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "hober", " ", "is", " ", "produced", " ", "by", " ", "repeating", " ", 
      "the", " ", "unit", " ", "cross1", " ", "a", " ", "\"\<number\>\"", " ",
       "of", " ", "times", " ", "after", " ", "rotating", " ", "aroung", " ", 
      "axis", " ", "z", " ", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "1"}], "}"}], " ", "by", " ", "i", "*", 
      "2", "\[CapitalDelta]"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"hober", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{"cross1", ",", 
         RowBox[{"i", " ", "2", " ", "\[CapitalDelta]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "number"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "text", " ", "added", " ", "at", " ", "given", " ", "coordinates"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"tA", "=", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<A\>\"", ",", "Blue", ",", "Bold", ",", "24"}], "]"}], 
       ",", "vA"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"tB1", "=", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<B1\>\"", ",", "20"}], "]"}], ",", "vB1"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"tB2", "=", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<B2\>\"", ",", "20"}], "]"}], ",", "vB2"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"tC1", "=", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<C1\>\"", ",", "30"}], "]"}], ",", "vC1"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"tC2", "=", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<C2\>\"", ",", "30"}], "]"}], ",", "vC2"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"all", " ", "objects", " ", "are", " ", "combined"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "tA", ",", "tB1", ",", "tB2", ",", "tC1", ",", "tC2", ",", "cross1", 
        ",", 
        RowBox[{"If", "[", 
         RowBox[{"scissors", ",", "hober", ",", 
          RowBox[{"{", "}"}]}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{"Graphics3D", " ", "options", " ", "start", " ", "here"}], 
       "*)"}], "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"400", ",", "400"}], "}"}]}], ",", 
      RowBox[{"ViewAngle", "\[Rule]", 
       RowBox[{"Pi", "/", "12"}]}], ",", 
      RowBox[{"ViewPoint", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "4"}], "}"}]}], ",", 
      RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "this", " ", "is", " ", "where", " ", "the", " ", "instructions", " ", 
     "starts", " ", "regarding", " ", "manipulation"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"baro", ",", "False", ",", "\"\<show other bar\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"polygon", ",", "15", ",", "\"\<polygon\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"6", "\[Rule]", "\"\<6\>\""}], ",", 
       RowBox[{"10", "\[Rule]", "\"\<10\>\""}], ",", 
       RowBox[{"15", "\[Rule]", "\"\<15\>\""}], ",", 
       RowBox[{"30", "\[Rule]", "\"\<30\>\""}]}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"lift", ",", "3", ",", "\"\<lift\>\""}], "}"}], ",", "0", ",", 
     RowBox[{
      RowBox[{"Cos", "[", 
       RowBox[{"Pi", "/", "polygon"}], "]"}], "/", 
      RowBox[{"Tan", "[", 
       RowBox[{"Pi", "/", "polygon"}], "]"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"scissors", ",", "False", ",", "\"\<show scissors\>\""}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"number", ",", "1", ",", "\"\<scissors No\>\""}], "}"}], ",", 
     "1", ",", "polygon", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", "Manipulate"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.37917866575*^9, 3.379178678015625*^9}, {
   3.379178866234375*^9, 3.379178906875*^9}, {3.379178944453125*^9, 
   3.379179014109375*^9}, {3.37917912128125*^9, 3.37917952921875*^9}, {
   3.37918004659375*^9, 3.379180098125*^9}, {3.379181678796875*^9, 
   3.379181784125*^9}, {3.379182842265625*^9, 3.379182937671875*^9}, {
   3.379183001328125*^9, 3.3791830090625*^9}, {3.379183040859375*^9, 
   3.37918323653125*^9}, {3.3791833074375*^9, 3.379183408609375*^9}, {
   3.379183483328125*^9, 3.3791835799375*^9}, {3.37918362978125*^9, 
   3.37918363075*^9}, {3.379183711296875*^9, 3.379183833765625*^9}, {
   3.37918409959375*^9, 3.37918418034375*^9}, {3.379185548359375*^9, 
   3.379185560234375*^9}, {3.379186245546875*^9, 3.379186309375*^9}, {
   3.37918636153125*^9, 3.379186387828125*^9}, {3.379186442484375*^9, 
   3.3791864768125*^9}, {3.379186506875*^9, 3.379186625953125*^9}, {
   3.379186690484375*^9, 3.379186724921875*^9}, {3.379186805578125*^9, 
   3.379186976796875*^9}, {3.379187007765625*^9, 3.37918703953125*^9}, {
   3.3791871606875*^9, 3.379187162078125*^9}, {3.379187204*^9, 
   3.37918723509375*^9}, 3.379187267640625*^9, {3.37918730325*^9, 
   3.379187343390625*^9}, {3.379508001812215*^9, 3.37950808014034*^9}, {
   3.37991778978125*^9, 3.379917822625*^9}, {3.379917871640625*^9, 
   3.379918041578125*^9}, {3.379918089328125*^9, 3.379918110234375*^9}, {
   3.37991823946875*^9, 3.37991827753125*^9}, {3.379918321359375*^9, 
   3.3799183508125*^9}, {3.379918430953125*^9, 3.379918476109375*^9}, {
   3.37991873809375*^9, 3.379918761390625*^9}, {3.37991880440625*^9, 
   3.37991880921875*^9}, {3.37991886403125*^9, 3.3799188690625*^9}, {
   3.379918933265625*^9, 3.37991893715625*^9}, {3.37991907534375*^9, 
   3.379919137609375*^9}, {3.3799192235625*^9, 3.37991925228125*^9}, {
   3.37991929259375*^9, 3.379919445109375*^9}, {3.37991949175*^9, 
   3.3799194985625*^9}, {3.379919574984375*^9, 3.379919613828125*^9}, {
   3.37991965575*^9, 3.3799198201875*^9}, {3.37991998928125*^9, 
   3.379920003984375*^9}, {3.379920034203125*^9, 3.3799201413125*^9}, {
   3.379920200984375*^9, 3.379920350015625*^9}, {3.37992040721875*^9, 
   3.37992045784375*^9}, {3.3799204944375*^9, 3.379920494828125*^9}, {
   3.3799205265625*^9, 3.37992055378125*^9}, 3.380047736104975*^9, {
   3.382275851634033*^9, 3.382275862555908*^9}, {3.382275958368408*^9, 
   3.382275958930908*^9}, {3.382276494259033*^9, 3.382276497196533*^9}, {
   3.382276528555908*^9, 3.382276585540283*^9}, {3.382276615727783*^9, 
   3.382276621196533*^9}, {3.382276672165283*^9, 3.382276700446533*^9}, {
   3.382277298384033*^9, 3.382277352540283*^9}, {3.383743607765625*^9, 
   3.383743615109375*^9}, 3.383743658375*^9, {3.38374371540625*^9, 
   3.383743726703125*^9}, {3.38374376234375*^9, 3.38374382065625*^9}, {
   3.3837438815*^9, 3.38374393921875*^9}, {3.3837440094375*^9, 
   3.383744039875*^9}, {3.3837441696875*^9, 3.3837441848125*^9}, {
   3.3847083956730795`*^9, 3.3847083961730757`*^9}, {3.3847084329540906`*^9, 
   3.3847084603132906`*^9}, 3.3847084954849405`*^9, {3.3847085623907623`*^9, 
   3.384708596093672*^9}, {3.3847146181646957`*^9, 3.3847146436021957`*^9}, {
   3.3848891417214794`*^9, 3.3848891420808544`*^9}, {3.386342577757161*^9, 
   3.3863425835852485`*^9}, {3.4298822400909467`*^9, 
   3.4298822707307873`*^9}, {3.4298823266046877`*^9, 
   3.4298823735412865`*^9}, {3.4298824120717964`*^9, 3.429882413868637*^9}, {
   3.4298824613521004`*^9, 3.4298824896171827`*^9}, {3.429882591724597*^9, 
   3.4298825932089434`*^9}, {3.4298826587389355`*^9, 
   3.4298828377979975`*^9}, {3.4298828688442764`*^9, 
   3.4298829179995823`*^9}, {3.4298835736762514`*^9, 
   3.4298836412847614`*^9}, {3.4298837121119795`*^9, 3.429883789720361*^9}, {
   3.4298838293136044`*^9, 3.4298838791410913`*^9}, {3.4298840179049406`*^9, 
   3.4298841036850924`*^9}, {3.429884438258935*^9, 3.4298845049143314`*^9}, {
   3.4298845409451203`*^9, 3.429884697318119*^9}, {3.4298847478643465`*^9, 
   3.4298847530517807`*^9}, {3.429884793863758*^9, 3.429884857956688*^9}, 
   3.4300154402771683`*^9, {3.430015596727893*^9, 3.430016044663741*^9}, {
   3.4300160799416037`*^9, 3.4300161074077168`*^9}, {3.4300164905115604`*^9, 
   3.43001665299596*^9}, {3.430016801622316*^9, 3.43001680418457*^9}, {
   3.4300168530548778`*^9, 3.4300170134008794`*^9}, {3.430017072646329*^9, 
   3.4300171082060976`*^9}, {3.4300171489060965`*^9, 3.430017399402482*^9}, {
   3.4300174475081625`*^9, 3.4300174702251673`*^9}, {3.4300177013011694`*^9, 
   3.4300177757798243`*^9}, {3.4300178075117617`*^9, 3.430017809792837*^9}, {
   3.4300178651167126`*^9, 3.4300179735776634`*^9}, {3.430018042573248*^9, 
   3.4300180921481996`*^9}, {3.4300181794863596`*^9, 
   3.4300182434510155`*^9}, {3.4300182833390875`*^9, 
   3.4300183273987675`*^9}, {3.4300183814265594`*^9, 
   3.4300183856137915`*^9}, {3.430018537244712*^9, 3.4300187094368153`*^9}, {
   3.4300187542151995`*^9, 3.4300188184142156`*^9}, {3.4300188705358796`*^9, 
   3.430018960467681*^9}, {3.430019034479516*^9, 3.430019133599441*^9}, {
   3.43001917395675*^9, 3.430019290294543*^9}, {3.43001933819834*^9, 
   3.430019542234768*^9}, {3.4300196703219595`*^9, 3.430019670775061*^9}, 
   3.430020152704616*^9, {3.430020718507392*^9, 3.4300207328192506`*^9}, {
   3.4300207752392254`*^9, 3.43002085915734*^9}, {3.430021739481983*^9, 
   3.430021769433958*^9}, {3.4300223444920263`*^9, 3.430022361850846*^9}},
 CellID->50987191],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`baro$$ = False, $CellContext`lift$$ = 
    2.001792854457972, $CellContext`number$$ = 1, $CellContext`polygon$$ = 
    15, $CellContext`scissors$$ = False, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`baro$$], False, "show other bar"}, {True, False}}, {{
       Hold[$CellContext`polygon$$], 15, "polygon"}, {
      6 -> "6", 10 -> "10", 15 -> "15", 30 -> "30"}}, {{
       Hold[$CellContext`lift$$], 3, "lift"}, 0, 
      Dynamic[
      Cos[Pi/$CellContext`polygon$$]/Tan[Pi/$CellContext`polygon$$]]}, {{
       Hold[$CellContext`scissors$$], False, "show scissors"}, {
      True, False}}, {{
       Hold[$CellContext`number$$], 1, "scissors No"}, 1, 
      Dynamic[$CellContext`polygon$$], 1}}, Typeset`size$$ = {
    400., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`baro$20532$$ = 
    False, $CellContext`polygon$20533$$ = False, $CellContext`lift$20534$$ = 
    0, $CellContext`scissors$20535$$ = False, $CellContext`number$20536$$ = 
    0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`baro$$ = False, $CellContext`lift$$ = 
        3, $CellContext`number$$ = 1, $CellContext`polygon$$ = 
        15, $CellContext`scissors$$ = False}, "ControllerVariables" :> {
        Hold[$CellContext`baro$$, $CellContext`baro$20532$$, False], 
        Hold[$CellContext`polygon$$, $CellContext`polygon$20533$$, False], 
        Hold[$CellContext`lift$$, $CellContext`lift$20534$$, 0], 
        Hold[$CellContext`scissors$$, $CellContext`scissors$20535$$, False], 
        Hold[$CellContext`number$$, $CellContext`number$20536$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`v0 = {0, 0, 0}; $CellContext`\[CapitalDelta] = 
        Pi/$CellContext`polygon$$; $CellContext`By = $CellContext`lift$$; \
$CellContext`Bx = $CellContext`By 
         Tan[$CellContext`\[CapitalDelta]]; $CellContext`Bz = 
        0; $CellContext`vB1 = {-$CellContext`Bx, $CellContext`By, \
$CellContext`Bz}; $CellContext`vB2 = {$CellContext`Bx, $CellContext`By, \
$CellContext`Bz}; $CellContext`Ay = $CellContext`By + 
         Sqrt[1 - $CellContext`Bx^2]; $CellContext`Ax = 0; $CellContext`Az = 
        0; $CellContext`vA = {$CellContext`Ax, $CellContext`Ay, \
$CellContext`Az}; $CellContext`Px = $CellContext`Py 
         Tan[$CellContext`\[CapitalDelta]]; $CellContext`Py = 
        6; $CellContext`Pz = 
        0; $CellContext`vP = {-$CellContext`Px, $CellContext`Py, \
$CellContext`Pz}; $CellContext`vQ = {$CellContext`Px, $CellContext`Py, \
$CellContext`Pz}; $CellContext`line1 = 
        Line[{$CellContext`v0, $CellContext`vP}]; $CellContext`line2 = 
        Line[{$CellContext`v0, $CellContext`vQ}]; $CellContext`linec = {
         Dashed, 
          
          Line[{$CellContext`v0, {0, 8, 
            0}}]}; $CellContext`w = $CellContext`Ay 
         Sin[$CellContext`\[CapitalDelta]]; $CellContext`v = 
        Sqrt[1 - $CellContext`w^2]; $CellContext`u = 
        Sqrt[$CellContext`Bx^2 + $CellContext`By^2]; $CellContext`Cx = (
          2 $CellContext`v + $CellContext`u) 
         Sin[$CellContext`\[CapitalDelta]]; $CellContext`Cy = $CellContext`Cx/
         Tan[$CellContext`\[CapitalDelta]]; $CellContext`Cz = 
        0; $CellContext`vC1 = {$CellContext`Cx, $CellContext`Cy, \
$CellContext`Cz}; $CellContext`vC2 = {-$CellContext`Cx, $CellContext`Cy, \
$CellContext`Cz}; $CellContext`size = 0.04; $CellContext`barB1 = {
          RGBColor[1, 0.47, 0], 
          
          Cylinder[{$CellContext`vA, $CellContext`vB1}, $CellContext`size]}; \
$CellContext`barB2 = 
        Cylinder[{$CellContext`vA, $CellContext`vB2}, $CellContext`size]; \
$CellContext`barC1 = {
          RGBColor[1, 0.47, 0], 
          
          Cylinder[{$CellContext`vA, $CellContext`vC1}, $CellContext`size]}; \
$CellContext`barC2 = 
        Cylinder[{$CellContext`vA, $CellContext`vC2}, $CellContext`size]; \
$CellContext`cross1 = {$CellContext`line1, $CellContext`line2, \
$CellContext`linec, $CellContext`barB1, $CellContext`barC1, 
          
          If[$CellContext`baro$$, {$CellContext`barB2, $CellContext`barC2}, \
{}]}; $CellContext`hober = Table[
          
          Rotate[$CellContext`cross1, $CellContext`i 
           2 $CellContext`\[CapitalDelta], {0, 0, 
           1}], {$CellContext`i, $CellContext`number$$}]; $CellContext`tA = 
        Text[
          Style["A", Blue, Bold, 24], $CellContext`vA]; $CellContext`tB1 = 
        Text[
          Style["B1", 20], $CellContext`vB1]; $CellContext`tB2 = Text[
          Style["B2", 20], $CellContext`vB2]; $CellContext`tC1 = Text[
          Style["C1", 30], $CellContext`vC1]; $CellContext`tC2 = Text[
          Style["C2", 30], $CellContext`vC2]; 
       Graphics3D[{$CellContext`tA, $CellContext`tB1, $CellContext`tB2, \
$CellContext`tC1, $CellContext`tC2, $CellContext`cross1, 
          If[$CellContext`scissors$$, $CellContext`hober, {}]}, 
         ImageSize -> {400, 400}, ViewAngle -> Pi/12, ViewPoint -> {0, 0, 4}, 
         SphericalRegion -> True, Boxed -> False]), 
      "Specifications" :> {{{$CellContext`baro$$, False, "show other bar"}, {
         True, False}}, {{$CellContext`polygon$$, 15, "polygon"}, {
         6 -> "6", 10 -> "10", 15 -> "15", 30 -> "30"}, ImageSize -> 
         Tiny}, {{$CellContext`lift$$, 3, "lift"}, 0, 
         Dynamic[
         Cos[Pi/$CellContext`polygon$$]/Tan[Pi/$CellContext`polygon$$]], 
         ImageSize -> 
         Tiny}, {{$CellContext`scissors$$, False, "show scissors"}, {
         True, False}}, {{$CellContext`number$$, 1, "scissors No"}, 1, 
         Dynamic[$CellContext`polygon$$], 1, Appearance -> "Labeled", 
         ImageSize -> Tiny}}, 
      "Options" :> {ControlPlacement -> Left, TrackedSymbols :> Manipulate}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{643., {226., 231.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.540712346625*^9, 3.540794998453125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "this", " ", "shows", " ", "how", " ", "the", " ", "coordinates", " ", 
    "of", " ", "Pont", " ", "C", " ", "are", " ", "calculted", " ", "with", 
    " ", "the", " ", "help", " ", "of", " ", "a", " ", "intermadiate", " ", 
    "Point", " ", "V"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Vx", "=", 
     RowBox[{
      RowBox[{"-", "w"}], " ", 
      RowBox[{"Cos", "[", "\[CapitalDelta]", "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Vy", "=", 
     RowBox[{"By", "+", 
      RowBox[{"v", " ", 
       RowBox[{"Cos", "[", "\[CapitalDelta]", "]"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Vz", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vV", "=", 
     RowBox[{"{", 
      RowBox[{"Vx", ",", "Vy", ",", "Vz"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AV", "=", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"vA", ",", "vV"}], "}"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tV", "=", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<V\>\"", ",", "24", ",", "Red"}], "]"}], ",", "vV"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "sphere", " ", "or", " ", "cylnder", " ", "places", " ", "at", " ", "the",
      " ", "nodes"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sC1", "=", 
     RowBox[{"Sphere", "[", 
      RowBox[{
       RowBox[{"{", "vC1", "}"}], ",", "0.14"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sC2", "=", 
     RowBox[{"Cylinder", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", "v"}], "+", "u"}], ")"}]}], 
            RowBox[{"Sin", "[", "\[CapitalDelta]", "]"}]}], ",", 
           RowBox[{"Cx", "/", 
            RowBox[{"Tan", "[", "\[CapitalDelta]", "]"}]}], ",", 
           RowBox[{"-", "0.3"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", "v"}], "+", "u"}], ")"}]}], 
            RowBox[{"Sin", "[", "\[CapitalDelta]", "]"}]}], ",", 
           RowBox[{"Cx", "/", 
            RowBox[{"Tan", "[", "\[CapitalDelta]", "]"}]}], ",", "0.3"}], 
          "}"}]}], "}"}], ",", "0.14"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Graphics3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "sC1", ",", "sC2", ",", "tV", ",", "AV", ",", "tA", ",", "tB1", ",", 
       "tB2", ",", "tC1", ",", "tC2", ",", "cross1", ",", "barB2", ",", 
       "barC2"}], "}"}], ",", 
     RowBox[{"ViewPoint", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "4"}], "}"}]}], ",", 
     RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
     RowBox[{"Boxed", "\[Rule]", "False"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.43002091987337*^9, 3.43002093026353*^9}, {
   3.430020966621276*^9, 3.4300210632110777`*^9}, {3.4300211355208015`*^9, 
   3.4300211686445293`*^9}, {3.430021209221096*^9, 3.4300212261891947`*^9}, {
   3.4300212937959733`*^9, 3.430021517381137*^9}, {3.4300216376890173`*^9, 
   3.4300217096862526`*^9}, {3.430021778308617*^9, 3.430021803151413*^9}, {
   3.4300219964252415`*^9, 3.4300220951093817`*^9}, {3.4300221510138426`*^9, 
   3.4300223159304404`*^9}, {3.4300223724598813`*^9, 3.430022400271491*^9}, 
   3.443868094796875*^9}],

Cell[BoxData[
 Graphics3DBox[{
   SphereBox[
    NCache[{{Sin[
        Rational[1, 15] Pi] ((9 + 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2] + 
        2 (1 - Sin[Rational[1, 15] Pi]^2 (
             3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2])^2)^
          Rational[1, 2]), 
       Cos[Rational[1, 15] Pi] ((9 + 9 Tan[Rational[1, 15] Pi]^2)^
         Rational[1, 2] + 
        2 (1 - Sin[Rational[1, 15] Pi]^2 (
             3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2])^2)^
          Rational[1, 2]), 0}}, {{
      0.8958535151978739, 4.2146594212820325`, 0}}], 0.14], 
   CylinderBox[
    NCache[{{Sin[
        Rational[1, 15] 
         Pi] (-(9 + 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2] - 
        2 (1 - Sin[Rational[1, 15] Pi]^2 (
            3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2])^2)^
         Rational[1, 2]), 
       Cos[Rational[1, 15] Pi] ((9 + 9 Tan[Rational[1, 15] Pi]^2)^
         Rational[1, 2] + 
        2 (1 - Sin[Rational[1, 15] Pi]^2 (
             3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2])^2)^
          Rational[1, 2]), -0.3}, {
      Sin[Rational[1, 15] 
         Pi] (-(9 + 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2] - 
        2 (1 - Sin[Rational[1, 15] Pi]^2 (
            3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2])^2)^
         Rational[1, 2]), 
       Cos[Rational[1, 15] Pi] ((9 + 9 Tan[Rational[1, 15] Pi]^2)^
         Rational[1, 2] + 
        2 (1 - Sin[Rational[1, 15] Pi]^2 (
             3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2])^2)^
          Rational[1, 2]), 0.3}}, {{-0.8958535151978739, 
     4.2146594212820325`, -0.3}, {-0.8958535151978739, 4.2146594212820325`, 
     0.3}}], 0.14], Text3DBox[
    StyleBox["\<\"V\"\>",
     StripOnInput->False,
     LineColor->RGBColor[1, 0, 0],
     FrontFaceColor->RGBColor[1, 0, 0],
     BackFaceColor->RGBColor[1, 0, 0],
     GraphicsColor->RGBColor[1, 0, 0],
     FontSize->24,
     FontColor->RGBColor[1, 0, 0]], 
    NCache[{-Cos[Rational[1, 15] Pi] 
      Sin[Rational[1, 15] Pi] (
       3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2]), 3 + 
      Cos[Rational[1, 15] Pi] (1 - 
         Sin[Rational[1, 15] Pi]^2 (
           3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2])^2)^
        Rational[1, 2], 0}, {-0.7667616001039701, 3.607329710641016, 0}]], 
   Line3DBox[
    NCache[{{0, 3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2], 0}, {-
       Cos[Rational[1, 15] Pi] 
       Sin[Rational[1, 15] Pi] (
        3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2]), 3 + 
       Cos[Rational[1, 15] Pi] (1 - 
          Sin[Rational[1, 15] Pi]^2 (
            3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2])^2)^
         Rational[1, 2], 0}}, {{
      0, 3.77030991997972, 0}, {-0.7667616001039701, 3.607329710641016, 0}}]],
    Text3DBox[
    StyleBox["\<\"A\"\>",
     StripOnInput->False,
     LineColor->RGBColor[0, 0, 1],
     FrontFaceColor->RGBColor[0, 0, 1],
     BackFaceColor->RGBColor[0, 0, 1],
     GraphicsColor->RGBColor[0, 0, 1],
     FontSize->24,
     FontWeight->Bold,
     FontColor->RGBColor[0, 0, 1]], 
    NCache[{0, 3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2], 0}, {
     0, 3.77030991997972, 0}]], Text3DBox[
    StyleBox["\<\"B1\"\>",
     StripOnInput->False,
     FontSize->20], 
    NCache[{(-3) Tan[Rational[1, 15] Pi], 3, 0}, {-0.6376696850100663, 3, 
      0}]], Text3DBox[
    StyleBox["\<\"B2\"\>",
     StripOnInput->False,
     FontSize->20], 
    NCache[{3 Tan[Rational[1, 15] Pi], 3, 0}, {0.6376696850100663, 3, 0}]], 
   Text3DBox[
    StyleBox["\<\"C1\"\>",
     StripOnInput->False,
     FontSize->30], 
    NCache[{Sin[
       Rational[1, 15] Pi] ((9 + 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2] + 
       2 (1 - Sin[Rational[1, 15] Pi]^2 (
            3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2])^2)^
         Rational[1, 2]), 
      Cos[Rational[1, 15] Pi] ((9 + 9 Tan[Rational[1, 15] Pi]^2)^
        Rational[1, 2] + 
       2 (1 - Sin[Rational[1, 15] Pi]^2 (
            3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2])^2)^
         Rational[1, 2]), 0}, {0.8958535151978739, 4.2146594212820325`, 0}]], 
   Text3DBox[
    StyleBox["\<\"C2\"\>",
     StripOnInput->False,
     FontSize->30], 
    NCache[{-Sin[
       Rational[1, 15] Pi] ((9 + 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2] + 
       2 (1 - 
          Sin[Rational[1, 15] Pi]^2 (
            3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2])^2)^
         Rational[1, 2]), 
      Cos[Rational[1, 15] Pi] ((9 + 9 Tan[Rational[1, 15] Pi]^2)^
        Rational[1, 2] + 
       2 (1 - Sin[Rational[1, 15] Pi]^2 (
            3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2])^2)^
         Rational[1, 2]), 0}, {-0.8958535151978739, 4.2146594212820325`, 
      0}]], {Line3DBox[
     NCache[{{0, 0, 0}, {(-6) Tan[Rational[1, 15] Pi], 6, 0}}, {{0, 0, 
       0}, {-1.2753393700201325`, 6, 0}}]], 
    Line3DBox[
     NCache[{{0, 0, 0}, {6 Tan[Rational[1, 15] Pi], 6, 0}}, {{0, 0, 0}, {
       1.2753393700201325`, 6, 0}}]], 
    {Dashing[{Small, Small}], Line3DBox[{{0, 0, 0}, {0, 8, 0}}]}, 
    {RGBColor[1, 0.47, 0], 
     CylinderBox[
      NCache[{{0, 3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2], 
         0}, {(-3) Tan[Rational[1, 15] Pi], 3, 0}}, {{
        0, 3.77030991997972, 0}, {-0.6376696850100663, 3, 0}}], 0.04]}, 
    {RGBColor[1, 0.47, 0], 
     CylinderBox[
      NCache[{{0, 3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2], 0}, {
        Sin[Rational[1, 15] Pi] ((9 + 9 Tan[Rational[1, 15] Pi]^2)^
           Rational[1, 2] + 
          2 (1 - Sin[Rational[1, 15] Pi]^2 (
               3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2])^2)^
            Rational[1, 2]), 
         Cos[Rational[1, 15] Pi] ((9 + 9 Tan[Rational[1, 15] Pi]^2)^
           Rational[1, 2] + 
          2 (1 - Sin[Rational[1, 15] Pi]^2 (
               3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2])^2)^
            Rational[1, 2]), 0}}, {{0, 3.77030991997972, 0}, {
        0.8958535151978739, 4.2146594212820325`, 0}}], 0.04]}, {}}, 
   CylinderBox[
    NCache[{{0, 3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2], 0}, {
      3 Tan[Rational[1, 15] Pi], 3, 0}}, {{0, 3.77030991997972, 0}, {
      0.6376696850100663, 3, 0}}], 0.04], 
   CylinderBox[
    NCache[{{0, 3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2], 0}, {-
       Sin[Rational[1, 15] Pi] ((9 + 9 Tan[Rational[1, 15] Pi]^2)^
         Rational[1, 2] + 
        2 (1 - Sin[Rational[1, 15] Pi]^2 (
             3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2])^2)^
          Rational[1, 2]), 
       Cos[Rational[1, 15] Pi] ((9 + 9 Tan[Rational[1, 15] Pi]^2)^
         Rational[1, 2] + 
        2 (1 - Sin[Rational[1, 15] Pi]^2 (
             3 + (1 - 9 Tan[Rational[1, 15] Pi]^2)^Rational[1, 2])^2)^
          Rational[1, 2]), 0}}, {{
      0, 3.77030991997972, 0}, {-0.8958535151978739, 4.2146594212820325`, 
       0}}], 0.04]},
  Boxed->False,
  SphericalRegion->True,
  ViewPoint->{0, 0, 4}]], "Output",
 CellChangeTimes->{3.540712347984375*^9, 3.540794998796875*^9}]
}, Open  ]]
},
WindowSize->{769, 492},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 733, 15, 72, "Input"],
Cell[CellGroupData[{
Cell[1303, 39, 22733, 508, 1812, "Input",
 CellID->50987191],
Cell[24039, 549, 6709, 124, 474, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30785, 678, 3706, 99, 312, "Input"],
Cell[34494, 779, 7079, 160, 375, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
