(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16208,        441]
NotebookOptionsPosition[     15126,        400]
NotebookOutlinePosition[     15741,        424]
CellTagsIndexPosition[     15698,        421]
WindowTitle->Length of Line Illusion - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Length of Line Illusion", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "=", "1"}], ";", " ", 
    RowBox[{"b", "=", "0.7"}], ";", "\[IndentingNewLine]", 
    RowBox[{"vA", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], ";", 
    RowBox[{"vB", "=", 
     RowBox[{"{", 
      RowBox[{"b", ",", "0"}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vC", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "+", 
        RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], ",", 
       RowBox[{"Sin", "[", "\[Alpha]", "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vD", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "+", 
        RowBox[{"Cos", "[", "\[Alpha]", "]"}], "+", 
        RowBox[{"a", " ", 
         RowBox[{"Cos", "[", "\[Alpha]", "]"}]}]}], ",", 
       RowBox[{
        RowBox[{"Sin", "[", "\[Alpha]", "]"}], "+", 
        RowBox[{"a", " ", 
         RowBox[{"Sin", "[", "\[Alpha]", "]"}]}]}]}], " ", "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vE", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Cos", "[", "\[Alpha]", "]"}], "+", 
        RowBox[{"a", " ", 
         RowBox[{"Cos", "[", "\[Alpha]", "]"}]}]}], ",", 
       RowBox[{
        RowBox[{"Sin", "[", "\[Alpha]", "]"}], "+", 
        RowBox[{"a", " ", 
         RowBox[{"Sin", "[", "\[Alpha]", "]"}]}]}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vF", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", "\[Alpha]", "]"}], ",", 
       RowBox[{"Sin", "[", "\[Alpha]", "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"AB", "=", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"vA", ",", "vB"}], "}"}], "]"}]}], ";", 
    RowBox[{"BD", "=", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"vB", ",", "vD"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"DE", "=", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"vD", ",", "vE"}], "}"}], "]"}]}], ";", 
    RowBox[{"EA", "=", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"vE", ",", "vA"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"BF", "=", 
     RowBox[{"{", 
      RowBox[{"Red", ",", "Thick", ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{"vB", ",", "vF"}], "}"}], "]"}]}], "}"}]}], ";", 
    RowBox[{"DF", "=", 
     RowBox[{"{", 
      RowBox[{"Red", ",", "Thick", ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{"vD", ",", "vF"}], "}"}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"FC", "=", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"vF", ",", "vC"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"tri1", "=", 
     RowBox[{"{", 
      RowBox[{"Green", ",", 
       RowBox[{"Polygon", "[", 
        RowBox[{"{", 
         RowBox[{"vD", ",", "vE", ",", "vF"}], "}"}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"tri2", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Opacity", "[", "0.6", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.4", ",", "0.7", ",", "0.5"}], "]"}], ",", 
       RowBox[{"Polygon", "[", 
        RowBox[{"{", 
         RowBox[{"vA", ",", "vB", ",", "vF"}], "}"}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"check", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"tri1", ",", "DF"}], "}"}], ",", "rot", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", "\[Alpha]", "]"}], ",", 
         RowBox[{"Sin", "[", "\[Alpha]", "]"}]}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Graphics", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "AB", ",", "BD", ",", "DE", ",", "EA", ",", "BF", ",", "DF", ",", 
        "check", ",", "FC", ",", "tri2"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "0.1"}], ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "0.5"}], ",", "1.8"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "360"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "0.5", ",", "\"\<adjust\>\""}], "}"}], ",", "0", ",", 
     "0.7"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rot", ",", "0", ",", "\"\<check\>\""}], "}"}], ",", "0", ",", 
     RowBox[{"-", "2"}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.427280017502976*^9, 3.4272801581652384`*^9}, {
   3.427280242977192*^9, 3.42728031644283*^9}, {3.4272806723846493`*^9, 
   3.427280964654914*^9}, {3.427281123893888*^9, 3.427281173795643*^9}, {
   3.4272812433256226`*^9, 3.42728124436712*^9}, {3.427281343209248*^9, 
   3.42728136979748*^9}, {3.4272814131998897`*^9, 3.4272814234346066`*^9}, {
   3.4272814674278655`*^9, 3.427281525942005*^9}, {3.427281572799382*^9, 
   3.4272815741012545`*^9}, {3.427281663449731*^9, 3.427281807877408*^9}, {
   3.4272818479450226`*^9, 3.4272818578893213`*^9}, {3.427281948709915*^9, 
   3.427281959845928*^9}, {3.4272820015158463`*^9, 3.427282120997653*^9}, {
   3.4272937931169105`*^9, 3.427293836969968*^9}, {3.4272938724109297`*^9, 
   3.427293908843317*^9}, {3.4272940252406883`*^9, 3.4272940270633087`*^9}, {
   3.4272940867190895`*^9, 3.4272941131771345`*^9}, {3.427294148267592*^9, 
   3.427294149168888*^9}, {3.4272941816155443`*^9, 3.42729425295813*^9}, {
   3.4272942920343184`*^9, 3.4272943756445436`*^9}, {3.4272944492704124`*^9, 
   3.427294549945176*^9}, {3.427295491098488*^9, 3.4272954924404173`*^9}, {
   3.427295552927394*^9, 3.4272955535683155`*^9}, 3.42729560180768*^9, {
   3.427295650197261*^9, 3.427295678017264*^9}, {3.4272957668750353`*^9, 
   3.4272957919811363`*^9}, 3.4272958887502832`*^9, {3.427296023944683*^9, 
   3.427296041750286*^9}, {3.4272962227205086`*^9, 3.4272963112878623`*^9}, 
   3.427462650268098*^9},
 CellID->483025891],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0.5, $CellContext`rot$$ = 0, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 0.5, "adjust"}, 0, 0.7}, {{
       Hold[$CellContext`rot$$], 0, "check"}, 0, -2}}, Typeset`size$$ = {
    360., {195., 199.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$22228$$ = 
    0, $CellContext`rot$22229$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 0.5, $CellContext`rot$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$22228$$, 0], 
        Hold[$CellContext`rot$$, $CellContext`rot$22229$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`\[Alpha] = 1; $CellContext`b = 
        0.7; $CellContext`vA = {0, 
         0}; $CellContext`vB = {$CellContext`b, 
          0}; $CellContext`vC = {$CellContext`b + Cos[$CellContext`\[Alpha]], 
          Sin[$CellContext`\[Alpha]]}; $CellContext`vD = {$CellContext`b + 
          Cos[$CellContext`\[Alpha]] + $CellContext`a$$ 
           Cos[$CellContext`\[Alpha]], 
          Sin[$CellContext`\[Alpha]] + $CellContext`a$$ 
           Sin[$CellContext`\[Alpha]]}; $CellContext`vE = {
         Cos[$CellContext`\[Alpha]] + $CellContext`a$$ 
           Cos[$CellContext`\[Alpha]], 
          Sin[$CellContext`\[Alpha]] + $CellContext`a$$ 
           Sin[$CellContext`\[Alpha]]}; $CellContext`vF = {
          Cos[$CellContext`\[Alpha]], 
          Sin[$CellContext`\[Alpha]]}; $CellContext`AB = 
        Line[{$CellContext`vA, $CellContext`vB}]; $CellContext`BD = 
        Line[{$CellContext`vB, $CellContext`vD}]; $CellContext`DE = 
        Line[{$CellContext`vD, $CellContext`vE}]; $CellContext`EA = 
        Line[{$CellContext`vE, $CellContext`vA}]; $CellContext`BF = {
         Red, Thick, 
          Line[{$CellContext`vB, $CellContext`vF}]}; $CellContext`DF = {
         Red, Thick, 
          Line[{$CellContext`vD, $CellContext`vF}]}; $CellContext`FC = 
        Line[{$CellContext`vF, $CellContext`vC}]; $CellContext`tri1 = {Green, 
          
          Polygon[{$CellContext`vD, $CellContext`vE, $CellContext`vF}]}; \
$CellContext`tri2 = {
          Opacity[0.6], 
          RGBColor[0.4, 0.7, 0.5], 
          
          Polygon[{$CellContext`vA, $CellContext`vB, $CellContext`vF}]}; \
$CellContext`check = 
        Rotate[{$CellContext`tri1, $CellContext`DF}, $CellContext`rot$$, {
           Cos[$CellContext`\[Alpha]], 
           Sin[$CellContext`\[Alpha]]}]; 
       Graphics[{$CellContext`AB, $CellContext`BD, $CellContext`DE, \
$CellContext`EA, $CellContext`BF, $CellContext`DF, $CellContext`check, \
$CellContext`FC, $CellContext`tri2}, PlotRange -> {{-0.1, 2}, {-0.5, 1.8}}, 
         ImageSize -> 360]), 
      "Specifications" :> {{{$CellContext`a$$, 0.5, "adjust"}, 0, 
         0.7}, {{$CellContext`rot$$, 0, "check"}, 0, -2}}, 
      "Options" :> {TrackedSymbols -> Manipulate}, "DefaultOptions" :> {}],
     ImageSizeCache->{405., {253., 258.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.5407956825625*^9, 3.540795703234375*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Length of Line Illusion",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LengthOfLineIllusion/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/LengthOfLineIllusion/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/LengthOfLineIllusion/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LengthOfLineIllusion/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/LengthOfLineIllusion/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["S\[AAcute]ndor Kabai",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=S%E1ndor+Kabai"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=S%E1ndor+Kabai"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
LengthOfLineIllusion"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Length of Line Illusion - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[613, 23, 215, 4, 71, "Section"],
Cell[CellGroupData[{
Cell[853, 31, 6220, 157, 372, "Input",
 CellID->483025891],
Cell[7076, 190, 3859, 75, 528, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10984, 271, 373, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[11360, 282, 900, 24, 34, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12297, 311, 337, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[12637, 322, 442, 14, 18, "Text"],
Cell[13082, 338, 829, 24, 98, "Text"],
Cell[13914, 364, 1196, 33, 88, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature lTjWQQhEVZohqD00Xwb1Ceay *)
