(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15314,        440]
NotebookOptionsPosition[     14836,        421]
NotebookOutlinePosition[     15241,        438]
CellTagsIndexPosition[     15198,        435]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Phi]", "=", "GoldenRatio"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"N", "[", 
    RowBox[{"ArcTan", "[", "\[Phi]", "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Beta]", "=", 
   RowBox[{"N", "[", 
    RowBox[{"ArcTan", "[", 
     RowBox[{"1", "/", "\[Phi]"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rt", "=", 
   RowBox[{"PolyhedronData", "[", 
    RowBox[{"\"\<RhombicTriacontahedron\>\"", ",", "\"\<Faces\>\""}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rtbase", " ", "=", 
   RowBox[{"Scale", "[", 
    RowBox[{"rt", ",", 
     RowBox[{
      RowBox[{"\[Phi]", "^", "2"}], 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rd", "=", 
   RowBox[{"PolyhedronData", "[", 
    RowBox[{"\"\<RhombicDodecahedron\>\"", ",", "\"\<Faces\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ico", "=", 
   RowBox[{"PolyhedronData", "[", 
    RowBox[{"\"\<Icosahedron\>\"", ",", "\"\<Faces\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"icov", "=", 
   RowBox[{
    RowBox[{"PolyhedronData", "[", "\"\<Icosidodecahedron\>\"", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"icon", "=", 
   RowBox[{"Rotate", "[", 
    RowBox[{
     RowBox[{"Scale", "[", 
      RowBox[{"ico", ",", 
       RowBox[{"2", " ", 
        RowBox[{"Sin", "[", "\[Alpha]", "]"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"Pi", "/", "5"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dod", "=", 
   RowBox[{"PolyhedronData", "[", 
    RowBox[{"\"\<Dodecahedron\>\"", ",", "\"\<Faces\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dodn", "=", 
   RowBox[{"Rotate", "[", 
    RowBox[{
     RowBox[{"Scale", "[", 
      RowBox[{"dod", ",", 
       RowBox[{"2", 
        RowBox[{"Cos", "[", "\[Alpha]", "]"}], 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"Pi", "/", "5"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cub", "=", 
   RowBox[{"PolyhedronData", "[", 
    RowBox[{"\"\<Cube\>\"", ",", "\"\<Faces\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Kappa]", "=", 
   RowBox[{"ArcTan", "[", 
    RowBox[{"Sqrt", "[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"Cos", "[", "\[Kappa]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rdn", "=", 
   RowBox[{"Scale", "[", 
    RowBox[{
     RowBox[{"Rotate", "[", 
      RowBox[{"rd", ",", 
       RowBox[{"Pi", "/", "4"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"Sin", "[", "\[Alpha]", "]"}], "/", "x"}], 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rd1", "=", 
   RowBox[{"Translate", "[", 
    RowBox[{"rdn", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"(", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"Sin", "[", "\[Alpha]", "]"}], " ", 
          RowBox[{"\[Phi]", "^", "3"}]}], " ", "+", 
         RowBox[{"Sin", "[", "\[Alpha]", "]"}]}], ")"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rd2", "=", 
   RowBox[{"Rotate", "[", 
    RowBox[{"rd1", ",", "Pi", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rdy", "=", 
   RowBox[{"Rotate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rd1", ",", "rd2"}], "}"}], ",", 
     RowBox[{"Pi", "/", "2"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rdx", "=", 
   RowBox[{"Rotate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rd1", ",", "rd2"}], "}"}], ",", 
     RowBox[{"Pi", "/", "2"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rdb", "=", 
    RowBox[{"Rotate", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"rdx", ",", "rdy", ",", 
        RowBox[{"{", 
         RowBox[{"rd1", ",", "rd2"}], "}"}]}], "}"}], ",", 
      RowBox[{"-", "\[Beta]"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cubn", "=", 
   RowBox[{"Scale", "[", 
    RowBox[{"cub", ",", 
     RowBox[{"2", " ", 
      RowBox[{"Sin", "[", "\[Alpha]", "]"}], 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c1", "=", 
   RowBox[{"Translate", "[", 
    RowBox[{"cubn", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"(", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"Sin", "[", "\[Alpha]", "]"}], " ", 
          RowBox[{"\[Phi]", "^", "3"}]}], " ", "+", 
         RowBox[{"Sin", "[", "\[Alpha]", "]"}]}], ")"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c2", "=", 
   RowBox[{"Rotate", "[", 
    RowBox[{"c1", ",", "Pi", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cy", "=", 
   RowBox[{"Rotate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c1", ",", "c2"}], "}"}], ",", 
     RowBox[{"Pi", "/", "2"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cx", "=", 
   RowBox[{"Rotate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c1", ",", "c2"}], "}"}], ",", 
     RowBox[{"Pi", "/", "2"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cb", "=", 
    RowBox[{"Rotate", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"cx", ",", "cy", ",", 
        RowBox[{"{", 
         RowBox[{"c1", ",", "c2"}], "}"}]}], "}"}], ",", 
      RowBox[{"-", "\[Beta]"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rd30", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"RGBColor", "[", 
      RowBox[{"1", ",", "1", ",", "0.6"}], "]"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{"rdb", ",", 
         RowBox[{"i", " ", "2", 
          RowBox[{"Pi", "/", "5"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "5"}], "}"}]}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cub30", "=", 
   RowBox[{"{", 
    RowBox[{"Yellow", ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{"cb", ",", 
         RowBox[{"i", " ", "2", 
          RowBox[{"Pi", "/", "5"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "5"}], "}"}]}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rt30", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Specularity", "[", "0.7", "]"}], ",", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0.6", ",", "1", ",", "0.6"}], "]"}], ",", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Translate", "[", 
         RowBox[{"rt", ",", "#"}], "]"}], "&"}], ",", " ", 
       RowBox[{"2.7527", " ", "*", "icov"}]}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ico30", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Specularity", "[", "0.7", "]"}], ",", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0.6", ",", "0.6", ",", "1"}], "]"}], ",", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Translate", "[", 
         RowBox[{"icon", ",", "#"}], "]"}], "&"}], ",", "  ", 
       RowBox[{"2.7527", " ", "*", "icov"}]}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dod30", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Specularity", "[", "0.7", "]"}], ",", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"1", ",", "1", ",", "0.6"}], "]"}], ",", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Translate", "[", 
          RowBox[{"dodn", ",", "#"}], "]"}], "&"}], ",", "  ", 
        RowBox[{"2.7527", " ", "*", "icov"}]}], "]"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Graphics3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"cub30", ",", "Green", ",", "rtbase"}], "}"}], ",", 
   RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
   RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "10"}], "}"}]}], ",", 
   RowBox[{"ViewAngle", "\[Rule]", "0.1"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.386073675828125*^9, 3.386073698375*^9}, {
   3.386910892984375*^9, 3.3869109069375*^9}, {3.386910957390625*^9, 
   3.386910965046875*^9}, {3.386911013453125*^9, 3.386911014421875*^9}, {
   3.386911052125*^9, 3.386911058609375*^9}, {3.386911097734375*^9, 
   3.386911120453125*^9}, {3.386911182296875*^9, 3.38691118665625*^9}, {
   3.3869112571875*^9, 3.386911260890625*^9}, {3.386911465015625*^9, 
   3.38691147590625*^9}, {3.386911564265625*^9, 3.3869116784375*^9}, {
   3.38691171359375*^9, 3.38691171915625*^9}, {3.386911758875*^9, 
   3.386911820140625*^9}, {3.38691185721875*^9, 3.38691187165625*^9}, {
   3.38691192196875*^9, 3.386911970828125*^9}, 3.394898673703125*^9, {
   3.394900118046875*^9, 3.39490022084375*^9}, {3.394900359484375*^9, 
   3.39490037790625*^9}, {3.394933249*^9, 3.3949333004375*^9}, {
   3.394933471640625*^9, 3.39493347325*^9}, {3.39493353140625*^9, 
   3.394933532265625*^9}, {3.443756025*^9, 3.443756096546875*^9}, {
   3.443756822578125*^9, 3.443756856609375*^9}, {3.54071376728125*^9, 
   3.540713768015625*^9}, {3.540713812265625*^9, 3.540713933203125*^9}, {
   3.54071397540625*^9, 3.540714010515625*^9}, {3.540714070265625*^9, 
   3.54071407715625*^9}, {3.54071415384375*^9, 3.54071417378125*^9}, {
   3.540714203890625*^9, 3.54071426771875*^9}, {3.54071431925*^9, 
   3.540714385703125*^9}, {3.5407144573125*^9, 3.54071448040625*^9}, {
   3.540714565828125*^9, 3.540714631765625*^9}, {3.5407147155625*^9, 
   3.54071474859375*^9}, {3.540714779765625*^9, 3.540714943921875*^9}, {
   3.54071543196875*^9, 3.5407154840625*^9}, {3.540715718828125*^9, 
   3.540715728171875*^9}, {3.54071576121875*^9, 3.5407157616875*^9}, {
   3.540715845640625*^9, 3.54071587309375*^9}, {3.540715991015625*^9, 
   3.540715999703125*^9}, {3.540716099828125*^9, 3.540716104109375*^9}, 
   3.540716138453125*^9, 3.540716360875*^9, {3.540716464015625*^9, 
   3.54071666134375*^9}, {3.54071704659375*^9, 3.54071706253125*^9}, {
   3.540717094359375*^9, 3.540717106125*^9}, 3.540717168765625*^9, 
   3.540717762296875*^9, {3.540793534859375*^9, 3.54079356565625*^9}, {
   3.54079360003125*^9, 3.540793601828125*^9}, {3.540793641078125*^9, 
   3.5407938453125*^9}, {3.540797253828125*^9, 3.540797563359375*^9}, {
   3.54079759428125*^9, 3.540797611125*^9}, {3.540797672890625*^9, 
   3.540797675046875*^9}}],

Cell[BoxData[
 RowBox[{"Graphics3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"rd30", ",", "Green", ",", "rtbase"}], "}"}], ",", 
   RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
   RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "10"}], "}"}]}], ",", 
   RowBox[{"ViewAngle", "\[Rule]", "0.1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5407976255*^9, 3.54079762715625*^9}}],

Cell[BoxData[
 RowBox[{"Graphics3D", "[", 
  RowBox[{
   RowBox[{"{", "rt30", "}"}], ",", 
   RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
   RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "10"}], "}"}]}], ",", 
   RowBox[{"ViewAngle", "\[Rule]", "0.1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.540797637875*^9, 3.540797638390625*^9}, {
  3.540832165671875*^9, 3.5408321665*^9}}],

Cell[BoxData[
 RowBox[{"Graphics3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"dod30", ",", "Green", ",", "rtbase"}], "}"}], ",", 
   RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
   RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "10"}], "}"}]}], ",", 
   RowBox[{"ViewAngle", "\[Rule]", "0.1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.540797646921875*^9, 3.540797648265625*^9}}],

Cell[BoxData[
 RowBox[{"Graphics3D", "[", 
  RowBox[{
   RowBox[{"{", "ico30", "}"}], ",", 
   RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
   RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "10"}], "}"}]}], ",", 
   RowBox[{"ViewAngle", "\[Rule]", "0.1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.540797654203125*^9, 3.54079765571875*^9}, {
  3.540832194828125*^9, 3.54083219584375*^9}}]
},
WindowSize->{777, 505},
WindowMargins->{{-2, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 12367, 347, 732, "Input"],
Cell[12915, 369, 472, 11, 52, "Input"],
Cell[13390, 382, 475, 11, 52, "Input"],
Cell[13868, 395, 479, 11, 52, "Input"],
Cell[14350, 408, 482, 11, 52, "Input"]
}
]
*)

(* End of internal cache information *)
