(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     26681,        663]
NotebookOptionsPosition[     25449,        618]
NotebookOutlinePosition[     26111,        643]
CellTagsIndexPosition[     26068,        640]
WindowTitle->Polar Zonohedron Built on a Dodecahedron - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Polar Zonohedron Built on a Dodecahedron", "Section",
 CellFrame->{{0, 0}, {0, 0}},
 ShowCellBracket->False,
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJztnVuSozgWQDNiPqa3MJ+zpVlCbaB3WlGVNV9dvYH6TQRUph/ZGIHQmwvG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   "], {{0, 0}, {1800, 25}}, {0, 255},
   ColorFunction->RGBColor],
  ImageSize->{1800, 25},
  PlotRange->{{0, 1800}, {0, 25}}]], "Section",
 CellFrame->{{0, 0}, {0, 0}},
 ShowCellBracket->False],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Phi]", "=", "1.618"}], ";", " ", 
    RowBox[{"\[Alpha]", "=", 
     RowBox[{"ArcTan", "[", "\[Phi]", "]"}]}], ";", 
    RowBox[{"\[Beta]", "=", 
     RowBox[{"ArcTan", "[", 
      RowBox[{"1", "/", "\[Phi]"}], "]"}]}], ";", 
    RowBox[{"\[Beta]1", "=", 
     RowBox[{"ArcTan", "[", 
      RowBox[{"1", "/", 
       RowBox[{"\[Phi]", "^", "2"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"h", "=", 
     RowBox[{"2", " ", "\[Phi]", " ", 
      RowBox[{"Sin", "[", "\[Alpha]", "]"}]}]}], ";", 
    RowBox[{"b", "=", 
     RowBox[{"2", " ", "\[Phi]", " ", 
      RowBox[{"Cos", "[", "\[Alpha]", "]"}]}]}], ";", 
    RowBox[{"d", "=", 
     RowBox[{"b", "/", " ", 
      RowBox[{"Cos", "[", 
       RowBox[{"Pi", "/", "5"}], "]"}]}]}], ";", 
    RowBox[{"f", "=", 
     RowBox[{"1", "/", 
      RowBox[{"Tan", "[", 
       RowBox[{"Pi", "/", "5"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vO", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], ";", 
    RowBox[{"vP", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "/", "2"}], ",", "0", ",", 
       RowBox[{"h", "/", "2"}]}], "}"}]}], ";", 
    RowBox[{"vQ", "=", 
     RowBox[{"{", 
      RowBox[{"f", ",", "1", ",", "h"}], "}"}]}], ";", 
    RowBox[{"vR", "=", 
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"-", "1"}], ",", "h"}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vS", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"2", "f"}], "-", 
        RowBox[{"d", "/", "2"}]}], ",", "0", ",", 
       RowBox[{"3", 
        RowBox[{"h", "/", "2"}]}]}], "}"}]}], ";", 
    RowBox[{"vT", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"d", "/", "2"}], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"Pi", "/", "10"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"d", "/", "2"}], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"Pi", "/", "10"}], "]"}]}], ",", 
       RowBox[{"h", "/", "2"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"pol1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.3", ",", "1", ",", "0.7"}], "]"}], ",", 
       RowBox[{"Polygon", "[", 
        RowBox[{"{", 
         RowBox[{"vO", ",", "vP", ",", "vQ", ",", "vT"}], "}"}], "]"}]}], 
      "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"pol2", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vP", ",", "vQ", ",", "vS", ",", "vR"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"pz1", "=", 
     RowBox[{"Translate", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Rotate", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"pol1", ",", "pol2"}], "}"}], ",", 
           RowBox[{"i", " ", "2", 
            RowBox[{"Pi", "/", "5"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "5"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "up1"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"pz2", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Specularity", "[", "0.6", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.5", ",", "0.3", ",", "0"}], "]"}], ",", 
       RowBox[{"Rotate", "[", 
        RowBox[{
         RowBox[{"{", "pz1", "}"}], ",", " ", "Pi", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", 
           RowBox[{
            RowBox[{"5", 
             RowBox[{"h", "/", "4"}]}], "+", "up1", "+", "up2"}]}], "}"}]}], 
        "]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"pz5", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{
         RowBox[{"Rotate", "[", 
          RowBox[{
           RowBox[{"Rotate", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"pz1", ",", "pz2"}], "}"}], ",", "Pi", ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
           RowBox[{
            RowBox[{"-", "2"}], "\[Beta]"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], ",", 
         RowBox[{"i", " ", "2", 
          RowBox[{"Pi", "/", "5"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "n"}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"pz6", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"pz1", ",", "pz2", ",", "pz5"}], "}"}], ",", "Pi", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"dod", "=", 
     RowBox[{"{", 
      RowBox[{"Yellow", ",", 
       RowBox[{"Opacity", "[", "op", "]"}], ",", 
       RowBox[{"Scale", "[", 
        RowBox[{
         RowBox[{"Rotate", "[", 
          RowBox[{
           RowBox[{"PolyhedronData", "[", 
            RowBox[{"\"\<Dodecahedron\>\"", ",", "\"\<Faces\>\""}], "]"}], 
           ",", " ", 
           RowBox[{"Pi", "/", "5"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
         RowBox[{"aff", " ", 
          RowBox[{"2", "/", "\[Phi]"}], 
          RowBox[{"{", 
           RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"pz1", ",", "pz2", ",", "pz5", ",", 
        RowBox[{"If", "[", 
         RowBox[{"pz6s", ",", "pz6", ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", "dod"}], "}"}], ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
      RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
      RowBox[{"ViewAngle", "\[Rule]", "0.045"}], ",", 
      RowBox[{"ViewPoint", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"7", ",", "20", ",", "0"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "400"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "9"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"op", ",", "1", ",", "\"\<opacity of dodecahedron\>\""}], "}"}],
      ",", "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"up1", ",", "0", ",", "\"\<move polar zonohedron\>\""}], "}"}], 
     ",", "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"up2", ",", "0", ",", "\"\<move half polar zonohedron\>\""}], 
      "}"}], ",", "0", ",", "0.5"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"aff", ",", "1", ",", "\"\<dodecahedron size\>\""}], "}"}], ",",
      "1", ",", "3"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", "\"\<show lateral polar zonohedra\>\""}], 
      "}"}], ",", "0", ",", "5", ",", "1", ",", "RadioButton"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pz6s", ",", "False", ",", "\"\<show lower half\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4289910743125*^9, 3.42899112103125*^9}, {
   3.428991153609375*^9, 3.428991444953125*^9}, {3.428991479609375*^9, 
   3.428991566796875*^9}, {3.42899163740625*^9, 3.42899185459375*^9}, {
   3.428991909*^9, 3.428991910296875*^9}, {3.428992041171875*^9, 
   3.428992064953125*^9}, {3.428992110921875*^9, 3.4289922050625*^9}, {
   3.428992237484375*^9, 3.4289923315*^9}, {3.4289923623125*^9, 
   3.4289923960625*^9}, {3.42899244915625*^9, 3.42899251503125*^9}, {
   3.428992580671875*^9, 3.42899259325*^9}, {3.42899301796875*^9, 
   3.42899307303125*^9}, {3.4289931524375*^9, 3.428993153734375*^9}, {
   3.428993265140625*^9, 3.4289932943125*^9}, {3.42899340028125*^9, 
   3.428993430015625*^9}, {3.42899347721875*^9, 3.42899350409375*^9}, {
   3.42899354440625*^9, 3.42899381321875*^9}, 3.428993850765625*^9, {
   3.4289938893125*^9, 3.42899394065625*^9}, {3.42899399815625*^9, 
   3.42899405453125*^9}, {3.42899413703125*^9, 3.428994170078125*^9}, {
   3.428994233015625*^9, 3.428994272375*^9}, {3.4289943264375*^9, 
   3.428994338390625*^9}, {3.42899441565625*^9, 3.428994431015625*^9}, {
   3.42899446421875*^9, 3.428994484171875*^9}, {3.42899502153125*^9, 
   3.42899504084375*^9}, {3.42899510428125*^9, 3.428995120421875*^9}, {
   3.428995174390625*^9, 3.42899517540625*^9}, {3.428995221078125*^9, 
   3.428995310359375*^9}, {3.428995356640625*^9, 3.428995427796875*^9}, 
   3.4289961488125*^9, {3.428996409140625*^9, 3.42899641121875*^9}, {
   3.428996649125*^9, 3.42899665921875*^9}, {3.428996696171875*^9, 
   3.42899669825*^9}, {3.42899675584375*^9, 3.42899676803125*^9}, {
   3.42899680321875*^9, 3.428996829734375*^9}, {3.428996884671875*^9, 
   3.428996940328125*^9}, {3.428996985578125*^9, 3.4289969978125*^9}, {
   3.428997102484375*^9, 3.42899713215625*^9}, {3.428997170203125*^9, 
   3.42899721775*^9}, {3.42899730340625*^9, 3.42899737259375*^9}, {
   3.428997409625*^9, 3.428997412265625*^9}, {3.42899758040625*^9, 
   3.428997582*^9}, {3.4289978189375*^9, 3.428997875859375*^9}, {
   3.42899792034375*^9, 3.42899794953125*^9}, {3.4289980818125*^9, 
   3.42899812634375*^9}, {3.428998170140625*^9, 3.428998233046875*^9}, {
   3.42899826640625*^9, 3.4289982931875*^9}, {3.428998357578125*^9, 
   3.428998358453125*^9}, {3.428998424578125*^9, 3.428998446578125*^9}, {
   3.42900939971875*^9, 3.429009420921875*^9}, {3.429009490453125*^9, 
   3.429009491390625*^9}, 3.429011035984375*^9, {3.4290170109916406`*^9, 
   3.429017023210234*^9}, 3.429353734299783*^9, 3.429353801956033*^9, 
   3.537647305464123*^9},
 CellID->90549550],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`aff$$ = 1, $CellContext`n$$ = 
    5, $CellContext`op$$ = 1, $CellContext`pz6s$$ = True, $CellContext`up1$$ =
     0, $CellContext`up2$$ = 0., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`op$$], 1, "opacity of dodecahedron"}, 0, 1}, {{
       Hold[$CellContext`up1$$], 0, "move polar zonohedron"}, 0, 1}, {{
       Hold[$CellContext`up2$$], 0, "move half polar zonohedron"}, 0, 0.5}, {{
       Hold[$CellContext`aff$$], 1, "dodecahedron size"}, 1, 3}, {{
       Hold[$CellContext`n$$], 0, "show lateral polar zonohedra"}, 0, 5, 1}, {{
       Hold[$CellContext`pz6s$$], False, "show lower half"}, {False, True}}}, 
    Typeset`size$$ = {400., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`op$18176$$ = 0, $CellContext`up1$18177$$ = 
    0, $CellContext`up2$18178$$ = 0, $CellContext`aff$18179$$ = 
    0, $CellContext`n$18180$$ = 0, $CellContext`pz6s$18181$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`aff$$ = 1, $CellContext`n$$ = 
        0, $CellContext`op$$ = 1, $CellContext`pz6s$$ = 
        False, $CellContext`up1$$ = 0, $CellContext`up2$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`op$$, $CellContext`op$18176$$, 0], 
        Hold[$CellContext`up1$$, $CellContext`up1$18177$$, 0], 
        Hold[$CellContext`up2$$, $CellContext`up2$18178$$, 0], 
        Hold[$CellContext`aff$$, $CellContext`aff$18179$$, 0], 
        Hold[$CellContext`n$$, $CellContext`n$18180$$, 0], 
        Hold[$CellContext`pz6s$$, $CellContext`pz6s$18181$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`\[Phi] = 1.618; $CellContext`\[Alpha] = 
        ArcTan[$CellContext`\[Phi]]; $CellContext`\[Beta] = 
        ArcTan[1/$CellContext`\[Phi]]; $CellContext`\[Beta]1 = 
        ArcTan[1/$CellContext`\[Phi]^2]; $CellContext`h = 
        2 $CellContext`\[Phi] Sin[$CellContext`\[Alpha]]; $CellContext`b = 
        2 $CellContext`\[Phi] 
         Cos[$CellContext`\[Alpha]]; $CellContext`d = $CellContext`b/Cos[
         Pi/5]; $CellContext`f = 
        1/Tan[Pi/5]; $CellContext`vO = {0, 0, 
         0}; $CellContext`vP = {$CellContext`d/2, 0, $CellContext`h/
          2}; $CellContext`vQ = {$CellContext`f, 
          1, $CellContext`h}; $CellContext`vR = {$CellContext`f, -1, \
$CellContext`h}; $CellContext`vS = {
         2 $CellContext`f - $CellContext`d/2, 0, 
          3 ($CellContext`h/2)}; $CellContext`vT = {($CellContext`d/2) 
          Sin[Pi/10], ($CellContext`d/2) Cos[Pi/10], $CellContext`h/
          2}; $CellContext`pol1 = {
          RGBColor[0.3, 1, 0.7], 
          
          Polygon[{$CellContext`vO, $CellContext`vP, $CellContext`vQ, \
$CellContext`vT}]}; $CellContext`pol2 = 
        Polygon[{$CellContext`vP, $CellContext`vQ, $CellContext`vS, \
$CellContext`vR}]; $CellContext`pz1 = Translate[
          Table[
           
           Rotate[{$CellContext`pol1, $CellContext`pol2}, $CellContext`i 
            2 (Pi/5), {0, 0, 1}], {$CellContext`i, 5}], {
          0, 0, $CellContext`up1$$}]; $CellContext`pz2 = {
          Specularity[0.6], 
          RGBColor[0.5, 0.3, 0], 
          
          Rotate[{$CellContext`pz1}, Pi, {0, 1, 0}, {
           0, 0, 5 ($CellContext`h/
              4) + $CellContext`up1$$ + $CellContext`up2$$}]}; \
$CellContext`pz5 = Table[
          Rotate[
           Rotate[
            
            Rotate[{$CellContext`pz1, $CellContext`pz2}, Pi, {0, 0, 
             1}], (-2) $CellContext`\[Beta], {0, 1, 0}], $CellContext`i 
           2 (Pi/5), {0, 0, 
           1}], {$CellContext`i, $CellContext`n$$}]; $CellContext`pz6 = 
        Rotate[{$CellContext`pz1, $CellContext`pz2, $CellContext`pz5}, Pi, {0,
           1, 0}]; $CellContext`dod = {Yellow, 
          Opacity[$CellContext`op$$], 
          Scale[
           Rotate[
            PolyhedronData["Dodecahedron", "Faces"], Pi/5, {0, 0, 
            1}], $CellContext`aff$$ (2/$CellContext`\[Phi]) {1, 1, 1}, {0, 0, 
           0}]}; Graphics3D[{$CellContext`pz1, $CellContext`pz2, \
$CellContext`pz5, 
          If[$CellContext`pz6s$$, $CellContext`pz6, {}], $CellContext`dod}, 
         Boxed -> False, SphericalRegion -> True, ViewAngle -> 0.045, 
         ViewPoint -> {7, 20, 0}, ImageSize -> 400, PlotRange -> 9]), 
      "Specifications" :> {{{$CellContext`op$$, 1, "opacity of dodecahedron"},
          0, 1}, {{$CellContext`up1$$, 0, "move polar zonohedron"}, 0, 
         1}, {{$CellContext`up2$$, 0, "move half polar zonohedron"}, 0, 
         0.5}, {{$CellContext`aff$$, 1, "dodecahedron size"}, 1, 
         3}, {{$CellContext`n$$, 0, "show lateral polar zonohedra"}, 0, 5, 1, 
         ControlType -> 
         RadioButton}, {{$CellContext`pz6s$$, False, "show lower half"}, {
         False, True}}}, "Options" :> {TrackedSymbols -> Manipulate}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{445., {300., 305.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.540832734734375*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["CAPTION", "Section",
 CellFrame->{{0, 0}, {1, 0}},
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 FontFamily->"Helvetica",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell["\<\
A triangle determined by an edge and the center of a dodecahedron is half of \
a rhombus, with diagonal ratio equal to the square of the golden ratio. Based \
on this relationship, polar zonohedra can be built on each face of the \
dodecahedron. \
\>", "Text"],

Cell[TextData[{
 "The diagonal ratio of the second rhombus of the polar zonohedron is ",
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]], "InlineMath"],
 ". "
}], "Text"],

Cell["\<\
This assembly can be built with Zometool using yellow struts.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 0}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell[TextData[{
 "\[NonBreakingSpace]",
 ButtonBox["S\[AAcute]ndor Kabai",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=S%E1ndor+Kabai"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=S%E1ndor+Kabai"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "\"",
 ButtonBox["Polar Zonohedron Built on a Dodecahedron",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
PolarZonohedronBuiltOnADodecahedron/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/PolarZonohedronBuiltOnADodecahedron/"],
 "\"",
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
PolarZonohedronBuiltOnADodecahedron/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
PolarZonohedronBuiltOnADodecahedron/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/PolarZonohedronBuiltOnADodecahedron/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 "Published: ",
 "September 2, 2008"
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[1, 1, 1]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PolarZonohedronBuiltOnADodecahedron"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
CellInsertionPointCell->None,
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Polar Zonohedron Built on a Dodecahedron - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[620, 21, 160, 3, 66, "Section"],
Cell[CellGroupData[{
Cell[805, 28, 3700, 64, 37, "Section"],
Cell[CellGroupData[{
Cell[4530, 96, 10376, 252, 552, "Input",
 CellID->90549550],
Cell[14909, 350, 5774, 110, 622, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[20732, 466, 209, 6, 62, "Section"],
Cell[20944, 474, 270, 5, 70, "Text"],
Cell[21217, 481, 183, 6, 70, "Text"],
Cell[21403, 489, 85, 2, 70, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[21525, 496, 355, 9, 20, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[21883, 507, 422, 13, 19, "Text"],
Cell[22308, 522, 1119, 32, 64, "Text"],
Cell[23430, 556, 793, 24, 98, "Text"],
Cell[24226, 582, 1207, 33, 88, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 9S46#D1@7JcfBATgkhGLMkL5 *)
