(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     94638,       2011]
NotebookOptionsPosition[     93382,       1965]
NotebookOutlinePosition[     94035,       1990]
CellTagsIndexPosition[     93992,       1987]
WindowTitle->Four Kinds of Rhombic Polyhedra - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Four Kinds of Rhombic Polyhedra", "Section",
 CellFrame->{{0, 0}, {0, 0}},
 ShowCellBracket->False,
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJztnVuSozgWQDNiPqa3MJ+zpVlCbaB3WlGVNV9dvYH6TQRUph/ZGIHQmwvG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   "], {{0, 0}, {1800, 25}}, {0, 255},
   ColorFunction->RGBColor],
  ImageSize->{1800, 25},
  PlotRange->{{0, 1800}, {0, 25}}]], "Section",
 CellFrame->{{0, 0}, {0, 0}},
 ShowCellBracket->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"n1", ",", 
    RowBox[{"n1", " ", "dodeca"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Phi]", "=", "1.618"}], ";", " ", 
    RowBox[{"\[Alpha]", "=", 
     RowBox[{"ArcTan", "[", "\[Phi]", "]"}]}], ";", 
    RowBox[{"\[Beta]", "=", 
     RowBox[{"ArcTan", "[", 
      RowBox[{"1", "/", "\[Phi]"}], "]"}]}], ";", 
    RowBox[{"\[Beta]1", "=", 
     RowBox[{"ArcTan", "[", 
      RowBox[{"1", "/", 
       RowBox[{"\[Phi]", "^", "2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"e", "=", 
     RowBox[{"Sqrt", "[", "3", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vA", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "/", "\[Phi]"}], ",", "\[Phi]", ",", "0"}], "}"}]}], ";", 
    RowBox[{"vB", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"2", "\[Phi]"}], ",", "0"}], "}"}]}], ";", 
    RowBox[{"vC", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "/", "\[Phi]"}], ",", "\[Phi]", ",", "0"}], 
      "}"}]}], ";", 
    RowBox[{"vD", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vA1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "/", "\[Phi]"}], ",", 
       RowBox[{"\[Phi]", "+", 
        RowBox[{"1", "/", "\[Phi]"}]}], ",", "\[Phi]"}], "}"}]}], ";", 
    RowBox[{"vA2", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "/", "\[Phi]"}], ",", 
       RowBox[{"\[Phi]", "+", 
        RowBox[{"1", "/", "\[Phi]"}]}], ",", 
       RowBox[{"-", "\[Phi]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vA3", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "/", "\[Phi]"}], ",", 
       RowBox[{"\[Phi]", "+", 
        RowBox[{"2", " ", "/", "\[Phi]"}]}], ",", "0"}], "}"}]}], ";", 
    RowBox[{"vA4", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"2", 
        RowBox[{"(", 
         RowBox[{"\[Phi]", "+", 
          RowBox[{"1", "/", "\[Phi]"}]}], ")"}]}], ",", "0"}], "}"}]}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vA5", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{
        RowBox[{"2", "\[Phi]"}], "+", 
        RowBox[{"1", "/", "\[Phi]"}]}], ",", 
       RowBox[{"-", "\[Phi]"}]}], "}"}]}], ";", 
    RowBox[{"vB1", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{
        RowBox[{"2", "\[Phi]"}], "+", 
        RowBox[{"1", "/", "\[Phi]"}]}], ",", "\[Phi]"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vC1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "/", "\[Phi]"}], ",", 
       RowBox[{"\[Phi]", "+", 
        RowBox[{"1", "/", "\[Phi]"}]}], ",", "\[Phi]"}], "}"}]}], ";", 
    RowBox[{"vD1", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"1", "/", "\[Phi]"}], ",", "\[Phi]"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ss2", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vA1", ",", "vB1", ",", "vC1", ",", "vD1"}], "}"}], "]"}]}], 
    ";", 
    RowBox[{"ss3", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vA", ",", "vA1", ",", "vD1", ",", "vD"}], "}"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ss6", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vC", ",", "vD", ",", "vD1", ",", "vC1"}], "}"}], "]"}]}], ";", 
    RowBox[{"q1", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vA", ",", "vA1", ",", "vA3", ",", "vA2"}], "}"}], "]"}]}], 
    ";", 
    RowBox[{"q2", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vA1", ",", "vA3", ",", "vA4", ",", "vB1"}], "}"}], "]"}]}], 
    ";", 
    RowBox[{"q3", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vA2", ",", "vA3", ",", "vA4", ",", "vA5"}], "}"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n1", "=", 
     RowBox[{"{", 
      RowBox[{
      "ss2", ",", "ss3", ",", "ss6", ",", "q1", ",", "q2", ",", "q3"}], 
      "}"}]}], ";", 
    RowBox[{"n2", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{
       RowBox[{"{", "n1", "}"}], ",", "Pi", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "prolate", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Alpha]1", "=", 
     RowBox[{"ArcTan", "[", 
      RowBox[{"1", "/", 
       SqrtBox["2"]}], "]"}]}], ";", 
    RowBox[{"y1", "=", 
     SqrtBox["2"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"w", "=", 
     RowBox[{"1", "/", 
      RowBox[{"Tan", "[", 
       RowBox[{"Pi", "/", "3"}], "]"}]}]}], ";", 
    RowBox[{"\[Gamma]", "=", 
     RowBox[{"N", "[", 
      RowBox[{"ArcSin", "[", 
       RowBox[{"w", "/", "y1"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"z", "=", 
     RowBox[{"3", " ", "w", " ", 
      RowBox[{"Cos", "[", "\[Gamma]", "]"}]}]}], ";", 
    RowBox[{"\[Delta]", "=", 
     RowBox[{"ArcCos", "[", 
      RowBox[{"z", "/", "e"}], "]"}]}], ";", 
    RowBox[{"s", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"e", "^", "2"}], "-", 
       RowBox[{"z", "^", "2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"wA", "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", "y1", ",", "0"}], "}"}]}], ";", 
    RowBox[{"wB", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"2", "y1"}], ",", "0"}], "}"}]}], ";", 
    RowBox[{"wC", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "y1", ",", "0"}], "}"}]}], ";", 
    RowBox[{"wD", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"wAt", "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"y1", "+", "s"}], ",", "z"}], "}"}]}], ";", 
    RowBox[{"wBt", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{
        RowBox[{"2", "y1"}], "+", "s"}], ",", "z"}], "}"}]}], ";", 
    RowBox[{"wCt", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"y1", "+", "s"}], ",", "z"}], "}"}]}], ";", 
    RowBox[{"wDt", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "s", ",", "z"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"f1", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"wA", ",", "wB", ",", "wC", ",", "wD"}], "}"}], "]"}]}], ";", 
    RowBox[{"f2", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"wAt", ",", "wBt", ",", "wCt", ",", "wDt"}], "}"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"f3", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"wA", ",", "wB", ",", "wBt", ",", "wAt"}], "}"}], "]"}]}], ";", 
    RowBox[{"f4", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"wB", ",", "wC", ",", "wCt", ",", "wBt"}], "}"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"f5", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"wC", ",", "wD", ",", "wDt", ",", "wCt"}], "}"}], "]"}]}], ";",
     
    RowBox[{"f6", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"wA", ",", "wD", ",", "wDt", ",", "wAt"}], "}"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"k", "=", 
     RowBox[{"1", "/", 
      RowBox[{"Tan", "[", 
       RowBox[{"Pi", "/", "5"}], "]"}]}]}], ";", 
    RowBox[{"j", "=", 
     RowBox[{"ArcCos", "[", 
      RowBox[{"k", "/", "y1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", "new", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"s1", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vA", ",", "vB", ",", "vC", ",", "vD"}], "}"}], "]"}]}], ";", 
    RowBox[{"s2", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vA1", ",", "vB1", ",", "vC1", ",", "vD1"}], "}"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"s3", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vA", ",", "vA1", ",", "vD1", ",", "vD"}], "}"}], "]"}]}], ";", 
    RowBox[{"s4", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vA", ",", "vB", ",", "vB1", ",", "vA1"}], "}"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"s5", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vB", ",", "vC", ",", "vC1", ",", "vB1"}], "}"}], "]"}]}], ";", 
    RowBox[{"s6", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"vC", ",", "vD", ",", "vD1", ",", "vC1"}], "}"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.428204815381365*^9, 3.4282048414588623`*^9}},
 CellID->317332],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"dod", "=", 
     RowBox[{"Translate", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{
         RowBox[{"Rotate", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"n1", ",", "n2"}], "}"}], ",", 
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], ",", 
         RowBox[{"Pi", "/", "2"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Phi]", "+", 
          RowBox[{"1", "/", "\[Phi]"}]}], ",", 
         RowBox[{"\[Phi]", "+", 
          RowBox[{"1", "/", "\[Phi]"}]}], ",", 
         RowBox[{"\[Phi]", "+", 
          RowBox[{"1", "/", "\[Phi]"}], "+", "movedod"}]}], "}"}]}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"p2", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.4", ",", "0.6", ",", "0.2"}], "]"}], ",", 
       RowBox[{"Translate", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "f1", ",", "f2", ",", "f3", ",", "f4", ",", "f5", ",", "f6"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "movepr", ",", 
           RowBox[{"-", "movepr"}]}], "}"}]}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"rdn", "=", 
     RowBox[{"Translate", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{
         RowBox[{"Rotate", "[", 
          RowBox[{
           RowBox[{"Scale", "[", 
            RowBox[{
             RowBox[{"PolyhedronData", "[", 
              RowBox[{"\"\<RhombicDodecahedron\>\"", ",", "\"\<Faces\>\""}], 
              "]"}], ",", 
             RowBox[{
              SqrtBox["3"], 
              RowBox[{"{", 
               RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
           RowBox[{"Pi", "/", "4"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
         RowBox[{"Pi", "/", "4"}], " ", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"y1", "+", "s", "+", "moverd"}], ",", 
         RowBox[{"z", "+", "y1"}]}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"p25", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{
         RowBox[{"Rotate", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"RGBColor", "[", 
                RowBox[{"0.3", ",", "1", ",", "1"}], "]"}], ",", "rdn"}], 
              "}"}], ",", "p2"}], "}"}], ",", 
           RowBox[{
            RowBox[{"-", "j"}], "+", "Pi"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
         RowBox[{"i", " ", "2", 
          RowBox[{"Pi", "/", "5"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "5"}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"new", "=", 
     RowBox[{"Translate", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Yellow", ",", 
         RowBox[{"{", 
          RowBox[{
          "s1", ",", "s2", ",", "s3", ",", "s4", ",", "s5", ",", "s6"}], 
          "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "movec"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"new5", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{
         RowBox[{"Rotate", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"dod", ",", "new"}], "}"}], ",", 
           RowBox[{"-", " ", "\[Alpha]"}], " ", ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
         RowBox[{"i", " ", "2", 
          RowBox[{"Pi", "/", "5"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "5"}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"new5", ",", "p25"}], "}"}], ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
      RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "360"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "360"}], ",", 
      RowBox[{"ViewAngle", "\[Rule]", "0.26"}], ",", 
      RowBox[{"ViewPoint", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"3", ",", 
         RowBox[{"-", "2"}], ",", "3"}], "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5"}], ",", "3"}], "}"}]}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"movedod", ",", "0", ",", "\"\<move dodecahedra\>\""}], "}"}], 
     ",", "0", ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"movepr", ",", "0", ",", "\"\<move prolate rhombohedra\>\""}], 
      "}"}], ",", "0", ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"movec", ",", "0", ",", "\"\<move central rhombohedra\>\""}], 
      "}"}], ",", "0", ",", "2.5"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"moverd", ",", "0", ",", "\"\<move rhombic dodecahedra\>\""}], 
      "}"}], ",", "0", ",", "1.5"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4272700508026257`*^9, 3.427270134703269*^9}, {
   3.4272701735891843`*^9, 3.4272702852096868`*^9}, {3.4272703216921463`*^9, 
   3.42727057665877*^9}, {3.427270713084941*^9, 3.4272707146171446`*^9}, {
   3.4272708608273845`*^9, 3.4272709426049747`*^9}, 3.42727103782189*^9, {
   3.4272710752256737`*^9, 3.4272711351218004`*^9}, {3.4272711847731953`*^9, 
   3.427271226673445*^9}, {3.4272712650586405`*^9, 3.427271397969757*^9}, {
   3.4272715262041492`*^9, 3.4272715851489077`*^9}, {3.4272716920225844`*^9, 
   3.427271761963154*^9}, {3.4272718020307684`*^9, 3.42727180276182*^9}, {
   3.42779838318548*^9, 3.4277983910267553`*^9}, {3.427798541292827*^9, 
   3.427798610812792*^9}, {3.4277986447916512`*^9, 3.427798647335309*^9}, {
   3.4277988478436255`*^9, 3.4277988610826626`*^9}, {3.4277989504411535`*^9, 
   3.4277989509218445`*^9}, {3.4277990035274878`*^9, 
   3.4277990668885965`*^9}, {3.4277993111197844`*^9, 
   3.4277993200726576`*^9}, {3.4278011162754707`*^9, 
   3.4278011894607058`*^9}, {3.427801796623763*^9, 3.427801842179269*^9}, {
   3.427802848506296*^9, 3.4278028622861104`*^9}, {3.4278029379749455`*^9, 
   3.427803035615346*^9}, {3.427803069093485*^9, 3.4278030700849104`*^9}, {
   3.4278090166502256`*^9, 3.4278090284672174`*^9}, {3.427809068354573*^9, 
   3.427809201806467*^9}, {3.42780923187971*^9, 3.4278093021307263`*^9}, {
   3.427809369697883*^9, 3.4278094987133985`*^9}, {3.4278095529013166`*^9, 
   3.42780956945512*^9}, 3.427809644913624*^9, {3.427809768461277*^9, 
   3.427809771425539*^9}, {3.427809948530203*^9, 3.4278099559909315`*^9}, {
   3.4278100609718866`*^9, 3.4278100961124163`*^9}, 3.427810149889744*^9, {
   3.4278103539531727`*^9, 3.4278104621687794`*^9}, {3.427810500013197*^9, 
   3.4278105709552064`*^9}, {3.427810602790984*^9, 3.4278106043832736`*^9}, 
   3.427810724736333*^9, {3.427810792423662*^9, 3.4278109232217407`*^9}, {
   3.4278109735841584`*^9, 3.4278109807444544`*^9}, {3.42781101244003*^9, 
   3.427811028222725*^9}, {3.4278115002214255`*^9, 3.42781153828616*^9}, 
   3.4278115825698366`*^9, {3.4278116199535923`*^9, 3.427811704204739*^9}, {
   3.4278117417587395`*^9, 3.42781175860296*^9}, {3.4278118301959057`*^9, 
   3.4278120742568483`*^9}, {3.427812115015456*^9, 3.4278122014998145`*^9}, {
   3.427812257189893*^9, 3.4278122700784254`*^9}, {3.4278125960070877`*^9, 
   3.4278126458988285`*^9}, {3.4278128331881375`*^9, 3.4278128365329475`*^9}, 
   3.4278128869854946`*^9, 3.427812974551408*^9, {3.427813036310213*^9, 
   3.427813190712232*^9}, 3.4278132424466224`*^9, {3.4278132763653955`*^9, 
   3.4278133295618877`*^9}, {3.4278133788828077`*^9, 3.427813409777232*^9}, {
   3.427813474991005*^9, 3.427813477474576*^9}, {3.427813715637037*^9, 
   3.4278137656289215`*^9}, {3.4278138781306915`*^9, 3.427813882206552*^9}, {
   3.4278614298078156`*^9, 3.427861432371502*^9}, 3.427861464878244*^9, {
   3.427862135632742*^9, 3.427862158796049*^9}, {3.427862198403001*^9, 
   3.4278622680431385`*^9}, {3.4278623617779226`*^9, 3.427862393483513*^9}, {
   3.4278630676529207`*^9, 3.427863089013636*^9}, 3.427863212841692*^9, {
   3.42786334473134*^9, 3.427863513954671*^9}, {3.4278635787778826`*^9, 
   3.4278635796691637`*^9}, {3.427863612987073*^9, 3.4278636267068005`*^9}, {
   3.4278736786489167`*^9, 3.4278736839265056`*^9}, {3.4278738584674835`*^9, 
   3.427873957259539*^9}, {3.4278744073367186`*^9, 3.427874446402893*^9}, {
   3.4278745546084847`*^9, 3.4278745779820943`*^9}, {3.427874739324093*^9, 
   3.427874752553115*^9}, {3.4278748531377487`*^9, 3.4278748908019075`*^9}, {
   3.427874955935565*^9, 3.427874973260477*^9}, {3.427875010353814*^9, 
   3.4278750227916994`*^9}, 3.4278750558191905`*^9, 3.4278750895677185`*^9, {
   3.4278751291646557`*^9, 3.427875165056266*^9}, {3.4278751993555856`*^9, 
   3.427875229288627*^9}, {3.4278755354889216`*^9, 3.427875630625722*^9}, {
   3.4278757367983904`*^9, 3.427875797395525*^9}, {3.4278758303829584`*^9, 
   3.427875846436042*^9}, {3.4278758780314736`*^9, 3.4278758808054624`*^9}, {
   3.4278759117599726`*^9, 3.4278759498347216`*^9}, {3.42787604107592*^9, 
   3.4278760692964993`*^9}, {3.427876128081027*^9, 3.427876129773461*^9}, {
   3.4278761748382607`*^9, 3.4278761878069086`*^9}, {3.4278767209034643`*^9, 
   3.427876727382781*^9}, {3.4278767790871277`*^9, 3.427876820316413*^9}, {
   3.4278768619663024`*^9, 3.427876887312749*^9}, 3.4278769192987423`*^9, {
   3.427877239929787*^9, 3.4278772580458364`*^9}, {3.427877340324147*^9, 
   3.4278773670926385`*^9}, {3.42787785183967*^9, 3.4278778525707216`*^9}, {
   3.4279469821977262`*^9, 3.4279470765233603`*^9}, {3.427947176437029*^9, 
   3.42794718133407*^9}, {3.4279472178565874`*^9, 3.427947244785309*^9}, {
   3.42794747794057*^9, 3.4279475371757455`*^9}, {3.4279475756110125`*^9, 
   3.4279475773535185`*^9}, {3.4279476823144445`*^9, 
   3.4279476888738766`*^9}, {3.4279478549526863`*^9, 3.427947864676669*^9}, {
   3.4279478996269245`*^9, 3.4279479124854145`*^9}, {3.427948101757574*^9, 
   3.427948124790694*^9}, {3.4279485406686974`*^9, 3.427948548369771*^9}, {
   3.427948614134336*^9, 3.4279486235979443`*^9}, {3.42794873315548*^9, 
   3.427948741096899*^9}, {3.427948854900541*^9, 3.4279488596774096`*^9}, {
   3.4279576229569693`*^9, 3.4279576401016226`*^9}, {3.4279576836242046`*^9, 
   3.4279576892723265`*^9}, {3.4279577267762547`*^9, 3.427957765471896*^9}, {
   3.4279578198100305`*^9, 3.427957846888968*^9}, {3.4279578778534927`*^9, 
   3.427958013097965*^9}, {3.427958104158904*^9, 3.4279581519876785`*^9}, {
   3.427958200707734*^9, 3.427958245882693*^9}, {3.4279583497019777`*^9, 
   3.427958357913786*^9}, {3.4279583884577055`*^9, 3.427958413373533*^9}, {
   3.427958476514325*^9, 3.4279585389741373`*^9}, {3.427958689730915*^9, 
   3.4279587047124577`*^9}, {3.427958744109107*^9, 3.4279587741322784`*^9}, {
   3.427958809402995*^9, 3.42795885914452*^9}, 3.4279589006241646`*^9, {
   3.427958948322752*^9, 3.4279589519780083`*^9}, {3.427959028407909*^9, 
   3.4279590354680605`*^9}, 3.427959104727651*^9, {3.427959172795528*^9, 
   3.4279592661397505`*^9}, {3.4279593225508657`*^9, 3.427959367845997*^9}, {
   3.4279595548448877`*^9, 3.4279595618249245`*^9}, {3.427960263463832*^9, 
   3.427960264685589*^9}, {3.427960314717531*^9, 3.42796031908381*^9}, {
   3.427960437534133*^9, 3.427960439486941*^9}, 3.427960541333389*^9, {
   3.427975439558784*^9, 3.4279754752701344`*^9}, {3.427978092803963*^9, 
   3.4279780985622435`*^9}, {3.4279781307184815`*^9, 3.427978151928981*^9}, {
   3.427978213547584*^9, 3.427978333790485*^9}, {3.4279788584048433`*^9, 
   3.4279789417246513`*^9}, {3.4279789840955777`*^9, 3.427978985687867*^9}, 
   3.4279790968477073`*^9, {3.4279791717153616`*^9, 3.427979172676744*^9}, {
   3.427979863630286*^9, 3.427979867555931*^9}, {3.428024831880763*^9, 
   3.4280248591299458`*^9}, {3.4280252151218367`*^9, 
   3.4280252948965473`*^9}, {3.4280273778717184`*^9, 3.428027404860526*^9}, {
   3.4280277047717776`*^9, 3.4280277673417487`*^9}, {3.428028671141349*^9, 
   3.4280286768996286`*^9}, {3.4280287975531197`*^9, 3.428028819664915*^9}, {
   3.428029032661189*^9, 3.428029064757341*^9}, {3.428030012269797*^9, 
   3.4280300342313757`*^9}, 3.4280300868470335`*^9, {3.428030687100155*^9, 
   3.4280306887925887`*^9}, {3.4280313755000257`*^9, 3.4280315666048207`*^9}, 
   3.4280316212734303`*^9, {3.4280317660215683`*^9, 3.428031779060317*^9}, {
   3.4280337338272734`*^9, 3.428033796647605*^9}, {3.428033839519251*^9, 
   3.4280338533190947`*^9}, {3.428033904332448*^9, 3.4280339218175907`*^9}, {
   3.42803399200852*^9, 3.4280340843613167`*^9}, {3.4280342177531247`*^9, 
   3.428034229379843*^9}, {3.428034263518933*^9, 3.428034338196314*^9}, {
   3.428034374258168*^9, 3.4280343810779743`*^9}, {3.428034446261704*^9, 
   3.428034448995635*^9}, {3.428034563480256*^9, 3.428034768194621*^9}, {
   3.428034876169882*^9, 3.428034888677867*^9}, {3.4280349844255457`*^9, 
   3.4280349855671873`*^9}, {3.4280350251641245`*^9, 3.428035102214918*^9}, {
   3.4280351989139647`*^9, 3.428035245781357*^9}, {3.428035579991928*^9, 
   3.428035618457238*^9}, {3.4280356601371713`*^9, 3.428035739991997*^9}, 
   3.428035771737645*^9, {3.4280358063373966`*^9, 3.428035822360437*^9}, {
   3.4280358630890017`*^9, 3.4280359319680448`*^9}, {3.42803597802427*^9, 
   3.428036045541355*^9}, {3.42803608993519*^9, 3.428036124554971*^9}, {
   3.4280361846513853`*^9, 3.428036219942131*^9}, {3.428036276603606*^9, 
   3.428036365661666*^9}, {3.428036399330078*^9, 3.42803644854084*^9}, {
   3.4280364838516145`*^9, 3.4280364886184688`*^9}, 3.4280365255315475`*^9, {
   3.4280365975851555`*^9, 3.428036639415304*^9}, {3.428036724387488*^9, 
   3.4280367326493683`*^9}, {3.4280367765224543`*^9, 3.428036789751477*^9}, {
   3.428036854134054*^9, 3.4280368881529713`*^9}, {3.428036978983579*^9, 
   3.4280369847819166`*^9}, {3.4280370462202606`*^9, 
   3.4280370674507885`*^9}, {3.428037098645645*^9, 3.4280371227703342`*^9}, 
   3.428037295438619*^9, {3.428042626995021*^9, 3.4280426291681457`*^9}, {
   3.428042857456408*^9, 3.4280428723678493`*^9}, {3.428042906176464*^9, 
   3.4280429971773167`*^9}, {3.4280430326583357`*^9, 3.428043038256386*^9}, {
   3.4280431270841136`*^9, 3.4280431756239104`*^9}, {3.4280432205485086`*^9, 
   3.4280433190801907`*^9}, {3.4280433518072495`*^9, 
   3.4280433894113216`*^9}, {3.4280435016727457`*^9, 
   3.4280435367832317`*^9}, {3.428044010193963*^9, 3.42804413199911*^9}, 
   3.4280447775073056`*^9, {3.4280449608509407`*^9, 3.4280450497687984`*^9}, {
   3.428052497864914*^9, 3.42805257093999*^9}, {3.4280526019445724`*^9, 
   3.4280527527113647`*^9}, {3.4280528516035647`*^9, 
   3.4280530475553293`*^9}, {3.428053192443669*^9, 3.4280532227772865`*^9}, {
   3.428053294790837*^9, 3.428053318985627*^9}, {3.4280534672888765`*^9, 
   3.4280535150976224`*^9}, 3.428058700113309*^9, {3.4280588174520335`*^9, 
   3.428058817842595*^9}, {3.428058857880166*^9, 3.428058862156315*^9}, {
   3.428058924265624*^9, 3.428058930104019*^9}, {3.4280591194663086`*^9, 
   3.428059122460614*^9}, {3.4280688964017615`*^9, 3.428068972401043*^9}, {
   3.4280690155731215`*^9, 3.428069081578032*^9}, {3.4280691287358418`*^9, 
   3.4280691806404767`*^9}, {3.428069241497986*^9, 3.428069243160376*^9}, {
   3.4280692785612803`*^9, 3.428069309385603*^9}, {3.4280694627160816`*^9, 
   3.4280696513272915`*^9}, {3.4280697093407106`*^9, 3.428069713887248*^9}, {
   3.428069758281083*^9, 3.428069857613917*^9}, {3.428069890671451*^9, 
   3.4280698922537265`*^9}, 3.4280699310394974`*^9, {3.4280701344920483`*^9, 
   3.428070136484914*^9}, {3.428070396298507*^9, 3.4280703973500195`*^9}, {
   3.4280704454291534`*^9, 3.4280704614722223`*^9}, {3.4280705448721457`*^9, 
   3.4280705777193775`*^9}, {3.428070732802376*^9, 3.428070775583893*^9}, {
   3.4280712068840723`*^9, 3.428071252519693*^9}, {3.4280721894068704`*^9, 
   3.4280721906286273`*^9}, {3.428072476349474*^9, 3.428072534713397*^9}, 
   3.4281141104559183`*^9, 3.4281141899402113`*^9, {3.428114246491528*^9, 
   3.4281143191359854`*^9}, {3.4281298473130913`*^9, 3.428129878658163*^9}, {
   3.428129928179371*^9, 3.428129987114115*^9}, {3.4281300367154384`*^9, 
   3.4281301112025456`*^9}, {3.428130170467765*^9, 3.4281301718898096`*^9}, {
   3.4281302054180207`*^9, 3.4281302241149054`*^9}, {3.428130256181014*^9, 
   3.428130256992181*^9}, {3.4281302951670732`*^9, 3.428130340832738*^9}, {
   3.42813043467768*^9, 3.4281304367606754`*^9}, {3.4281305154137726`*^9, 
   3.42813059365628*^9}, {3.428130624180171*^9, 3.428130663927325*^9}, {
   3.4281307283499603`*^9, 3.428130793844136*^9}, {3.4281308508861585`*^9, 
   3.428130875601698*^9}, {3.4281310059190845`*^9, 3.4281310841415634`*^9}, {
   3.4281311381492224`*^9, 3.428131236009939*^9}, {3.42813127914196*^9, 
   3.4281313942274446`*^9}, {3.4281315462961087`*^9, 3.428131656254221*^9}, 
   3.428131702520749*^9, {3.428131740905944*^9, 3.4281317927204494`*^9}, {
   3.4281329303062177`*^9, 3.4281329395394945`*^9}, {3.4281329746700096`*^9, 
   3.4281330112225695`*^9}, {3.4281331048572097`*^9, 
   3.4281331075110254`*^9}, {3.428133162249736*^9, 3.428133243997283*^9}, {
   3.428133306747514*^9, 3.428133342188475*^9}, {3.4281333993306417`*^9, 
   3.4281334705129967`*^9}, {3.428133585558424*^9, 3.428133660446107*^9}, {
   3.4281337396499968`*^9, 3.428133823750928*^9}, {3.4281338759660096`*^9, 
   3.4281339363928995`*^9}, {3.428133996929947*^9, 3.42813400205732*^9}, {
   3.4281340826732397`*^9, 3.428134145783989*^9}, {3.4281342075828514`*^9, 
   3.4281342733073587`*^9}, {3.428134309719717*^9, 3.428134427959738*^9}, {
   3.4281344642919807`*^9, 3.4281344812563744`*^9}, {3.42813451395339*^9, 
   3.428134565347291*^9}, {3.428136628273634*^9, 3.428136668571579*^9}, {
   3.4281984781689005`*^9, 3.42819856431277*^9}, {3.428198715490152*^9, 
   3.428198766313232*^9}, {3.428198855060845*^9, 3.4281988695717106`*^9}, {
   3.428199000179515*^9, 3.428199011555874*^9}, {3.4281990708411217`*^9, 
   3.428199161711787*^9}, {3.4281992095405617`*^9, 3.4281992341759853`*^9}, 
   3.4281992987488365`*^9, {3.428199345025379*^9, 3.428199460411296*^9}, {
   3.428199597999138*^9, 3.4281996858955264`*^9}, {3.4281997209959984`*^9, 
   3.4281997515899906`*^9}, {3.4281997853084755`*^9, 3.428199791267043*^9}, {
   3.428199834308934*^9, 3.4281998652133727`*^9}, {3.4281999348234673`*^9, 
   3.428199941823533*^9}, {3.4282001117578864`*^9, 3.4282001383160753`*^9}, {
   3.4282002327819104`*^9, 3.4282002538722367`*^9}, {3.4282003073891907`*^9, 
   3.428200309912819*^9}, {3.428200356810254*^9, 3.428200363519902*^9}, {
   3.428200426420349*^9, 3.4282004470900707`*^9}, {3.4282005643286514`*^9, 
   3.4282006079814205`*^9}, {3.4282006583638673`*^9, 
   3.4282006694097505`*^9}, {3.4282007132427793`*^9, 3.428200748193035*^9}, 
   3.4282007953408303`*^9, {3.428200864970954*^9, 3.4282010438882236`*^9}, {
   3.4282016501900434`*^9, 3.42820169722768*^9}, {3.4282028399007635`*^9, 
   3.428202900658128*^9}, {3.4282029946633005`*^9, 3.4282029988292913`*^9}, {
   3.4282030389870353`*^9, 3.428203086074744*^9}, {3.428203118952019*^9, 
   3.42820312127536*^9}, 3.4282032027525187`*^9, {3.4282032759577827`*^9, 
   3.428203305970939*^9}, {3.4282033878987455`*^9, 3.428203437249709*^9}, 
   3.4282035508530626`*^9, {3.4282036695036736`*^9, 3.4282036716767983`*^9}, 
   3.4282037067271986`*^9, {3.428203742769024*^9, 3.4282037466145535`*^9}, 
   3.4282040784116545`*^9, {3.4282041331603794`*^9, 3.4282041559831967`*^9}, {
   3.428204429556576*^9, 3.4282045616364975`*^9}, {3.4282046234453745`*^9, 
   3.4282046250176353`*^9}, {3.428204794451269*^9, 3.4282048690285053`*^9}, {
   3.4282050425079565`*^9, 3.428205042708245*^9}, {3.428206468939064*^9, 
   3.42820650573197*^9}, {3.428247487416832*^9, 3.428247488104438*^9}},
 CellID->92506325],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`movec$$ = 0, $CellContext`movedod$$ = 
    0, $CellContext`movepr$$ = 0, $CellContext`moverd$$ = 0, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`movedod$$], 0, "move dodecahedra"}, 0, 2}, {{
       Hold[$CellContext`movepr$$], 0, "move prolate rhombohedra"}, 0, 2}, {{
       Hold[$CellContext`movec$$], 0, "move central rhombohedra"}, 0, 2.5}, {{
       Hold[$CellContext`moverd$$], 0, "move rhombic dodecahedra"}, 0, 1.5}}, 
    Typeset`size$$ = {360., {178., 182.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`movedod$21068$$ = 0, $CellContext`movepr$21069$$ = 
    0, $CellContext`movec$21070$$ = 0, $CellContext`moverd$21071$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`movec$$ = 0, $CellContext`movedod$$ = 
        0, $CellContext`movepr$$ = 0, $CellContext`moverd$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`movedod$$, $CellContext`movedod$21068$$, 0], 
        Hold[$CellContext`movepr$$, $CellContext`movepr$21069$$, 0], 
        Hold[$CellContext`movec$$, $CellContext`movec$21070$$, 0], 
        Hold[$CellContext`moverd$$, $CellContext`moverd$21071$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`dod = Translate[
          Rotate[
           Rotate[{$CellContext`n1, $CellContext`n2}, Pi/2, {0, 1, 0}], Pi/
           2, {0, 0, 1}], {$CellContext`\[Phi] + 
           1/$CellContext`\[Phi], $CellContext`\[Phi] + 
           1/$CellContext`\[Phi], $CellContext`\[Phi] + 
           1/$CellContext`\[Phi] + $CellContext`movedod$$}]; $CellContext`p2 = {
          RGBColor[0.4, 0.6, 0.2], 
          
          Translate[{$CellContext`f1, $CellContext`f2, $CellContext`f3, \
$CellContext`f4, $CellContext`f5, $CellContext`f6}, {
           0, $CellContext`movepr$$, -$CellContext`movepr$$}]}; \
$CellContext`rdn = Translate[
          Rotate[
           Rotate[
            Scale[
             PolyhedronData["RhombicDodecahedron", "Faces"], 
             3^Rational[1, 2] {1, 1, 1}, {0, 0, 0}], Pi/4, {0, 0, 1}], Pi/4, {
           1, 0, 0}], {
          0, $CellContext`y1 + $CellContext`s + $CellContext`moverd$$, \
$CellContext`z + $CellContext`y1}]; $CellContext`p25 = Table[
          Rotate[
           Rotate[{{
              RGBColor[
              0.3, 1, 1], $CellContext`rdn}, $CellContext`p2}, \
-$CellContext`j + Pi, {1, 0, 0}], $CellContext`i 2 (Pi/5), {0, 0, 
           1}], {$CellContext`i, 5}]; $CellContext`new = 
        Translate[{
          Yellow, {$CellContext`s1, $CellContext`s2, $CellContext`s3, \
$CellContext`s4, $CellContext`s5, $CellContext`s6}}, {
          0, 0, $CellContext`movec$$}]; $CellContext`new5 = Table[
          Rotate[
           
           Rotate[{$CellContext`dod, $CellContext`new}, \
-$CellContext`\[Alpha], {1, 0, 0}], $CellContext`i 2 (Pi/5), {0, 0, 
           1}], {$CellContext`i, 5}]; 
       Graphics3D[{$CellContext`new5, $CellContext`p25}, Boxed -> False, 
         SphericalRegion -> True, ImageSize -> 360, ImageSize -> 360, 
         ViewAngle -> 0.26, ViewPoint -> {3, -2, 3}, 
         PlotRange -> {{-6, 6}, {-6, 6}, {-5, 3}}]), 
      "Specifications" :> {{{$CellContext`movedod$$, 0, "move dodecahedra"}, 
         0, 2}, {{$CellContext`movepr$$, 0, "move prolate rhombohedra"}, 0, 
         2}, {{$CellContext`movec$$, 0, "move central rhombohedra"}, 0, 
         2.5}, {{$CellContext`moverd$$, 0, "move rhombic dodecahedra"}, 0, 
         1.5}}, "Options" :> {TrackedSymbols -> Manipulate}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{405., {263., 268.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`dod = Translate[
         Rotate[
          Rotate[{{
             
             Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
               0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
               2.2360469715698392`, 1.618}, {0, 0.6180469715698392, 1.618}}], 
             
             Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392, 
               2.2360469715698392`, 1.618}, {0, 0.6180469715698392, 1.618}, {
               0, 0, 0}}], 
             
             Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
               0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
               2.2360469715698392`, 1.618}}], 
             
             Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392, 
               2.2360469715698392`, 1.618}, {
               0.6180469715698392, 2.8540939431396786`, 0}, {
               0.6180469715698392, 2.2360469715698392`, -1.618}}], 
             
             Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
               0.6180469715698392, 2.8540939431396786`, 0}, {
               0, 4.4720939431396785`, 0}, {0, 3.8540469715698396`, 1.618}}], 
             
             Polygon[{{0.6180469715698392, 2.2360469715698392`, -1.618}, {
               0.6180469715698392, 2.8540939431396786`, 0}, {
               0, 4.4720939431396785`, 0}, {
               0, 3.8540469715698396`, -1.618}}]}, 
            Rotate[{{
               
               Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
                 0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
                 2.2360469715698392`, 1.618}, {
                 0, 0.6180469715698392, 1.618}}], 
               
               Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392, 
                 2.2360469715698392`, 1.618}, {
                 0, 0.6180469715698392, 1.618}, {0, 0, 0}}], 
               
               Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
                 0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
                 2.2360469715698392`, 1.618}}], 
               
               Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392, 
                 2.2360469715698392`, 1.618}, {
                 0.6180469715698392, 2.8540939431396786`, 0}, {
                 0.6180469715698392, 2.2360469715698392`, -1.618}}], 
               
               Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
                 0.6180469715698392, 2.8540939431396786`, 0}, {
                 0, 4.4720939431396785`, 0}, {
                 0, 3.8540469715698396`, 1.618}}], 
               
               Polygon[{{0.6180469715698392, 2.2360469715698392`, -1.618}, {
                 0.6180469715698392, 2.8540939431396786`, 0}, {
                 0, 4.4720939431396785`, 0}, {
                 0, 3.8540469715698396`, -1.618}}]}}, Pi, {0, 1, 0}]}, Pi/2, {
           0, 1, 0}], Pi/2, {0, 0, 1}], {2.2360469715698392`, 
         2.2360469715698392`, 4.23604697156984}], $CellContext`n1 = {
         Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
           0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
           2.2360469715698392`, 1.618}, {0, 0.6180469715698392, 1.618}}], 
         Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392, 
           2.2360469715698392`, 1.618}, {0, 0.6180469715698392, 1.618}, {0, 0,
            0}}], 
         Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
           0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
           2.2360469715698392`, 1.618}}], 
         Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392, 
           2.2360469715698392`, 1.618}, {
           0.6180469715698392, 2.8540939431396786`, 0}, {0.6180469715698392, 
           2.2360469715698392`, -1.618}}], 
         Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
           0.6180469715698392, 2.8540939431396786`, 0}, {
           0, 4.4720939431396785`, 0}, {0, 3.8540469715698396`, 1.618}}], 
         Polygon[{{0.6180469715698392, 2.2360469715698392`, -1.618}, {
           0.6180469715698392, 2.8540939431396786`, 0}, {
           0, 4.4720939431396785`, 0}, {
           0, 3.8540469715698396`, -1.618}}]}, $CellContext`n2 = Rotate[{{
           
           Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
             0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
             2.2360469715698392`, 1.618}, {0, 0.6180469715698392, 1.618}}], 
           
           Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392, 
             2.2360469715698392`, 1.618}, {0, 0.6180469715698392, 1.618}, {0, 
             0, 0}}], 
           
           Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
             0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
             2.2360469715698392`, 1.618}}], 
           
           Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392, 
             2.2360469715698392`, 1.618}, {
             0.6180469715698392, 2.8540939431396786`, 0}, {0.6180469715698392,
              2.2360469715698392`, -1.618}}], 
           
           Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
             0.6180469715698392, 2.8540939431396786`, 0}, {
             0, 4.4720939431396785`, 0}, {0, 3.8540469715698396`, 1.618}}], 
           
           Polygon[{{0.6180469715698392, 2.2360469715698392`, -1.618}, {
             0.6180469715698392, 2.8540939431396786`, 0}, {
             0, 4.4720939431396785`, 0}, {0, 3.8540469715698396`, -1.618}}]}},
          Pi, {0, 1, 0}], $CellContext`\[Phi] = 1.618, $CellContext`p2 = {
         RGBColor[0.4, 0.6, 0.2], 
         Translate[{
           Polygon[{{1, 
              Sqrt[2], 0}, {0, 2 Sqrt[2], 0}, {-1, 
              Sqrt[2], 0}, {0, 0, 0}}], 
           
           Polygon[{{1, 2.121320343559643, 1.5811388300841895`}, {
             0, 3.535533905932738, 1.5811388300841895`}, {-1, 
              2.121320343559643, 1.5811388300841895`}, {
             0, 0.7071067811865478, 1.5811388300841895`}}], 
           Polygon[{{1, 
              Sqrt[2], 0}, {0, 2 Sqrt[2], 0}, {
             0, 3.535533905932738, 1.5811388300841895`}, {
             1, 2.121320343559643, 1.5811388300841895`}}], 
           Polygon[{{0, 2 Sqrt[2], 0}, {-1, 
              Sqrt[2], 0}, {-1, 2.121320343559643, 1.5811388300841895`}, {
             0, 3.535533905932738, 1.5811388300841895`}}], 
           Polygon[{{-1, 
              Sqrt[2], 0}, {0, 0, 0}, {
             0, 0.7071067811865478, 1.5811388300841895`}, {-1, 
              2.121320343559643, 1.5811388300841895`}}], 
           Polygon[{{1, 
              Sqrt[2], 0}, {0, 0, 0}, {
             0, 0.7071067811865478, 1.5811388300841895`}, {
             1, 2.121320343559643, 1.5811388300841895`}}]}, {
          0, 2., -2.}]}, $CellContext`f1 = Polygon[{{1, 
           Sqrt[2], 0}, {0, 2 Sqrt[2], 0}, {-1, 
           Sqrt[2], 0}, {0, 0, 0}}], $CellContext`f2 = 
       Polygon[{{1, 2.121320343559643, 1.5811388300841895`}, {
          0, 3.535533905932738, 1.5811388300841895`}, {-1, 2.121320343559643, 
           1.5811388300841895`}, {
          0, 0.7071067811865478, 1.5811388300841895`}}], $CellContext`f3 = 
       Polygon[{{1, 
           Sqrt[2], 0}, {0, 2 Sqrt[2], 0}, {
          0, 3.535533905932738, 1.5811388300841895`}, {
          1, 2.121320343559643, 1.5811388300841895`}}], $CellContext`f4 = 
       Polygon[{{0, 2 Sqrt[2], 0}, {-1, 
           Sqrt[2], 0}, {-1, 2.121320343559643, 1.5811388300841895`}, {
          0, 3.535533905932738, 1.5811388300841895`}}], $CellContext`f5 = 
       Polygon[{{-1, 
           Sqrt[2], 0}, {0, 0, 0}, {
          0, 0.7071067811865478, 1.5811388300841895`}, {-1, 2.121320343559643,
            1.5811388300841895`}}], $CellContext`f6 = Polygon[{{1, 
           Sqrt[2], 0}, {0, 0, 0}, {
          0, 0.7071067811865478, 1.5811388300841895`}, {
          1, 2.121320343559643, 1.5811388300841895`}}], $CellContext`rdn = 
       Translate[
         Rotate[
          Rotate[
           Scale[
            
            GraphicsComplex[{{-Sqrt[2/3], -Sqrt[2/3], 0}, {-Sqrt[2/3], 
               0, -(1/Sqrt[3])}, {-Sqrt[2/3], 0, 1/Sqrt[3]}, {-Sqrt[2/3], 
               Sqrt[2/3], 0}, {0, -Sqrt[2/3], -(1/Sqrt[3])}, {
              0, -Sqrt[2/3], 1/Sqrt[3]}, {0, 0, (-2)/Sqrt[3]}, {
              0, 0, 2/Sqrt[3]}, {0, 
               Sqrt[2/3], -(1/Sqrt[3])}, {0, 
               Sqrt[2/3], 1/Sqrt[3]}, {
               Sqrt[2/3], -Sqrt[2/3], 0}, {
               Sqrt[2/3], 0, -(1/Sqrt[3])}, {
               Sqrt[2/3], 0, 1/Sqrt[3]}, {
               Sqrt[2/3], 
               Sqrt[2/3], 0}}, 
             
             Polygon[{{2, 1, 3, 4}, {1, 2, 7, 5}, {6, 8, 3, 1}, {2, 4, 9, 
              7}, {8, 10, 4, 3}, {11, 6, 1, 5}, {9, 4, 10, 14}, {5, 7, 12, 
              11}, {11, 13, 8, 6}, {7, 9, 14, 12}, {13, 14, 10, 8}, {14, 13, 
              11, 12}}]], {
             Sqrt[3], 
             Sqrt[3], 
             Sqrt[3]}, {0, 0, 0}], Pi/4, {0, 0, 1}], Pi/4, {1, 0, 0}], {
         0, 2.121320343559643, 2.995352392457285}], $CellContext`y1 = 
       Sqrt[2], $CellContext`s = 0.7071067811865478, $CellContext`z = 
       1.5811388300841895`, $CellContext`p25 = {
         Rotate[
          Rotate[{{
             RGBColor[0.3, 1, 1], 
             Translate[
              Rotate[
               Rotate[
                Scale[
                 
                 GraphicsComplex[{{-Sqrt[2/3], -Sqrt[2/3], 0}, {-Sqrt[2/3], 
                    0, -(1/Sqrt[3])}, {-Sqrt[2/3], 0, 1/Sqrt[3]}, {-Sqrt[2/3], 
                    Sqrt[2/3], 0}, {0, -Sqrt[2/3], -(1/Sqrt[3])}, {
                   0, -Sqrt[2/3], 1/Sqrt[3]}, {0, 0, (-2)/Sqrt[3]}, {
                   0, 0, 2/Sqrt[3]}, {0, 
                    Sqrt[2/3], -(1/Sqrt[3])}, {0, 
                    Sqrt[2/3], 1/Sqrt[3]}, {
                    Sqrt[2/3], -Sqrt[2/3], 0}, {
                    Sqrt[2/3], 0, -(1/Sqrt[3])}, {
                    Sqrt[2/3], 0, 1/Sqrt[3]}, {
                    Sqrt[2/3], 
                    Sqrt[2/3], 0}}, 
                  
                  Polygon[{{2, 1, 3, 4}, {1, 2, 7, 5}, {6, 8, 3, 1}, {2, 4, 9,
                    7}, {8, 10, 4, 3}, {11, 6, 1, 5}, {9, 4, 10, 14}, {5, 7, 
                   12, 11}, {11, 13, 8, 6}, {7, 9, 14, 12}, {13, 14, 10, 8}, {
                   14, 13, 11, 12}}]], {
                  Sqrt[3], 
                  Sqrt[3], 
                  Sqrt[3]}, {0, 0, 0}], Pi/4, {0, 0, 1}], Pi/4, {1, 0, 0}], {
              0, 2.121320343559643, 2.995352392457285}]}, {
             RGBColor[0.4, 0.6, 0.2], 
             Translate[{
               Polygon[{{1, 
                  Sqrt[2], 0}, {0, 2 Sqrt[2], 0}, {-1, 
                  Sqrt[2], 0}, {0, 0, 0}}], 
               
               Polygon[{{1, 2.121320343559643, 1.5811388300841895`}, {
                 0, 3.535533905932738, 1.5811388300841895`}, {-1, 
                  2.121320343559643, 1.5811388300841895`}, {
                 0, 0.7071067811865478, 1.5811388300841895`}}], 
               Polygon[{{1, 
                  Sqrt[2], 0}, {0, 2 Sqrt[2], 0}, {
                 0, 3.535533905932738, 1.5811388300841895`}, {
                 1, 2.121320343559643, 1.5811388300841895`}}], 
               Polygon[{{0, 2 Sqrt[2], 0}, {-1, 
                  Sqrt[2], 0}, {-1, 2.121320343559643, 1.5811388300841895`}, {
                 0, 3.535533905932738, 1.5811388300841895`}}], 
               Polygon[{{-1, 
                  Sqrt[2], 0}, {0, 0, 0}, {
                 0, 0.7071067811865478, 1.5811388300841895`}, {-1, 
                  2.121320343559643, 1.5811388300841895`}}], 
               Polygon[{{1, 
                  Sqrt[2], 0}, {0, 0, 0}, {
                 0, 0.7071067811865478, 1.5811388300841895`}, {
                 1, 2.121320343559643, 1.5811388300841895`}}]}, {
              0, 2., -2.}]}}, Pi - ArcCos[1/Sqrt[2 (5 - 2 Sqrt[5])]], {1, 0, 
           0}], (2 Pi)/5, {0, 0, 1}], 
         Rotate[
          Rotate[{{
             RGBColor[0.3, 1, 1], 
             Translate[
              Rotate[
               Rotate[
                Scale[
                 
                 GraphicsComplex[{{-Sqrt[2/3], -Sqrt[2/3], 0}, {-Sqrt[2/3], 
                    0, -(1/Sqrt[3])}, {-Sqrt[2/3], 0, 1/Sqrt[3]}, {-Sqrt[2/3], 
                    Sqrt[2/3], 0}, {0, -Sqrt[2/3], -(1/Sqrt[3])}, {
                   0, -Sqrt[2/3], 1/Sqrt[3]}, {0, 0, (-2)/Sqrt[3]}, {
                   0, 0, 2/Sqrt[3]}, {0, 
                    Sqrt[2/3], -(1/Sqrt[3])}, {0, 
                    Sqrt[2/3], 1/Sqrt[3]}, {
                    Sqrt[2/3], -Sqrt[2/3], 0}, {
                    Sqrt[2/3], 0, -(1/Sqrt[3])}, {
                    Sqrt[2/3], 0, 1/Sqrt[3]}, {
                    Sqrt[2/3], 
                    Sqrt[2/3], 0}}, 
                  
                  Polygon[{{2, 1, 3, 4}, {1, 2, 7, 5}, {6, 8, 3, 1}, {2, 4, 9,
                    7}, {8, 10, 4, 3}, {11, 6, 1, 5}, {9, 4, 10, 14}, {5, 7, 
                   12, 11}, {11, 13, 8, 6}, {7, 9, 14, 12}, {13, 14, 10, 8}, {
                   14, 13, 11, 12}}]], {
                  Sqrt[3], 
                  Sqrt[3], 
                  Sqrt[3]}, {0, 0, 0}], Pi/4, {0, 0, 1}], Pi/4, {1, 0, 0}], {
              0, 2.121320343559643, 2.995352392457285}]}, {
             RGBColor[0.4, 0.6, 0.2], 
             Translate[{
               Polygon[{{1, 
                  Sqrt[2], 0}, {0, 2 Sqrt[2], 0}, {-1, 
                  Sqrt[2], 0}, {0, 0, 0}}], 
               
               Polygon[{{1, 2.121320343559643, 1.5811388300841895`}, {
                 0, 3.535533905932738, 1.5811388300841895`}, {-1, 
                  2.121320343559643, 1.5811388300841895`}, {
                 0, 0.7071067811865478, 1.5811388300841895`}}], 
               Polygon[{{1, 
                  Sqrt[2], 0}, {0, 2 Sqrt[2], 0}, {
                 0, 3.535533905932738, 1.5811388300841895`}, {
                 1, 2.121320343559643, 1.5811388300841895`}}], 
               Polygon[{{0, 2 Sqrt[2], 0}, {-1, 
                  Sqrt[2], 0}, {-1, 2.121320343559643, 1.5811388300841895`}, {
                 0, 3.535533905932738, 1.5811388300841895`}}], 
               Polygon[{{-1, 
                  Sqrt[2], 0}, {0, 0, 0}, {
                 0, 0.7071067811865478, 1.5811388300841895`}, {-1, 
                  2.121320343559643, 1.5811388300841895`}}], 
               Polygon[{{1, 
                  Sqrt[2], 0}, {0, 0, 0}, {
                 0, 0.7071067811865478, 1.5811388300841895`}, {
                 1, 2.121320343559643, 1.5811388300841895`}}]}, {
              0, 2., -2.}]}}, Pi - ArcCos[1/Sqrt[2 (5 - 2 Sqrt[5])]], {1, 0, 
           0}], (4 Pi)/5, {0, 0, 1}], 
         Rotate[
          Rotate[{{
             RGBColor[0.3, 1, 1], 
             Translate[
              Rotate[
               Rotate[
                Scale[
                 
                 GraphicsComplex[{{-Sqrt[2/3], -Sqrt[2/3], 0}, {-Sqrt[2/3], 
                    0, -(1/Sqrt[3])}, {-Sqrt[2/3], 0, 1/Sqrt[3]}, {-Sqrt[2/3], 
                    Sqrt[2/3], 0}, {0, -Sqrt[2/3], -(1/Sqrt[3])}, {
                   0, -Sqrt[2/3], 1/Sqrt[3]}, {0, 0, (-2)/Sqrt[3]}, {
                   0, 0, 2/Sqrt[3]}, {0, 
                    Sqrt[2/3], -(1/Sqrt[3])}, {0, 
                    Sqrt[2/3], 1/Sqrt[3]}, {
                    Sqrt[2/3], -Sqrt[2/3], 0}, {
                    Sqrt[2/3], 0, -(1/Sqrt[3])}, {
                    Sqrt[2/3], 0, 1/Sqrt[3]}, {
                    Sqrt[2/3], 
                    Sqrt[2/3], 0}}, 
                  
                  Polygon[{{2, 1, 3, 4}, {1, 2, 7, 5}, {6, 8, 3, 1}, {2, 4, 9,
                    7}, {8, 10, 4, 3}, {11, 6, 1, 5}, {9, 4, 10, 14}, {5, 7, 
                   12, 11}, {11, 13, 8, 6}, {7, 9, 14, 12}, {13, 14, 10, 8}, {
                   14, 13, 11, 12}}]], {
                  Sqrt[3], 
                  Sqrt[3], 
                  Sqrt[3]}, {0, 0, 0}], Pi/4, {0, 0, 1}], Pi/4, {1, 0, 0}], {
              0, 2.121320343559643, 2.995352392457285}]}, {
             RGBColor[0.4, 0.6, 0.2], 
             Translate[{
               Polygon[{{1, 
                  Sqrt[2], 0}, {0, 2 Sqrt[2], 0}, {-1, 
                  Sqrt[2], 0}, {0, 0, 0}}], 
               
               Polygon[{{1, 2.121320343559643, 1.5811388300841895`}, {
                 0, 3.535533905932738, 1.5811388300841895`}, {-1, 
                  2.121320343559643, 1.5811388300841895`}, {
                 0, 0.7071067811865478, 1.5811388300841895`}}], 
               Polygon[{{1, 
                  Sqrt[2], 0}, {0, 2 Sqrt[2], 0}, {
                 0, 3.535533905932738, 1.5811388300841895`}, {
                 1, 2.121320343559643, 1.5811388300841895`}}], 
               Polygon[{{0, 2 Sqrt[2], 0}, {-1, 
                  Sqrt[2], 0}, {-1, 2.121320343559643, 1.5811388300841895`}, {
                 0, 3.535533905932738, 1.5811388300841895`}}], 
               Polygon[{{-1, 
                  Sqrt[2], 0}, {0, 0, 0}, {
                 0, 0.7071067811865478, 1.5811388300841895`}, {-1, 
                  2.121320343559643, 1.5811388300841895`}}], 
               Polygon[{{1, 
                  Sqrt[2], 0}, {0, 0, 0}, {
                 0, 0.7071067811865478, 1.5811388300841895`}, {
                 1, 2.121320343559643, 1.5811388300841895`}}]}, {
              0, 2., -2.}]}}, Pi - ArcCos[1/Sqrt[2 (5 - 2 Sqrt[5])]], {1, 0, 
           0}], (6 Pi)/5, {0, 0, 1}], 
         Rotate[
          Rotate[{{
             RGBColor[0.3, 1, 1], 
             Translate[
              Rotate[
               Rotate[
                Scale[
                 
                 GraphicsComplex[{{-Sqrt[2/3], -Sqrt[2/3], 0}, {-Sqrt[2/3], 
                    0, -(1/Sqrt[3])}, {-Sqrt[2/3], 0, 1/Sqrt[3]}, {-Sqrt[2/3], 
                    Sqrt[2/3], 0}, {0, -Sqrt[2/3], -(1/Sqrt[3])}, {
                   0, -Sqrt[2/3], 1/Sqrt[3]}, {0, 0, (-2)/Sqrt[3]}, {
                   0, 0, 2/Sqrt[3]}, {0, 
                    Sqrt[2/3], -(1/Sqrt[3])}, {0, 
                    Sqrt[2/3], 1/Sqrt[3]}, {
                    Sqrt[2/3], -Sqrt[2/3], 0}, {
                    Sqrt[2/3], 0, -(1/Sqrt[3])}, {
                    Sqrt[2/3], 0, 1/Sqrt[3]}, {
                    Sqrt[2/3], 
                    Sqrt[2/3], 0}}, 
                  
                  Polygon[{{2, 1, 3, 4}, {1, 2, 7, 5}, {6, 8, 3, 1}, {2, 4, 9,
                    7}, {8, 10, 4, 3}, {11, 6, 1, 5}, {9, 4, 10, 14}, {5, 7, 
                   12, 11}, {11, 13, 8, 6}, {7, 9, 14, 12}, {13, 14, 10, 8}, {
                   14, 13, 11, 12}}]], {
                  Sqrt[3], 
                  Sqrt[3], 
                  Sqrt[3]}, {0, 0, 0}], Pi/4, {0, 0, 1}], Pi/4, {1, 0, 0}], {
              0, 2.121320343559643, 2.995352392457285}]}, {
             RGBColor[0.4, 0.6, 0.2], 
             Translate[{
               Polygon[{{1, 
                  Sqrt[2], 0}, {0, 2 Sqrt[2], 0}, {-1, 
                  Sqrt[2], 0}, {0, 0, 0}}], 
               
               Polygon[{{1, 2.121320343559643, 1.5811388300841895`}, {
                 0, 3.535533905932738, 1.5811388300841895`}, {-1, 
                  2.121320343559643, 1.5811388300841895`}, {
                 0, 0.7071067811865478, 1.5811388300841895`}}], 
               Polygon[{{1, 
                  Sqrt[2], 0}, {0, 2 Sqrt[2], 0}, {
                 0, 3.535533905932738, 1.5811388300841895`}, {
                 1, 2.121320343559643, 1.5811388300841895`}}], 
               Polygon[{{0, 2 Sqrt[2], 0}, {-1, 
                  Sqrt[2], 0}, {-1, 2.121320343559643, 1.5811388300841895`}, {
                 0, 3.535533905932738, 1.5811388300841895`}}], 
               Polygon[{{-1, 
                  Sqrt[2], 0}, {0, 0, 0}, {
                 0, 0.7071067811865478, 1.5811388300841895`}, {-1, 
                  2.121320343559643, 1.5811388300841895`}}], 
               Polygon[{{1, 
                  Sqrt[2], 0}, {0, 0, 0}, {
                 0, 0.7071067811865478, 1.5811388300841895`}, {
                 1, 2.121320343559643, 1.5811388300841895`}}]}, {
              0, 2., -2.}]}}, Pi - ArcCos[1/Sqrt[2 (5 - 2 Sqrt[5])]], {1, 0, 
           0}], (8 Pi)/5, {0, 0, 1}], 
         Rotate[
          Rotate[{{
             RGBColor[0.3, 1, 1], 
             Translate[
              Rotate[
               Rotate[
                Scale[
                 
                 GraphicsComplex[{{-Sqrt[2/3], -Sqrt[2/3], 0}, {-Sqrt[2/3], 
                    0, -(1/Sqrt[3])}, {-Sqrt[2/3], 0, 1/Sqrt[3]}, {-Sqrt[2/3], 
                    Sqrt[2/3], 0}, {0, -Sqrt[2/3], -(1/Sqrt[3])}, {
                   0, -Sqrt[2/3], 1/Sqrt[3]}, {0, 0, (-2)/Sqrt[3]}, {
                   0, 0, 2/Sqrt[3]}, {0, 
                    Sqrt[2/3], -(1/Sqrt[3])}, {0, 
                    Sqrt[2/3], 1/Sqrt[3]}, {
                    Sqrt[2/3], -Sqrt[2/3], 0}, {
                    Sqrt[2/3], 0, -(1/Sqrt[3])}, {
                    Sqrt[2/3], 0, 1/Sqrt[3]}, {
                    Sqrt[2/3], 
                    Sqrt[2/3], 0}}, 
                  
                  Polygon[{{2, 1, 3, 4}, {1, 2, 7, 5}, {6, 8, 3, 1}, {2, 4, 9,
                    7}, {8, 10, 4, 3}, {11, 6, 1, 5}, {9, 4, 10, 14}, {5, 7, 
                   12, 11}, {11, 13, 8, 6}, {7, 9, 14, 12}, {13, 14, 10, 8}, {
                   14, 13, 11, 12}}]], {
                  Sqrt[3], 
                  Sqrt[3], 
                  Sqrt[3]}, {0, 0, 0}], Pi/4, {0, 0, 1}], Pi/4, {1, 0, 0}], {
              0, 2.121320343559643, 2.995352392457285}]}, {
             RGBColor[0.4, 0.6, 0.2], 
             Translate[{
               Polygon[{{1, 
                  Sqrt[2], 0}, {0, 2 Sqrt[2], 0}, {-1, 
                  Sqrt[2], 0}, {0, 0, 0}}], 
               
               Polygon[{{1, 2.121320343559643, 1.5811388300841895`}, {
                 0, 3.535533905932738, 1.5811388300841895`}, {-1, 
                  2.121320343559643, 1.5811388300841895`}, {
                 0, 0.7071067811865478, 1.5811388300841895`}}], 
               Polygon[{{1, 
                  Sqrt[2], 0}, {0, 2 Sqrt[2], 0}, {
                 0, 3.535533905932738, 1.5811388300841895`}, {
                 1, 2.121320343559643, 1.5811388300841895`}}], 
               Polygon[{{0, 2 Sqrt[2], 0}, {-1, 
                  Sqrt[2], 0}, {-1, 2.121320343559643, 1.5811388300841895`}, {
                 0, 3.535533905932738, 1.5811388300841895`}}], 
               Polygon[{{-1, 
                  Sqrt[2], 0}, {0, 0, 0}, {
                 0, 0.7071067811865478, 1.5811388300841895`}, {-1, 
                  2.121320343559643, 1.5811388300841895`}}], 
               Polygon[{{1, 
                  Sqrt[2], 0}, {0, 0, 0}, {
                 0, 0.7071067811865478, 1.5811388300841895`}, {
                 1, 2.121320343559643, 1.5811388300841895`}}]}, {
              0, 2., -2.}]}}, Pi - ArcCos[1/Sqrt[2 (5 - 2 Sqrt[5])]], {1, 0, 
           0}], 2 Pi, {0, 0, 1}]}, $CellContext`j = 
       ArcCos[1/Sqrt[2 (5 - 2 Sqrt[5])]], $CellContext`new = Translate[{
          RGBColor[1, 1, 0], {
           
           Polygon[{{0.6180469715698392, 1.618, 0}, {
             0, 3.236, 0}, {-0.6180469715698392, 1.618, 0}, {0, 0, 0}}], 
           
           Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
             0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
             2.2360469715698392`, 1.618}, {0, 0.6180469715698392, 1.618}}], 
           
           Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392, 
             2.2360469715698392`, 1.618}, {0, 0.6180469715698392, 1.618}, {0, 
             0, 0}}], 
           
           Polygon[{{0.6180469715698392, 1.618, 0}, {0, 3.236, 0}, {
             0, 3.8540469715698396`, 1.618}, {0.6180469715698392, 
             2.2360469715698392`, 1.618}}], 
           
           Polygon[{{
             0, 3.236, 0}, {-0.6180469715698392, 1.618, 
              0}, {-0.6180469715698392, 2.2360469715698392`, 1.618}, {
             0, 3.8540469715698396`, 1.618}}], 
           
           Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
             0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
             2.2360469715698392`, 1.618}}]}}, {0, 0, 0}], $CellContext`s1 = 
       Polygon[{{0.6180469715698392, 1.618, 0}, {
          0, 3.236, 0}, {-0.6180469715698392, 1.618, 0}, {0, 0, 
          0}}], $CellContext`s2 = 
       Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
          0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
          2.2360469715698392`, 1.618}, {
          0, 0.6180469715698392, 1.618}}], $CellContext`s3 = 
       Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392, 
          2.2360469715698392`, 1.618}, {0, 0.6180469715698392, 1.618}, {0, 0, 
          0}}], $CellContext`s4 = 
       Polygon[{{0.6180469715698392, 1.618, 0}, {0, 3.236, 0}, {
          0, 3.8540469715698396`, 1.618}, {0.6180469715698392, 
          2.2360469715698392`, 1.618}}], $CellContext`s5 = 
       Polygon[{{
          0, 3.236, 0}, {-0.6180469715698392, 1.618, 0}, {-0.6180469715698392,
           2.2360469715698392`, 1.618}, {
          0, 3.8540469715698396`, 1.618}}], $CellContext`s6 = 
       Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
          0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
          2.2360469715698392`, 1.618}}], $CellContext`new5 = {
         Rotate[
          Rotate[{
            Translate[
             Rotate[
              Rotate[{{
                 
                 Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
                   0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
                   2.2360469715698392`, 1.618}, {
                   0, 0.6180469715698392, 1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392,
                    2.2360469715698392`, 1.618}, {
                   0, 0.6180469715698392, 1.618}, {0, 0, 0}}], 
                 
                 Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
                   0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
                   2.2360469715698392`, 1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392,
                    2.2360469715698392`, 1.618}, {
                   0.6180469715698392, 2.8540939431396786`, 0}, {
                   0.6180469715698392, 2.2360469715698392`, -1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
                   0.6180469715698392, 2.8540939431396786`, 0}, {
                   0, 4.4720939431396785`, 0}, {
                   0, 3.8540469715698396`, 1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 2.2360469715698392`, -1.618}, {
                   0.6180469715698392, 2.8540939431396786`, 0}, {
                   0, 4.4720939431396785`, 0}, {
                   0, 3.8540469715698396`, -1.618}}]}, 
                Rotate[{{
                   
                   Polygon[{{0.6180469715698392, 2.2360469715698392`, 
                    1.618}, {
                    0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
                    2.2360469715698392`, 1.618}, {
                    0, 0.6180469715698392, 1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 1.618, 0}, {
                    0.6180469715698392, 2.2360469715698392`, 1.618}, {
                    0, 0.6180469715698392, 1.618}, {0, 0, 0}}], 
                   
                   Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
                    0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
                    2.2360469715698392`, 1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 1.618, 0}, {
                    0.6180469715698392, 2.2360469715698392`, 1.618}, {
                    0.6180469715698392, 2.8540939431396786`, 0}, {
                    0.6180469715698392, 2.2360469715698392`, -1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 2.2360469715698392`, 
                    1.618}, {0.6180469715698392, 2.8540939431396786`, 0}, {
                    0, 4.4720939431396785`, 0}, {
                    0, 3.8540469715698396`, 1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 
                    2.2360469715698392`, -1.618}, {
                    0.6180469715698392, 2.8540939431396786`, 0}, {
                    0, 4.4720939431396785`, 0}, {
                    0, 3.8540469715698396`, -1.618}}]}}, Pi, {0, 1, 0}]}, Pi/
               2, {0, 1, 0}], Pi/2, {0, 0, 1}], {2.2360469715698392`, 
             2.2360469715698392`, 4.23604697156984}], 
            Translate[{
              RGBColor[1, 1, 0], {
               
               Polygon[{{0.6180469715698392, 1.618, 0}, {
                 0, 3.236, 0}, {-0.6180469715698392, 1.618, 0}, {0, 0, 0}}], 
               
               Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
                 0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
                 2.2360469715698392`, 1.618}, {
                 0, 0.6180469715698392, 1.618}}], 
               
               Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392, 
                 2.2360469715698392`, 1.618}, {
                 0, 0.6180469715698392, 1.618}, {0, 0, 0}}], 
               
               Polygon[{{0.6180469715698392, 1.618, 0}, {0, 3.236, 0}, {
                 0, 3.8540469715698396`, 1.618}, {0.6180469715698392, 
                 2.2360469715698392`, 1.618}}], 
               
               Polygon[{{
                 0, 3.236, 0}, {-0.6180469715698392, 1.618, 
                  0}, {-0.6180469715698392, 2.2360469715698392`, 1.618}, {
                 0, 3.8540469715698396`, 1.618}}], 
               
               Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
                 0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
                 2.2360469715698392`, 1.618}}]}}, {0, 0, 
             0}]}, -1.0172125734956308`, {1, 0, 0}], (2 Pi)/5, {0, 0, 1}], 
         Rotate[
          Rotate[{
            Translate[
             Rotate[
              Rotate[{{
                 
                 Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
                   0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
                   2.2360469715698392`, 1.618}, {
                   0, 0.6180469715698392, 1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392,
                    2.2360469715698392`, 1.618}, {
                   0, 0.6180469715698392, 1.618}, {0, 0, 0}}], 
                 
                 Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
                   0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
                   2.2360469715698392`, 1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392,
                    2.2360469715698392`, 1.618}, {
                   0.6180469715698392, 2.8540939431396786`, 0}, {
                   0.6180469715698392, 2.2360469715698392`, -1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
                   0.6180469715698392, 2.8540939431396786`, 0}, {
                   0, 4.4720939431396785`, 0}, {
                   0, 3.8540469715698396`, 1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 2.2360469715698392`, -1.618}, {
                   0.6180469715698392, 2.8540939431396786`, 0}, {
                   0, 4.4720939431396785`, 0}, {
                   0, 3.8540469715698396`, -1.618}}]}, 
                Rotate[{{
                   
                   Polygon[{{0.6180469715698392, 2.2360469715698392`, 
                    1.618}, {
                    0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
                    2.2360469715698392`, 1.618}, {
                    0, 0.6180469715698392, 1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 1.618, 0}, {
                    0.6180469715698392, 2.2360469715698392`, 1.618}, {
                    0, 0.6180469715698392, 1.618}, {0, 0, 0}}], 
                   
                   Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
                    0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
                    2.2360469715698392`, 1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 1.618, 0}, {
                    0.6180469715698392, 2.2360469715698392`, 1.618}, {
                    0.6180469715698392, 2.8540939431396786`, 0}, {
                    0.6180469715698392, 2.2360469715698392`, -1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 2.2360469715698392`, 
                    1.618}, {0.6180469715698392, 2.8540939431396786`, 0}, {
                    0, 4.4720939431396785`, 0}, {
                    0, 3.8540469715698396`, 1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 
                    2.2360469715698392`, -1.618}, {
                    0.6180469715698392, 2.8540939431396786`, 0}, {
                    0, 4.4720939431396785`, 0}, {
                    0, 3.8540469715698396`, -1.618}}]}}, Pi, {0, 1, 0}]}, Pi/
               2, {0, 1, 0}], Pi/2, {0, 0, 1}], {2.2360469715698392`, 
             2.2360469715698392`, 4.23604697156984}], 
            Translate[{
              RGBColor[1, 1, 0], {
               
               Polygon[{{0.6180469715698392, 1.618, 0}, {
                 0, 3.236, 0}, {-0.6180469715698392, 1.618, 0}, {0, 0, 0}}], 
               
               Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
                 0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
                 2.2360469715698392`, 1.618}, {
                 0, 0.6180469715698392, 1.618}}], 
               
               Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392, 
                 2.2360469715698392`, 1.618}, {
                 0, 0.6180469715698392, 1.618}, {0, 0, 0}}], 
               Polygon[{{0.6180469715698392, 1.618, 0}, {0, 3.236, 0}, {
                 0, 3.8540469715698396`, 1.618}, {0.6180469715698392, 
                 2.2360469715698392`, 1.618}}], 
               
               Polygon[{{
                 0, 3.236, 0}, {-0.6180469715698392, 1.618, 
                  0}, {-0.6180469715698392, 2.2360469715698392`, 1.618}, {
                 0, 3.8540469715698396`, 1.618}}], 
               
               Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
                 0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
                 2.2360469715698392`, 1.618}}]}}, {0, 0, 
             0}]}, -1.0172125734956308`, {1, 0, 0}], (4 Pi)/5, {0, 0, 1}], 
         Rotate[
          Rotate[{
            Translate[
             Rotate[
              Rotate[{{
                 
                 Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
                   0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
                   2.2360469715698392`, 1.618}, {
                   0, 0.6180469715698392, 1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392,
                    2.2360469715698392`, 1.618}, {
                   0, 0.6180469715698392, 1.618}, {0, 0, 0}}], 
                 
                 Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
                   0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
                   2.2360469715698392`, 1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392,
                    2.2360469715698392`, 1.618}, {
                   0.6180469715698392, 2.8540939431396786`, 0}, {
                   0.6180469715698392, 2.2360469715698392`, -1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
                   0.6180469715698392, 2.8540939431396786`, 0}, {
                   0, 4.4720939431396785`, 0}, {
                   0, 3.8540469715698396`, 1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 2.2360469715698392`, -1.618}, {
                   0.6180469715698392, 2.8540939431396786`, 0}, {
                   0, 4.4720939431396785`, 0}, {
                   0, 3.8540469715698396`, -1.618}}]}, 
                Rotate[{{
                   
                   Polygon[{{0.6180469715698392, 2.2360469715698392`, 
                    1.618}, {
                    0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
                    2.2360469715698392`, 1.618}, {
                    0, 0.6180469715698392, 1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 1.618, 0}, {
                    0.6180469715698392, 2.2360469715698392`, 1.618}, {
                    0, 0.6180469715698392, 1.618}, {0, 0, 0}}], 
                   
                   Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
                    0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
                    2.2360469715698392`, 1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 1.618, 0}, {
                    0.6180469715698392, 2.2360469715698392`, 1.618}, {
                    0.6180469715698392, 2.8540939431396786`, 0}, {
                    0.6180469715698392, 2.2360469715698392`, -1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 2.2360469715698392`, 
                    1.618}, {0.6180469715698392, 2.8540939431396786`, 0}, {
                    0, 4.4720939431396785`, 0}, {
                    0, 3.8540469715698396`, 1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 
                    2.2360469715698392`, -1.618}, {
                    0.6180469715698392, 2.8540939431396786`, 0}, {
                    0, 4.4720939431396785`, 0}, {
                    0, 3.8540469715698396`, -1.618}}]}}, Pi, {0, 1, 0}]}, Pi/
               2, {0, 1, 0}], Pi/2, {0, 0, 1}], {2.2360469715698392`, 
             2.2360469715698392`, 4.23604697156984}], 
            Translate[{
              RGBColor[1, 1, 0], {
               
               Polygon[{{0.6180469715698392, 1.618, 0}, {
                 0, 3.236, 0}, {-0.6180469715698392, 1.618, 0}, {0, 0, 0}}], 
               
               Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
                 0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
                 2.2360469715698392`, 1.618}, {
                 0, 0.6180469715698392, 1.618}}], 
               
               Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392, 
                 2.2360469715698392`, 1.618}, {
                 0, 0.6180469715698392, 1.618}, {0, 0, 0}}], 
               
               Polygon[{{0.6180469715698392, 1.618, 0}, {0, 3.236, 0}, {
                 0, 3.8540469715698396`, 1.618}, {0.6180469715698392, 
                 2.2360469715698392`, 1.618}}], 
               
               Polygon[{{
                 0, 3.236, 0}, {-0.6180469715698392, 1.618, 
                  0}, {-0.6180469715698392, 2.2360469715698392`, 1.618}, {
                 0, 3.8540469715698396`, 1.618}}], 
               
               Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
                 0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
                 2.2360469715698392`, 1.618}}]}}, {0, 0, 
             0}]}, -1.0172125734956308`, {1, 0, 0}], (6 Pi)/5, {0, 0, 1}], 
         Rotate[
          Rotate[{
            Translate[
             Rotate[
              Rotate[{{
                 
                 Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
                   0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
                   2.2360469715698392`, 1.618}, {
                   0, 0.6180469715698392, 1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392,
                    2.2360469715698392`, 1.618}, {
                   0, 0.6180469715698392, 1.618}, {0, 0, 0}}], 
                 
                 Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
                   0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
                   2.2360469715698392`, 1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392,
                    2.2360469715698392`, 1.618}, {
                   0.6180469715698392, 2.8540939431396786`, 0}, {
                   0.6180469715698392, 2.2360469715698392`, -1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
                   0.6180469715698392, 2.8540939431396786`, 0}, {
                   0, 4.4720939431396785`, 0}, {
                   0, 3.8540469715698396`, 1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 2.2360469715698392`, -1.618}, {
                   0.6180469715698392, 2.8540939431396786`, 0}, {
                   0, 4.4720939431396785`, 0}, {
                   0, 3.8540469715698396`, -1.618}}]}, 
                Rotate[{{
                   
                   Polygon[{{0.6180469715698392, 2.2360469715698392`, 
                    1.618}, {
                    0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
                    2.2360469715698392`, 1.618}, {
                    0, 0.6180469715698392, 1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 1.618, 0}, {
                    0.6180469715698392, 2.2360469715698392`, 1.618}, {
                    0, 0.6180469715698392, 1.618}, {0, 0, 0}}], 
                   Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
                    0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
                    2.2360469715698392`, 1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 1.618, 0}, {
                    0.6180469715698392, 2.2360469715698392`, 1.618}, {
                    0.6180469715698392, 2.8540939431396786`, 0}, {
                    0.6180469715698392, 2.2360469715698392`, -1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 2.2360469715698392`, 
                    1.618}, {0.6180469715698392, 2.8540939431396786`, 0}, {
                    0, 4.4720939431396785`, 0}, {
                    0, 3.8540469715698396`, 1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 
                    2.2360469715698392`, -1.618}, {
                    0.6180469715698392, 2.8540939431396786`, 0}, {
                    0, 4.4720939431396785`, 0}, {
                    0, 3.8540469715698396`, -1.618}}]}}, Pi, {0, 1, 0}]}, Pi/
               2, {0, 1, 0}], Pi/2, {0, 0, 1}], {2.2360469715698392`, 
             2.2360469715698392`, 4.23604697156984}], 
            Translate[{
              RGBColor[1, 1, 0], {
               
               Polygon[{{0.6180469715698392, 1.618, 0}, {
                 0, 3.236, 0}, {-0.6180469715698392, 1.618, 0}, {0, 0, 0}}], 
               
               Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
                 0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
                 2.2360469715698392`, 1.618}, {
                 0, 0.6180469715698392, 1.618}}], 
               
               Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392, 
                 2.2360469715698392`, 1.618}, {
                 0, 0.6180469715698392, 1.618}, {0, 0, 0}}], 
               
               Polygon[{{0.6180469715698392, 1.618, 0}, {0, 3.236, 0}, {
                 0, 3.8540469715698396`, 1.618}, {0.6180469715698392, 
                 2.2360469715698392`, 1.618}}], 
               
               Polygon[{{
                 0, 3.236, 0}, {-0.6180469715698392, 1.618, 
                  0}, {-0.6180469715698392, 2.2360469715698392`, 1.618}, {
                 0, 3.8540469715698396`, 1.618}}], 
               
               Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
                 0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
                 2.2360469715698392`, 1.618}}]}}, {0, 0, 
             0}]}, -1.0172125734956308`, {1, 0, 0}], (8 Pi)/5, {0, 0, 1}], 
         Rotate[
          Rotate[{
            Translate[
             Rotate[
              Rotate[{{
                 
                 Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
                   0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
                   2.2360469715698392`, 1.618}, {
                   0, 0.6180469715698392, 1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392,
                    2.2360469715698392`, 1.618}, {
                   0, 0.6180469715698392, 1.618}, {0, 0, 0}}], 
                 
                 Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
                   0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
                   2.2360469715698392`, 1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392,
                    2.2360469715698392`, 1.618}, {
                   0.6180469715698392, 2.8540939431396786`, 0}, {
                   0.6180469715698392, 2.2360469715698392`, -1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
                   0.6180469715698392, 2.8540939431396786`, 0}, {
                   0, 4.4720939431396785`, 0}, {
                   0, 3.8540469715698396`, 1.618}}], 
                 
                 Polygon[{{0.6180469715698392, 2.2360469715698392`, -1.618}, {
                   0.6180469715698392, 2.8540939431396786`, 0}, {
                   0, 4.4720939431396785`, 0}, {
                   0, 3.8540469715698396`, -1.618}}]}, 
                Rotate[{{
                   
                   Polygon[{{0.6180469715698392, 2.2360469715698392`, 
                    1.618}, {
                    0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
                    2.2360469715698392`, 1.618}, {
                    0, 0.6180469715698392, 1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 1.618, 0}, {
                    0.6180469715698392, 2.2360469715698392`, 1.618}, {
                    0, 0.6180469715698392, 1.618}, {0, 0, 0}}], 
                   
                   Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
                    0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
                    2.2360469715698392`, 1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 1.618, 0}, {
                    0.6180469715698392, 2.2360469715698392`, 1.618}, {
                    0.6180469715698392, 2.8540939431396786`, 0}, {
                    0.6180469715698392, 2.2360469715698392`, -1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 2.2360469715698392`, 
                    1.618}, {0.6180469715698392, 2.8540939431396786`, 0}, {
                    0, 4.4720939431396785`, 0}, {
                    0, 3.8540469715698396`, 1.618}}], 
                   
                   Polygon[{{0.6180469715698392, 
                    2.2360469715698392`, -1.618}, {
                    0.6180469715698392, 2.8540939431396786`, 0}, {
                    0, 4.4720939431396785`, 0}, {
                    0, 3.8540469715698396`, -1.618}}]}}, Pi, {0, 1, 0}]}, Pi/
               2, {0, 1, 0}], Pi/2, {0, 0, 1}], {2.2360469715698392`, 
             2.2360469715698392`, 4.23604697156984}], 
            Translate[{
              RGBColor[1, 1, 0], {
               
               Polygon[{{0.6180469715698392, 1.618, 0}, {
                 0, 3.236, 0}, {-0.6180469715698392, 1.618, 0}, {0, 0, 0}}], 
               
               Polygon[{{0.6180469715698392, 2.2360469715698392`, 1.618}, {
                 0, 3.8540469715698396`, 1.618}, {-0.6180469715698392, 
                 2.2360469715698392`, 1.618}, {
                 0, 0.6180469715698392, 1.618}}], 
               
               Polygon[{{0.6180469715698392, 1.618, 0}, {0.6180469715698392, 
                 2.2360469715698392`, 1.618}, {
                 0, 0.6180469715698392, 1.618}, {0, 0, 0}}], 
               
               Polygon[{{0.6180469715698392, 1.618, 0}, {0, 3.236, 0}, {
                 0, 3.8540469715698396`, 1.618}, {0.6180469715698392, 
                 2.2360469715698392`, 1.618}}], 
               
               Polygon[{{
                 0, 3.236, 0}, {-0.6180469715698392, 1.618, 
                  0}, {-0.6180469715698392, 2.2360469715698392`, 1.618}, {
                 0, 3.8540469715698396`, 1.618}}], 
               
               Polygon[{{-0.6180469715698392, 1.618, 0}, {0, 0, 0}, {
                 0, 0.6180469715698392, 1.618}, {-0.6180469715698392, 
                 2.2360469715698392`, 1.618}}]}}, {0, 0, 
             0}]}, -1.0172125734956308`, {1, 0, 0}], 2 Pi, {0, 0, 
          1}]}, $CellContext`\[Alpha] = 1.0172125734956308`, 
       Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.54083294003125*^9, 3.540832966984375*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["CAPTION", "Section",
 CellFrame->{{0, 0}, {1, 0}},
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 FontFamily->"Helvetica",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell[TextData[{
 "Four kinds of rhombic polyhedra are attached face to face in a single \
cluster: a prolate rhombohedron, a flat hexahedron, a rhombic dodecahedron, \
and a flat rhombic dodecahedron. The faces of these polyhedra are rhombi \
having diagonal ratio ",
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]], "InlineMath"],
 " and/or ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Phi]", "2"], TraditionalForm]], "InlineMath"],
 ", where ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]], "InlineMath"],
 " is the golden ratio. "
}], "Text"],

Cell["\<\
The void inside the construction corresponds to a polar zonohedron.  \
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 0}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell[TextData[{
 "\"",
 ButtonBox["Four Kinds of Rhombic Polyhedra",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FourKindsOfRhombicPolyhedra/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/FourKindsOfRhombicPolyhedra/"],
 "\"",
 " from ",
 ButtonBox["the Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/FourKindsOfRhombicPolyhedra/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FourKindsOfRhombicPolyhedra/"], 
    None},
  ButtonNote->"http://demonstrations.wolfram.com/FourKindsOfRhombicPolyhedra/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["S\[AAcute]ndor Kabai",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=S%E1ndor+Kabai"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=S%E1ndor+Kabai"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[1, 1, 1]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
FourKindsOfRhombicPolyhedra"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
CellInsertionPointCell->None,
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Four Kinds of Rhombic Polyhedra - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[611, 21, 151, 3, 66, "Section"],
Cell[CellGroupData[{
Cell[787, 28, 3700, 64, 37, "Section"],
Cell[4490, 94, 9029, 275, 560, "Input",
 CellID->317332],
Cell[CellGroupData[{
Cell[13544, 373, 21095, 372, 494, "Input",
 CellID->92506325],
Cell[34642, 747, 53979, 1061, 548, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[88670, 1814, 209, 6, 62, "Section"],
Cell[88882, 1822, 571, 16, 70, "Text"],
Cell[89456, 1840, 93, 2, 70, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[89586, 1847, 355, 9, 20, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[89944, 1858, 957, 27, 34, "Text"],
Cell[90904, 1887, 442, 14, 18, "Text"],
Cell[91349, 1903, 815, 24, 113, "Text"],
Cell[92167, 1929, 1199, 33, 88, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature gQzt4ENl5MwhhDpdZW9c5Kzz *)
