(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     47148,       1145]
NotebookOptionsPosition[     45984,       1101]
NotebookOutlinePosition[     46628,       1126]
CellTagsIndexPosition[     46585,       1123]
WindowTitle->Cluster of 195 Spheres - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Cluster of 195 Spheres", "Section",
 CellFrame->{{0, 0}, {0, 0}},
 ShowCellBracket->False,
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJztnVuSozgWQDNiPqa3MJ+zpVlCbaB3WlGVNV9dvYH6TQRUph/ZGIHQmwvG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   "], {{0, 0}, {1800, 25}}, {0, 255},
   ColorFunction->RGBColor],
  ImageSize->{1800, 25},
  PlotRange->{{0, 1800}, {0, 25}}]], "Section",
 CellFrame->{{0, 0}, {0, 0}},
 ShowCellBracket->False],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"y", "=", "1.6596"}], ";", 
    RowBox[{"x", "=", "1.0257"}], ";", "\[IndentingNewLine]", 
    RowBox[{"vA", "=", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y", ",", "0"}], "}"}]}], ";", 
    RowBox[{"vB", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"2", "y"}], ",", "0"}], "}"}]}], ";", 
    RowBox[{"vC", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "x"}], ",", "y", ",", "0"}], "}"}]}], ";", 
    RowBox[{"vD", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], ";", 
    RowBox[{"vE", "=", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"y", "+", "x"}], ",", "y"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vF", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{
        RowBox[{"2", "y"}], "+", "x"}], ",", "y"}], "}"}]}], ";", 
    RowBox[{"vG", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "x"}], ",", 
       RowBox[{"y", "+", "x"}], ",", "y"}], "}"}]}], ";", 
    RowBox[{"vH", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "x", ",", "y"}], "}"}]}], ";", "\[IndentingNewLine]", 
    
    RowBox[{"r1", "=", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"vA", ",", "vB", ",", "vC", ",", "vD"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"r2", "=", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"vA", ",", "vD", ",", "vH", ",", "vE"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"r3", "=", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"vA", ",", "vB", ",", "vF", ",", "vE"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"r4", "=", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"vB", ",", "vC", ",", "vG", ",", "vF"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"r5", "=", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"vC", ",", "vD", ",", "vH", ",", "vG"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"r6", "=", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"vE", ",", "vF", ",", "vG", ",", "vH"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"t1", "=", 
     RowBox[{"{", 
      RowBox[{"r2", ",", "r3", ",", "r4"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"t3", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{"t1", ",", 
       RowBox[{"-", "0.5535"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"t4", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{"t3", ",", 
         RowBox[{"i", " ", "2", 
          RowBox[{"Pi", "/", "5"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "5"}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"t5", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{"t4", ",", "Pi", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"u1", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{
         RowBox[{"Rotate", "[", 
          RowBox[{"t1", ",", "0.5535", ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
         RowBox[{
          RowBox[{"i", " ", "2", 
           RowBox[{"Pi", "/", "5"}]}], "+", 
          RowBox[{"Pi", "/", "5"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "5"}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"u2", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{"u1", ",", "Pi", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"central", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", 
       RowBox[{"Sphere", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"cent", "+", " ", "dia"}]}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"icov", "=", 
     RowBox[{"PolyhedronData", "[", 
      RowBox[{"\"\<Icosahedron\>\"", ",", "\"\<VertexCoordinates\>\""}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"ico1", "=", 
     RowBox[{"PolyhedronData", "[", 
      RowBox[{"\"\<Icosahedron\>\"", ",", "\"\<Faces\>\""}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ico1b", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", ".71", ",", ".26"}], "]"}], ",", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Sphere", "[", 
           RowBox[{"#", ",", " ", "dia"}], "]"}], "&"}], ",", " ", "icov"}], 
        "]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"ico2", "=", 
     RowBox[{"Scale", "[", 
      RowBox[{
       RowBox[{"PolyhedronData", "[", 
        RowBox[{"\"\<Icosahedron\>\"", ",", "\"\<Faces\>\""}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "2", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ico2b", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", "1", ",", "0"}], "]"}], ",", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Sphere", "[", 
           RowBox[{"#", ",", " ", "dia"}], "]"}], "&"}], ",", " ", 
         RowBox[{"2", "icov"}]}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"dod", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{
       RowBox[{"Scale", "[", 
        RowBox[{
         RowBox[{"PolyhedronData", "[", 
          RowBox[{"\"\<Dodecahedron\>\"", ",", "\"\<Faces\>\""}], "]"}], ",", 
         
         RowBox[{"3.319", 
          RowBox[{"{", 
           RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
       RowBox[{
        RowBox[{"-", "1.382"}], " ", "0"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"dodv", "=", 
     RowBox[{"PolyhedronData", "[", 
      RowBox[{"\"\<Dodecahedron\>\"", ",", "\"\<VertexCoordinates\>\""}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"dodb", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", ".3", ",", ".36"}], "]"}], ",", 
       RowBox[{"Rotate", "[", 
        RowBox[{
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Sphere", "[", 
             RowBox[{"#", ",", " ", "dia"}], "]"}], "&"}], ",", " ", 
           RowBox[{"3.319", " ", "dodv"}]}], "]"}], ",", 
         RowBox[{
          RowBox[{"-", "1.382"}], " ", "0"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"tico", "=", 
     RowBox[{"PolyhedronData", "[", 
      RowBox[{"\"\<TruncatedIcosahedron\>\"", ",", "\"\<Faces\>\""}], "]"}]}],
     ";", "\[IndentingNewLine]", 
    RowBox[{"ticov", "=", 
     RowBox[{"PolyhedronData", "[", 
      RowBox[{
      "\"\<TruncatedIcosahedron\>\"", ",", "\"\<VertexCoordinates\>\""}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"ticob", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Specularity", "[", "0.4", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.27", ",", "1", ",", "1"}], "]"}], ",", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Sphere", "[", 
           RowBox[{"#", ",", " ", "dia"}], "]"}], "&"}], ",", " ", "ticov"}], 
        "]"}]}], "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"id", "=", 
     RowBox[{"Scale", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{
         RowBox[{"PolyhedronData", "[", 
          RowBox[{"\"\<Icosidodecahedron\>\"", ",", "\"\<Faces\>\""}], "]"}], 
         ",", "Pi", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"2.051", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"idv", "=", 
     RowBox[{"PolyhedronData", "[", 
      RowBox[{"\"\<Icosidodecahedron\>\"", ",", "\"\<VertexCoordinates\>\""}],
       "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"idb", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Specularity", "[", "0.6", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{".48", ",", "0.11", ",", "0.56"}], "]"}], ",", 
       RowBox[{"Rotate", "[", 
        RowBox[{
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Sphere", "[", 
             RowBox[{"#", ",", " ", "dia"}], "]"}], "&"}], ",", " ", 
           RowBox[{"2.051", "idv"}]}], "]"}], ",", "Pi", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"v1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{".79", ",", ".71", ",", "1"}], "]"}], ",", 
       RowBox[{"Sphere", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{
            RowBox[{"2", "y"}], "+", 
            RowBox[{"x", "/", "2"}]}], ",", 
           RowBox[{"y", "/", "2"}]}], "}"}], ",", "dia"}], "]"}]}], "}"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"v2", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{".79", ",", ".71", ",", ".26"}], "]"}], ",", 
       RowBox[{"Sphere", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "x"}], "/", "2"}], ",", 
           RowBox[{"x", "+", "y", "+", 
            RowBox[{"y", "/", "2"}]}], ",", "y"}], "}"}], ",", "dia"}], 
        "]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"v3", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{".79", ",", ".71", ",", ".26"}], "]"}], ",", 
       RowBox[{"Sphere", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"x", "/", "2"}], ",", 
           RowBox[{"x", "+", "y", "+", 
            RowBox[{"y", "/", "2"}]}], ",", "y"}], "}"}], ",", "dia"}], 
        "]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vt", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.33", ",", ".6", ",", ".7"}], "]"}], ",", 
       RowBox[{"Sphere", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{
            RowBox[{"2", "y"}], "+", "x"}], ",", "y"}], "}"}], ",", "dia"}], 
        "]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"t1t", "=", 
     RowBox[{"{", 
      RowBox[{"v1", ",", "v2", ",", "v3"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"t3t", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{"t1t", ",", 
       RowBox[{"-", "0.5535"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"t4t", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{"t3t", ",", 
         RowBox[{"i", " ", "2", 
          RowBox[{"Pi", "/", "5"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "5"}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"t5t", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{"t4t", ",", "Pi", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"u1t", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{
         RowBox[{"Rotate", "[", 
          RowBox[{"t1t", ",", "0.5535", ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
         RowBox[{
          RowBox[{"i", " ", "2", 
           RowBox[{"Pi", "/", "5"}]}], "+", 
          RowBox[{"Pi", "/", "5"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "5"}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"u2t", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{"u1t", ",", "Pi", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{"ico1s", ",", "ico1", ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{"ico1bs", ",", "ico1b", ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{"ico2s", ",", "ico2", ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{"ico2bs", ",", "ico2b", ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{"ticos", ",", "tico", ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{"ticobs", ",", "ticob", ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{"ids", ",", "id", ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{"idbs", ",", "idb", ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{"dods", ",", "dod", ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{"dodbs", ",", "dodb", ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Rotate", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"u1", ",", "u2", ",", "t4", ",", "t5", ",", 
            RowBox[{"If", "[", 
             RowBox[{"id2", ",", 
              RowBox[{"{", 
               RowBox[{"u1t", ",", "u2t", ",", "t4t", ",", "t5t"}], "}"}], 
              ",", 
              RowBox[{"{", "}"}]}], "]"}]}], "}"}], ",", 
          RowBox[{
           RowBox[{"-", "Pi"}], "/", "10"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
        "central"}], "}"}], ",", 
      RowBox[{"ViewPoint", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "10"}], "}"}]}], ",", 
      RowBox[{"ViewAngle", "\[Rule]", "0.1"}], ",", 
      RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dia", ",", "0.8", ",", "\"\<diameter of spheres\>\""}], "}"}], 
     ",", "0", ",", "1", ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"cent", ",", "0", ",", "\"\<diameter of central sphere\>\""}], 
      "}"}], ",", "0", ",", "4", ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<icosahedron\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ico1s", ",", "False", ",", "\"\<1 a\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ico1bs", ",", "True", ",", "\"\<1 b\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ico2s", ",", "False", ",", "\"\<2 a\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ico2bs", ",", "True", ",", "\"\<2 b\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<truncated icosahedron\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ticos", ",", "False", ",", "\"\<a\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ticobs", ",", "True", ",", "\"\<b\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<icosidodecahedron\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ids", ",", "False", ",", "\"\<1 a\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"idbs", ",", "True", ",", "\"\<1 b\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"id2", ",", "True", ",", "\"\<2 b\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<dodecahedron\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dods", ",", "False", ",", "\"\<a\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dodbs", ",", "True", ",", "\"\<b\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "1", ",", "2", ",", "8", ",", "10", ",", "11", ",", "12", ",", "13"}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.42224194290625*^9, {3.42224198853125*^9, 3.422242102078125*^9}, {
   3.42224221775*^9, 3.422242431546875*^9}, {3.42224247009375*^9, 
   3.422242544703125*^9}, {3.422242592125*^9, 3.422242605078125*^9}, {
   3.422242647578125*^9, 3.42224264825*^9}, {3.4222427819375*^9, 
   3.422242958640625*^9}, {3.4222432191875*^9, 3.422243231875*^9}, {
   3.422243265421875*^9, 3.4222433133125*^9}, {3.422244862140625*^9, 
   3.422244883234375*^9}, {3.4222449194375*^9, 3.4222449518125*^9}, {
   3.422245061953125*^9, 3.42224510534375*^9}, {3.42224514921875*^9, 
   3.42224517840625*^9}, {3.42224521796875*^9, 3.42224523265625*^9}, {
   3.4222452890625*^9, 3.422245289328125*^9}, {3.42224535025*^9, 
   3.42224537565625*^9}, {3.4222454925*^9, 3.42224549340625*^9}, {
   3.422245607546875*^9, 3.42224562421875*^9}, {3.422245683625*^9, 
   3.422245728640625*^9}, {3.42224577*^9, 3.42224578846875*^9}, 
   3.422245978453125*^9, {3.422246046203125*^9, 3.422246046671875*^9}, {
   3.422327191953125*^9, 3.422327263515625*^9}, {3.4223273696875*^9, 
   3.42232738659375*^9}, {3.422327737796875*^9, 3.42232774353125*^9}, {
   3.42232779225*^9, 3.422327792671875*^9}, {3.422327829546875*^9, 
   3.42232783175*^9}, {3.42233573615625*^9, 3.422335745*^9}, {
   3.422335855390625*^9, 3.42233586359375*^9}, {3.4223371298125*^9, 
   3.42233713453125*^9}, {3.422337167453125*^9, 3.422337310765625*^9}, {
   3.422337343984375*^9, 3.4223373843125*^9}, 3.42233803715625*^9, {
   3.42233812721875*^9, 3.42233817740625*^9}, {3.42233820796875*^9, 
   3.42233823178125*^9}, {3.42233827821875*^9, 3.42233845696875*^9}, {
   3.422338522390625*^9, 3.4223385313125*^9}, {3.42233861934375*^9, 
   3.42233862434375*^9}, 3.422338907484375*^9, {3.422338939*^9, 
   3.4223389789375*^9}, {3.4223390400625*^9, 3.42233919071875*^9}, {
   3.42233924103125*^9, 3.42233932653125*^9}, {3.422339893015625*^9, 
   3.422339923375*^9}, {3.422340087859375*^9, 3.422340138375*^9}, {
   3.422340172546875*^9, 3.422340296578125*^9}, {3.422340334*^9, 
   3.42234041190625*^9}, {3.42234048390625*^9, 3.4223405069375*^9}, {
   3.422340547046875*^9, 3.422340671703125*^9}, {3.422340705171875*^9, 
   3.422340727296875*^9}, {3.422340775359375*^9, 3.422340849953125*^9}, {
   3.42234097065625*^9, 3.422340995109375*^9}, {3.42234118909375*^9, 
   3.42234124653125*^9}, {3.422341291921875*^9, 3.42234131371875*^9}, {
   3.422341374734375*^9, 3.422341433171875*^9}, {3.422341472203125*^9, 
   3.422341515265625*^9}, {3.422341546625*^9, 3.422341572890625*^9}, {
   3.422341608453125*^9, 3.42234160915625*^9}, {3.422341772484375*^9, 
   3.422341790953125*^9}, {3.42234183225*^9, 3.422341841609375*^9}, {
   3.42234187390625*^9, 3.42234187459375*^9}, {3.422347190546875*^9, 
   3.4223472434375*^9}, {3.42234738984375*^9, 3.422347395984375*^9}, {
   3.422347435453125*^9, 3.4223474398125*^9}, {3.422347511171875*^9, 
   3.422347548375*^9}, {3.42234767775*^9, 3.42234768159375*^9}, {
   3.422347871953125*^9, 3.42234789078125*^9}, {3.4223482083125*^9, 
   3.4223482111875*^9}, {3.422348513859375*^9, 3.422348550796875*^9}, {
   3.422348584375*^9, 3.422348585828125*^9}, {3.42234865396875*^9, 
   3.42234865825*^9}, {3.422348780546875*^9, 3.422348789390625*^9}, {
   3.4223488495625*^9, 3.422348938609375*^9}, {3.422348971671875*^9, 
   3.4223490808125*^9}, {3.422349122625*^9, 3.422349163625*^9}, {
   3.422349276765625*^9, 3.422349334515625*^9}, {3.422349389625*^9, 
   3.422349503515625*^9}, {3.4223495349375*^9, 3.422349535890625*^9}, {
   3.422349572046875*^9, 3.422349670359375*^9}, {3.42234980490625*^9, 
   3.42234980634375*^9}, {3.422349883703125*^9, 3.4223498953125*^9}, {
   3.42234993053125*^9, 3.422350001890625*^9}, {3.42235006946875*^9, 
   3.422350070625*^9}, {3.422350140765625*^9, 3.4223501760625*^9}, {
   3.422350358296875*^9, 3.422350492703125*^9}, {3.422350803609375*^9, 
   3.422350805734375*^9}, {3.422351532125*^9, 3.422351626171875*^9}, 
   3.422352677171875*^9, {3.4223527365*^9, 3.422352741078125*^9}, {
   3.4223717887028604`*^9, 3.422371821371127*^9}, {3.4223718688718767`*^9, 
   3.4223721869256787`*^9}, {3.422372218692855*^9, 3.422372267223708*^9}, {
   3.422372301769162*^9, 3.422372328522837*^9}, {3.4223723676137457`*^9, 
   3.422372442341218*^9}, 3.53765255165704*^9, 3.537652935110585*^9, 
   3.537653059908556*^9},
 CellID->18375479],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`cent$$ = 0, $CellContext`dia$$ = 
    0.8, $CellContext`dodbs$$ = True, $CellContext`dods$$ = 
    False, $CellContext`ico1bs$$ = True, $CellContext`ico1s$$ = 
    False, $CellContext`ico2bs$$ = True, $CellContext`ico2s$$ = 
    False, $CellContext`id2$$ = True, $CellContext`idbs$$ = 
    True, $CellContext`ids$$ = False, $CellContext`ticobs$$ = 
    True, $CellContext`ticos$$ = False, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`dia$$], 0.8, "diameter of spheres"}, 0, 1}, {{
       Hold[$CellContext`cent$$], 0, "diameter of central sphere"}, 0, 4}, {
      Hold[
       Style["icosahedron", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`ico1s$$], False, "1 a"}, {True, False}}, {{
       Hold[$CellContext`ico1bs$$], True, "1 b"}, {True, False}}, {{
       Hold[$CellContext`ico2s$$], False, "2 a"}, {True, False}}, {{
       Hold[$CellContext`ico2bs$$], True, "2 b"}, {True, False}}, {
      Hold[
       Style["truncated icosahedron", Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`ticos$$], False, "a"}, {True, False}}, {{
       Hold[$CellContext`ticobs$$], True, "b"}, {True, False}}, {
      Hold[
       Style["icosidodecahedron", Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`ids$$], False, "1 a"}, {True, False}}, {{
       Hold[$CellContext`idbs$$], True, "1 b"}, {True, False}}, {{
       Hold[$CellContext`id2$$], True, "2 b"}, {True, False}}, {
      Hold[
       Style["dodecahedron", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`dods$$], False, "a"}, {True, False}}, {{
       Hold[$CellContext`dodbs$$], True, "b"}, {True, False}}}, 
    Typeset`size$$ = {400., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`dia$87666$$ = 0, $CellContext`cent$87667$$ = 
    0, $CellContext`ico1s$87668$$ = False, $CellContext`ico1bs$87669$$ = 
    False, $CellContext`ico2s$87670$$ = False, $CellContext`ico2bs$87671$$ = 
    False, $CellContext`ticos$87672$$ = False, $CellContext`ticobs$87673$$ = 
    False, $CellContext`ids$87674$$ = False, $CellContext`idbs$87675$$ = 
    False, $CellContext`id2$87676$$ = False, $CellContext`dods$87677$$ = 
    False, $CellContext`dodbs$87678$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`cent$$ = 0, $CellContext`dia$$ = 
        0.8, $CellContext`dodbs$$ = True, $CellContext`dods$$ = 
        False, $CellContext`ico1bs$$ = True, $CellContext`ico1s$$ = 
        False, $CellContext`ico2bs$$ = True, $CellContext`ico2s$$ = 
        False, $CellContext`id2$$ = True, $CellContext`idbs$$ = 
        True, $CellContext`ids$$ = False, $CellContext`ticobs$$ = 
        True, $CellContext`ticos$$ = False}, "ControllerVariables" :> {
        Hold[$CellContext`dia$$, $CellContext`dia$87666$$, 0], 
        Hold[$CellContext`cent$$, $CellContext`cent$87667$$, 0], 
        Hold[$CellContext`ico1s$$, $CellContext`ico1s$87668$$, False], 
        Hold[$CellContext`ico1bs$$, $CellContext`ico1bs$87669$$, False], 
        Hold[$CellContext`ico2s$$, $CellContext`ico2s$87670$$, False], 
        Hold[$CellContext`ico2bs$$, $CellContext`ico2bs$87671$$, False], 
        Hold[$CellContext`ticos$$, $CellContext`ticos$87672$$, False], 
        Hold[$CellContext`ticobs$$, $CellContext`ticobs$87673$$, False], 
        Hold[$CellContext`ids$$, $CellContext`ids$87674$$, False], 
        Hold[$CellContext`idbs$$, $CellContext`idbs$87675$$, False], 
        Hold[$CellContext`id2$$, $CellContext`id2$87676$$, False], 
        Hold[$CellContext`dods$$, $CellContext`dods$87677$$, False], 
        Hold[$CellContext`dodbs$$, $CellContext`dodbs$87678$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`y = 1.6596; $CellContext`x = 
        1.0257; $CellContext`vA = {$CellContext`x, $CellContext`y, 
          0}; $CellContext`vB = {
         0, 2 $CellContext`y, 
          0}; $CellContext`vC = {-$CellContext`x, $CellContext`y, 
          0}; $CellContext`vD = {0, 0, 
         0}; $CellContext`vE = {$CellContext`x, $CellContext`y + \
$CellContext`x, $CellContext`y}; $CellContext`vF = {
         0, 2 $CellContext`y + $CellContext`x, $CellContext`y}; \
$CellContext`vG = {-$CellContext`x, $CellContext`y + $CellContext`x, \
$CellContext`y}; $CellContext`vH = {
         0, $CellContext`x, $CellContext`y}; $CellContext`r1 = 
        Line[{$CellContext`vA, $CellContext`vB, $CellContext`vC, \
$CellContext`vD}]; $CellContext`r2 = 
        Line[{$CellContext`vA, $CellContext`vD, $CellContext`vH, \
$CellContext`vE}]; $CellContext`r3 = 
        Line[{$CellContext`vA, $CellContext`vB, $CellContext`vF, \
$CellContext`vE}]; $CellContext`r4 = 
        Line[{$CellContext`vB, $CellContext`vC, $CellContext`vG, \
$CellContext`vF}]; $CellContext`r5 = 
        Line[{$CellContext`vC, $CellContext`vD, $CellContext`vH, \
$CellContext`vG}]; $CellContext`r6 = 
        Line[{$CellContext`vE, $CellContext`vF, $CellContext`vG, \
$CellContext`vH}]; $CellContext`t1 = {$CellContext`r2, $CellContext`r3, \
$CellContext`r4}; $CellContext`t3 = 
        Rotate[$CellContext`t1, -0.5535, {1, 0, 0}]; $CellContext`t4 = Table[
          
          Rotate[$CellContext`t3, ($CellContext`i 2) (Pi/5), {0, 0, 
           1}], {$CellContext`i, 5}]; $CellContext`t5 = 
        Rotate[$CellContext`t4, Pi, {1, 0, 0}]; $CellContext`u1 = Table[
          Rotate[
           
           Rotate[$CellContext`t1, 0.5535, {1, 0, 
            0}], ($CellContext`i 2) (Pi/5) + Pi/5, {0, 0, 
           1}], {$CellContext`i, 5}]; $CellContext`u2 = 
        Rotate[$CellContext`u1, Pi, {1, 0, 0}]; $CellContext`central = {
          RGBColor[0.49, 0, 0], 
          
          Sphere[{0, 0, 
           0}, $CellContext`cent$$ + $CellContext`dia$$]}; $CellContext`icov = 
        PolyhedronData["Icosahedron", "VertexCoordinates"]; $CellContext`ico1 = 
        PolyhedronData["Icosahedron", "Faces"]; $CellContext`ico1b = {
          RGBColor[1, 0.71, 0.26], 
          Map[
          Sphere[#, $CellContext`dia$$]& , $CellContext`icov]}; \
$CellContext`ico2 = Scale[
          PolyhedronData["Icosahedron", "Faces"], {2, 2, 2}, {0, 0, 
          0}]; $CellContext`ico2b = {
          RGBColor[1, 1, 0], 
          Map[
          Sphere[#, $CellContext`dia$$]& , 
           2 $CellContext`icov]}; $CellContext`dod = Rotate[
          Scale[
           PolyhedronData["Dodecahedron", "Faces"], 3.319 {1, 1, 1}, {0, 0, 
           0}], (-1.382) 0, {0, 1, 0}]; $CellContext`dodv = 
        PolyhedronData[
         "Dodecahedron", "VertexCoordinates"]; $CellContext`dodb = {
          RGBColor[1, 0.3, 0.36], 
          Rotate[
           Map[
           Sphere[#, $CellContext`dia$$]& , 3.319 $CellContext`dodv], (-1.382)
             0, {0, 1, 0}]}; $CellContext`tico = 
        PolyhedronData["TruncatedIcosahedron", "Faces"]; $CellContext`ticov = 
        PolyhedronData[
         "TruncatedIcosahedron", "VertexCoordinates"]; $CellContext`ticob = {
          Specularity[0.4], 
          RGBColor[0.27, 1, 1], 
          Map[
          Sphere[#, $CellContext`dia$$]& , $CellContext`ticov]}; \
$CellContext`id = Scale[
          Rotate[
           PolyhedronData["Icosidodecahedron", "Faces"], Pi, {0, 0, 1}], 
          2.051 {1, 1, 1}, {0, 0, 0}]; $CellContext`idv = 
        PolyhedronData[
         "Icosidodecahedron", "VertexCoordinates"]; $CellContext`idb = {
          Specularity[0.6], 
          RGBColor[0.48, 0.11, 0.56], 
          Rotate[
           Map[Sphere[#, $CellContext`dia$$]& , 2.051 $CellContext`idv], Pi, {
           0, 0, 1}]}; $CellContext`v1 = {
          RGBColor[0.79, 0.71, 1], 
          
          Sphere[{0, 2 $CellContext`y + $CellContext`x/2, $CellContext`y/
            2}, $CellContext`dia$$]}; $CellContext`v2 = {
          RGBColor[0.79, 0.71, 0.26], 
          
          Sphere[{(-$CellContext`x)/
            2, $CellContext`x + $CellContext`y + $CellContext`y/
             2, $CellContext`y}, $CellContext`dia$$]}; $CellContext`v3 = {
          RGBColor[0.79, 0.71, 0.26], 
          
          Sphere[{$CellContext`x/
            2, $CellContext`x + $CellContext`y + $CellContext`y/
             2, $CellContext`y}, $CellContext`dia$$]}; $CellContext`vt = {
          RGBColor[0.33, 0.6, 0.7], 
          
          Sphere[{0, 
            2 $CellContext`y + $CellContext`x, $CellContext`y}, \
$CellContext`dia$$]}; $CellContext`t1t = {$CellContext`v1, $CellContext`v2, \
$CellContext`v3}; $CellContext`t3t = 
        Rotate[$CellContext`t1t, -0.5535, {1, 0, 0}]; $CellContext`t4t = Table[
          
          Rotate[$CellContext`t3t, ($CellContext`i 2) (Pi/5), {0, 0, 
           1}], {$CellContext`i, 5}]; $CellContext`t5t = 
        Rotate[$CellContext`t4t, Pi, {1, 0, 0}]; $CellContext`u1t = Table[
          Rotate[
           
           Rotate[$CellContext`t1t, 0.5535, {1, 0, 
            0}], ($CellContext`i 2) (Pi/5) + Pi/5, {0, 0, 
           1}], {$CellContext`i, 5}]; $CellContext`u2t = 
        Rotate[$CellContext`u1t, Pi, {1, 0, 0}]; Graphics3D[{
          If[$CellContext`ico1s$$, $CellContext`ico1, {}], 
          If[$CellContext`ico1bs$$, $CellContext`ico1b, {}], 
          If[$CellContext`ico2s$$, $CellContext`ico2, {}], 
          If[$CellContext`ico2bs$$, $CellContext`ico2b, {}], 
          If[$CellContext`ticos$$, $CellContext`tico, {}], 
          If[$CellContext`ticobs$$, $CellContext`ticob, {}], 
          If[$CellContext`ids$$, $CellContext`id, {}], 
          If[$CellContext`idbs$$, $CellContext`idb, {}], 
          If[$CellContext`dods$$, $CellContext`dod, {}], 
          If[$CellContext`dodbs$$, $CellContext`dodb, {}], 
          
          Rotate[{$CellContext`u1, $CellContext`u2, $CellContext`t4, \
$CellContext`t5, 
            
            If[$CellContext`id2$$, {$CellContext`u1t, $CellContext`u2t, \
$CellContext`t4t, $CellContext`t5t}, {}]}, (-Pi)/10, {0, 0, 
           1}], $CellContext`central}, ViewPoint -> {0, 0, 10}, ViewAngle -> 
         0.1, SphericalRegion -> True, Boxed -> False, 
         ImageSize -> {400, 400}]), 
      "Specifications" :> {{{$CellContext`dia$$, 0.8, "diameter of spheres"}, 
         0, 1, ControlPlacement -> 
         Top}, {{$CellContext`cent$$, 0, "diameter of central sphere"}, 0, 4, 
         ControlPlacement -> Top}, 
        Style[
        "icosahedron", Bold], {{$CellContext`ico1s$$, False, "1 a"}, {
         True, False}, ImageSize -> 
         Tiny}, {{$CellContext`ico1bs$$, True, "1 b"}, {True, False}, 
         ImageSize -> Tiny}, {{$CellContext`ico2s$$, False, "2 a"}, {
         True, False}, ImageSize -> 
         Tiny}, {{$CellContext`ico2bs$$, True, "2 b"}, {True, False}, 
         ImageSize -> Tiny}, Delimiter, 
        Style[
        "truncated icosahedron", Bold], {{$CellContext`ticos$$, False, "a"}, {
         True, False}, ImageSize -> 
         Tiny}, {{$CellContext`ticobs$$, True, "b"}, {True, False}, ImageSize -> 
         Tiny}, 
        Style[
        "icosidodecahedron", Bold], {{$CellContext`ids$$, False, "1 a"}, {
         True, False}, ImageSize -> 
         Tiny}, {{$CellContext`idbs$$, True, "1 b"}, {True, False}, ImageSize -> 
         Tiny}, {{$CellContext`id2$$, True, "2 b"}, {True, False}, ImageSize -> 
         Tiny}, 
        Style[
        "dodecahedron", Bold], {{$CellContext`dods$$, False, "a"}, {
         True, False}, ImageSize -> 
         Tiny}, {{$CellContext`dodbs$$, True, "b"}, {True, False}, ImageSize -> 
         Tiny}}, "Options" :> {
       ControlPlacement -> Left, TrackedSymbols -> Manipulate, 
        AutorunSequencing -> {1, 2, 8, 10, 11, 12, 13}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{559., {256., 261.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->219116949]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["CAPTION", "Section",
 CellFrame->{{0, 0}, {1, 0}},
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 FontFamily->"Helvetica",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell["\<\
A sphere is placed at each node and edge of a frame consisting of 20 golden \
rhombohedra. There is one sphere at the center, 12 at the vertices of an \
icosahedron, 12 again at the vertices of another icosahedron, 60 at the \
vertices of a truncated icosahedron, 30 at the vertices of an \
icosidodecahedron, 60 at the vertices of another truncated icosahedron, and \
20 at the vertices of a dodecahedron, for a total of 195 altogether. \
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 0}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell[TextData[{
 "\[NonBreakingSpace]",
 ButtonBox["S\[AAcute]ndor Kabai",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=S%E1ndor+Kabai"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=S%E1ndor+Kabai"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "\"",
 ButtonBox["Cluster of 195 Spheres",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ClusterOf195Spheres/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ClusterOf195Spheres/"],
 "\"",
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ClusterOf195Spheres/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ClusterOf195Spheres/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ClusterOf195Spheres/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 "Published: ",
 "June 17, 2008"
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[1, 1, 1]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ClusterOf195Spheres"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
CellInsertionPointCell->None,
WindowSize->{759, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Cluster of 195 Spheres - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[602, 21, 142, 3, 66, "Section"],
Cell[CellGroupData[{
Cell[769, 28, 3700, 64, 37, "Section"],
Cell[CellGroupData[{
Cell[4494, 96, 24365, 617, 1532, "Input",
 CellID->18375479],
Cell[28862, 715, 12570, 243, 534, "Output",
 CellID->219116949]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[41481, 964, 209, 6, 62, "Section"],
Cell[41693, 972, 462, 7, 70, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[42192, 984, 355, 9, 20, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[42550, 995, 422, 13, 19, "Text"],
Cell[42975, 1010, 1003, 27, 64, "Text"],
Cell[43981, 1039, 793, 24, 98, "Text"],
Cell[44777, 1065, 1191, 33, 88, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature eQzN7M3DXp2aZBTm2hiIjUP4 *)
